------------------------------------------------------------------------
r6214 | zorglub | 2003-12-31 13:50:11 +0100 (Wed, 31 Dec 2003) | 2 lines
Changed paths:
   M /trunk/po/fr.po
   M /trunk/po/pt_BR.po

Updated french and Brazilian Portuguese translations

------------------------------------------------------------------------
r6215 | rocky | 2004-01-01 14:51:38 +0100 (Thu, 01 Jan 2004) | 2 lines
Changed paths:
   M /trunk/modules/codec/ogt/render.c

Add RV16 rendering. With transparancy, but still only Y plane is done.

------------------------------------------------------------------------
r6216 | rocky | 2004-01-01 14:55:17 +0100 (Thu, 01 Jan 2004) | 2 lines
Changed paths:
   M /trunk/modules/codec/ogt/cvd.c
   M /trunk/modules/codec/ogt/ogt.c

Remove a magic number.

------------------------------------------------------------------------
r6217 | zorglub | 2004-01-01 15:33:15 +0100 (Thu, 01 Jan 2004) | 2 lines
Changed paths:
   M /trunk/po/pt_BR.po

Updated brazilian portuguese translation

------------------------------------------------------------------------
r6218 | rocky | 2004-01-01 16:56:56 +0100 (Thu, 01 Jan 2004) | 2 lines
Changed paths:
   M /trunk/modules/codec/ogt/render.c

RenderRV16 handles scaling. But seems to slow to render subtitles.

------------------------------------------------------------------------
r6219 | zorglub | 2004-01-01 18:41:25 +0100 (Thu, 01 Jan 2004) | 3 lines
Changed paths:
   M /trunk/ChangeLog
   M /trunk/configure.ac
   M /trunk/extras/MacOSX/Resources/English.lproj/InfoPlist.strings
   M /trunk/extras/MacOSX/vlc.pbproj/project.pbxproj
   M /trunk/po/de.po
   M /trunk/po/fr.po

* Updated german and french translations
* Updated version number and Changelog

------------------------------------------------------------------------
r6220 | rocky | 2004-01-02 05:44:34 +0100 (Fri, 02 Jan 2004) | 2 lines
Changed paths:
   M /trunk/modules/codec/ogt/render.c

Attempt to make easier to understand and easier to complete.

------------------------------------------------------------------------
r6221 | gbazin | 2004-01-02 14:30:17 +0100 (Fri, 02 Jan 2004) | 3 lines
Changed paths:
   M /trunk/modules/gui/wxwindows/preferences_widgets.cpp


* modules/gui/wxwindows/preferences_widgets.cpp: use wxL2U() (Thanks Anil).

------------------------------------------------------------------------
r6222 | sam | 2004-01-02 14:48:37 +0100 (Fri, 02 Jan 2004) | 2 lines
Changed paths:
   A /trunk/doc/ChangeLog-2003
   M /trunk/doc/Makefile.am
   M /trunk/doc/fortunes.txt

  * doc/ChangeLog-2003: Happy new year!

------------------------------------------------------------------------
r6223 | gbazin | 2004-01-02 23:17:57 +0100 (Fri, 02 Jan 2004) | 3 lines
Changed paths:
   M /trunk/modules/video_output/directx/directx.c
   M /trunk/modules/video_output/directx/events.c
   M /trunk/modules/video_output/directx/vout.h


* modules/video_output/directx/*: fixed overlay on 24bpp displays.

------------------------------------------------------------------------
r6224 | zorglub | 2004-01-03 00:22:37 +0100 (Sat, 03 Jan 2004) | 3 lines
Changed paths:
   M /trunk/configure.ac

My name is Bond
VLC Media Player 0.7.0 Bond

------------------------------------------------------------------------
r6225 | gbazin | 2004-01-03 01:23:04 +0100 (Sat, 03 Jan 2004) | 3 lines
Changed paths:
   M /trunk/modules/demux/mpeg/mpga.c
   M /trunk/src/input/stream.c


* modules/demux/mpeg/mpga.c, src/input/stream.c: fixed mem leaks.

------------------------------------------------------------------------
r6226 | gbazin | 2004-01-03 01:39:07 +0100 (Sat, 03 Jan 2004) | 3 lines
Changed paths:
   M /trunk/modules/stream_out/transcode.c


* modules/stream_out/transcode.c: added YV12 raw video fourcc (chroma planes will likely be inverted though).

------------------------------------------------------------------------
r6227 | gbazin | 2004-01-03 11:55:07 +0100 (Sat, 03 Jan 2004) | 3 lines
Changed paths:
   M /trunk/modules/gui/wxwindows/interface.cpp


* modules/gui/wxwindows/interface.cpp: fixed and re-enabled aspect-ratio combobox in the extended gui.

------------------------------------------------------------------------
r6228 | gbazin | 2004-01-03 13:02:12 +0100 (Sat, 03 Jan 2004) | 3 lines
Changed paths:
   M /trunk/ChangeLog
   M /trunk/po/POTFILES.in
   M /trunk/po/de.po
   M /trunk/po/en_GB.po
   M /trunk/po/es.po
   M /trunk/po/fr.po
   M /trunk/po/hu.po
   M /trunk/po/it.po
   M /trunk/po/ja.po
   M /trunk/po/nl.po
   M /trunk/po/no.po
   M /trunk/po/pl.po
   M /trunk/po/pt_BR.po
   M /trunk/po/ru.po
   M /trunk/po/sv.po
   M /trunk/po/vlc.pot


* po/*, ChangeLog: preparing for the 0.7.0 release.

------------------------------------------------------------------------
r6229 | rocky | 2004-01-03 13:54:56 +0100 (Sat, 03 Jan 2004) | 4 lines
Changed paths:
   M /trunk/modules/codec/ogt/common.c
   M /trunk/modules/codec/ogt/common.h
   M /trunk/modules/codec/ogt/cvd.c
   M /trunk/modules/codec/ogt/cvd_parse.c
   M /trunk/modules/codec/ogt/ogt.c
   M /trunk/modules/codec/ogt/ogt_parse.c
   M /trunk/modules/codec/ogt/subtitle.h

ogt.c cvd.c, subtitle.h: move common debug string help into subtitle.h
{cvd,ogt}_parse.c, common.c, subtitle.h: add ability to dump subtitles via
libpng.

------------------------------------------------------------------------
r6230 | zorglub | 2004-01-03 14:13:07 +0100 (Sat, 03 Jan 2004) | 2 lines
Changed paths:
   M /trunk/po/de.po

Updated german translation

------------------------------------------------------------------------
r6231 | gbazin | 2004-01-03 14:18:30 +0100 (Sat, 03 Jan 2004) | 3 lines
Changed paths:
   M /trunk/po/de.po
   M /trunk/po/en_GB.po
   M /trunk/po/es.po
   M /trunk/po/fr.po
   M /trunk/po/hu.po
   M /trunk/po/it.po
   M /trunk/po/ja.po
   M /trunk/po/nl.po
   M /trunk/po/no.po
   M /trunk/po/pl.po
   M /trunk/po/pt_BR.po
   M /trunk/po/ru.po
   M /trunk/po/sv.po
   M /trunk/po/vlc.pot


* po/*: another ./toolbox --update-po before 0.7.0 because some commits where done.

------------------------------------------------------------------------
r6232 | rocky | 2004-01-03 18:19:41 +0100 (Sat, 03 Jan 2004) | 3 lines
Changed paths:
   M /trunk/modules/codec/ogt/render.c

RenderI420 now handles U and V planes. (Probably completely
accurately, though.)

------------------------------------------------------------------------
r6233 | rocky | 2004-01-03 18:48:38 +0100 (Sat, 03 Jan 2004) | 2 lines
Changed paths:
   M /trunk/modules/access/ftp.c

Spelling - probably cut and pated from somewhere else.

------------------------------------------------------------------------
r6234 | rocky | 2004-01-03 18:49:35 +0100 (Sat, 03 Jan 2004) | 2 lines
Changed paths:
   M /trunk/modules/access/http.c

Spelling - See I told you it was cut and pasted from somehwere!

------------------------------------------------------------------------
r6235 | rocky | 2004-01-03 18:52:15 +0100 (Sat, 03 Jan 2004) | 6 lines
Changed paths:
   M /trunk/modules/demux/mpeg/Modules.am
   A /trunk/modules/demux/mpeg/private.h
   M /trunk/modules/demux/mpeg/ps.c
   M /trunk/modules/demux/mpeg/system.c
   M /trunk/modules/demux/mpeg/ts.c

Ignore timestamp in PACK header in a private stream. This is to get
around a WinSubMux bug in multiplexing CVD and SVCD subtitles.
(Patch probably could be made more precise.)

To do this we've got to save the timestamp in the header.

------------------------------------------------------------------------
r6236 | rocky | 2004-01-03 19:40:01 +0100 (Sat, 03 Jan 2004) | 2 lines
Changed paths:
   M /trunk/modules/access/v4l/v4l.c

Spelling.

------------------------------------------------------------------------
r6237 | rocky | 2004-01-03 19:41:36 +0100 (Sat, 03 Jan 2004) | 2 lines
Changed paths:
   M /trunk/modules/access/ftp.c
   M /trunk/modules/access/http.c
   M /trunk/modules/access/v4l/v4l.c

Sorry to be so pedantic - grammar (and spelling)

------------------------------------------------------------------------
r6238 | rocky | 2004-01-03 21:43:24 +0100 (Sat, 03 Jan 2004) | 3 lines
Changed paths:
   M /trunk/modules/access/vcdx/access.c
   M /trunk/modules/access/vcdx/vcdplayer.h

Put track information in Media Info.  If we have SVD information, show
audio tracks and add that to the audio-selection window.

------------------------------------------------------------------------
r6239 | asmax | 2004-01-04 00:31:34 +0100 (Sun, 04 Jan 2004) | 19 lines
Changed paths:
   A /trunk/modules/gui/skins2
   A /trunk/modules/gui/skins2/Modules.am
   A /trunk/modules/gui/skins2/commands
   A /trunk/modules/gui/skins2/commands/async_queue.cpp
   A /trunk/modules/gui/skins2/commands/async_queue.hpp
   A /trunk/modules/gui/skins2/commands/cmd_add_item.cpp
   A /trunk/modules/gui/skins2/commands/cmd_add_item.hpp
   A /trunk/modules/gui/skins2/commands/cmd_change_skin.cpp
   A /trunk/modules/gui/skins2/commands/cmd_change_skin.hpp
   A /trunk/modules/gui/skins2/commands/cmd_dialogs.hpp
   A /trunk/modules/gui/skins2/commands/cmd_dummy.hpp
   A /trunk/modules/gui/skins2/commands/cmd_generic.hpp
   A /trunk/modules/gui/skins2/commands/cmd_input.cpp
   A /trunk/modules/gui/skins2/commands/cmd_input.hpp
   A /trunk/modules/gui/skins2/commands/cmd_layout.cpp
   A /trunk/modules/gui/skins2/commands/cmd_layout.hpp
   A /trunk/modules/gui/skins2/commands/cmd_notify_playlist.cpp
   A /trunk/modules/gui/skins2/commands/cmd_notify_playlist.hpp
   A /trunk/modules/gui/skins2/commands/cmd_on_top.cpp
   A /trunk/modules/gui/skins2/commands/cmd_on_top.hpp
   A /trunk/modules/gui/skins2/commands/cmd_playlist.cpp
   A /trunk/modules/gui/skins2/commands/cmd_playlist.hpp
   A /trunk/modules/gui/skins2/commands/cmd_quit.cpp
   A /trunk/modules/gui/skins2/commands/cmd_quit.hpp
   A /trunk/modules/gui/skins2/commands/cmd_resize.cpp
   A /trunk/modules/gui/skins2/commands/cmd_resize.hpp
   A /trunk/modules/gui/skins2/commands/cmd_show_window.hpp
   A /trunk/modules/gui/skins2/controls
   A /trunk/modules/gui/skins2/controls/ctrl_button.cpp
   A /trunk/modules/gui/skins2/controls/ctrl_button.hpp
   A /trunk/modules/gui/skins2/controls/ctrl_checkbox.cpp
   A /trunk/modules/gui/skins2/controls/ctrl_checkbox.hpp
   A /trunk/modules/gui/skins2/controls/ctrl_flat.hpp
   A /trunk/modules/gui/skins2/controls/ctrl_generic.cpp
   A /trunk/modules/gui/skins2/controls/ctrl_generic.hpp
   A /trunk/modules/gui/skins2/controls/ctrl_image.cpp
   A /trunk/modules/gui/skins2/controls/ctrl_image.hpp
   A /trunk/modules/gui/skins2/controls/ctrl_list.cpp
   A /trunk/modules/gui/skins2/controls/ctrl_list.hpp
   A /trunk/modules/gui/skins2/controls/ctrl_move.cpp
   A /trunk/modules/gui/skins2/controls/ctrl_move.hpp
   A /trunk/modules/gui/skins2/controls/ctrl_radialslider.cpp
   A /trunk/modules/gui/skins2/controls/ctrl_radialslider.hpp
   A /trunk/modules/gui/skins2/controls/ctrl_resize.cpp
   A /trunk/modules/gui/skins2/controls/ctrl_resize.hpp
   A /trunk/modules/gui/skins2/controls/ctrl_slider.cpp
   A /trunk/modules/gui/skins2/controls/ctrl_slider.hpp
   A /trunk/modules/gui/skins2/controls/ctrl_text.cpp
   A /trunk/modules/gui/skins2/controls/ctrl_text.hpp
   A /trunk/modules/gui/skins2/events
   A /trunk/modules/gui/skins2/events/evt_enter.hpp
   A /trunk/modules/gui/skins2/events/evt_focus.hpp
   A /trunk/modules/gui/skins2/events/evt_generic.hpp
   A /trunk/modules/gui/skins2/events/evt_input.cpp
   A /trunk/modules/gui/skins2/events/evt_input.hpp
   A /trunk/modules/gui/skins2/events/evt_key.cpp
   A /trunk/modules/gui/skins2/events/evt_key.hpp
   A /trunk/modules/gui/skins2/events/evt_leave.hpp
   A /trunk/modules/gui/skins2/events/evt_motion.hpp
   A /trunk/modules/gui/skins2/events/evt_mouse.cpp
   A /trunk/modules/gui/skins2/events/evt_mouse.hpp
   A /trunk/modules/gui/skins2/events/evt_refresh.hpp
   A /trunk/modules/gui/skins2/events/evt_scroll.cpp
   A /trunk/modules/gui/skins2/events/evt_scroll.hpp
   A /trunk/modules/gui/skins2/events/evt_special.cpp
   A /trunk/modules/gui/skins2/events/evt_special.hpp
   A /trunk/modules/gui/skins2/parser
   A /trunk/modules/gui/skins2/parser/builder.cpp
   A /trunk/modules/gui/skins2/parser/builder.hpp
   A /trunk/modules/gui/skins2/parser/builder_data.hpp
   A /trunk/modules/gui/skins2/parser/flex.c
   A /trunk/modules/gui/skins2/parser/gen.sh
   A /trunk/modules/gui/skins2/parser/gen_builder.py
   A /trunk/modules/gui/skins2/parser/interpreter.cpp
   A /trunk/modules/gui/skins2/parser/interpreter.hpp
   A /trunk/modules/gui/skins2/parser/parser_context.hpp
   A /trunk/modules/gui/skins2/parser/skin.act
   A /trunk/modules/gui/skins2/parser/skin.dtd
   A /trunk/modules/gui/skins2/parser/skin.h
   A /trunk/modules/gui/skins2/parser/skin.l
   A /trunk/modules/gui/skins2/parser/wrappers.cpp
   A /trunk/modules/gui/skins2/parser/wrappers.h
   A /trunk/modules/gui/skins2/src
   A /trunk/modules/gui/skins2/src/anchor.cpp
   A /trunk/modules/gui/skins2/src/anchor.hpp
   A /trunk/modules/gui/skins2/src/dialogs.cpp
   A /trunk/modules/gui/skins2/src/dialogs.hpp
   A /trunk/modules/gui/skins2/src/ft2_bitmap.cpp
   A /trunk/modules/gui/skins2/src/ft2_bitmap.hpp
   A /trunk/modules/gui/skins2/src/ft2_font.cpp
   A /trunk/modules/gui/skins2/src/ft2_font.hpp
   A /trunk/modules/gui/skins2/src/generic_bitmap.hpp
   A /trunk/modules/gui/skins2/src/generic_font.hpp
   A /trunk/modules/gui/skins2/src/generic_layout.cpp
   A /trunk/modules/gui/skins2/src/generic_layout.hpp
   A /trunk/modules/gui/skins2/src/generic_window.cpp
   A /trunk/modules/gui/skins2/src/generic_window.hpp
   A /trunk/modules/gui/skins2/src/logger.cpp
   A /trunk/modules/gui/skins2/src/logger.hpp
   A /trunk/modules/gui/skins2/src/os_factory.cpp
   A /trunk/modules/gui/skins2/src/os_factory.hpp
   A /trunk/modules/gui/skins2/src/os_graphics.hpp
   A /trunk/modules/gui/skins2/src/os_loop.hpp
   A /trunk/modules/gui/skins2/src/os_timer.hpp
   A /trunk/modules/gui/skins2/src/os_tooltip.hpp
   A /trunk/modules/gui/skins2/src/os_window.hpp
   A /trunk/modules/gui/skins2/src/png_bitmap.cpp
   A /trunk/modules/gui/skins2/src/png_bitmap.hpp
   A /trunk/modules/gui/skins2/src/scaled_bitmap.cpp
   A /trunk/modules/gui/skins2/src/scaled_bitmap.hpp
   A /trunk/modules/gui/skins2/src/skin_common.hpp
   A /trunk/modules/gui/skins2/src/skin_main.cpp
   A /trunk/modules/gui/skins2/src/theme.cpp
   A /trunk/modules/gui/skins2/src/theme.hpp
   A /trunk/modules/gui/skins2/src/theme_loader.cpp
   A /trunk/modules/gui/skins2/src/theme_loader.hpp
   A /trunk/modules/gui/skins2/src/tooltip.cpp
   A /trunk/modules/gui/skins2/src/tooltip.hpp
   A /trunk/modules/gui/skins2/src/var_manager.cpp
   A /trunk/modules/gui/skins2/src/var_manager.hpp
   A /trunk/modules/gui/skins2/src/vlcproc.cpp
   A /trunk/modules/gui/skins2/src/vlcproc.hpp
   A /trunk/modules/gui/skins2/src/window_manager.cpp
   A /trunk/modules/gui/skins2/src/window_manager.hpp
   A /trunk/modules/gui/skins2/utils
   A /trunk/modules/gui/skins2/utils/bezier.cpp
   A /trunk/modules/gui/skins2/utils/bezier.hpp
   A /trunk/modules/gui/skins2/utils/fsm.cpp
   A /trunk/modules/gui/skins2/utils/fsm.hpp
   A /trunk/modules/gui/skins2/utils/observer.hpp
   A /trunk/modules/gui/skins2/utils/pointer.hpp
   A /trunk/modules/gui/skins2/utils/position.cpp
   A /trunk/modules/gui/skins2/utils/position.hpp
   A /trunk/modules/gui/skins2/utils/ustring.cpp
   A /trunk/modules/gui/skins2/utils/ustring.hpp
   A /trunk/modules/gui/skins2/utils/var_bool.cpp
   A /trunk/modules/gui/skins2/utils/var_bool.hpp
   A /trunk/modules/gui/skins2/utils/var_list.cpp
   A /trunk/modules/gui/skins2/utils/var_list.hpp
   A /trunk/modules/gui/skins2/utils/var_percent.cpp
   A /trunk/modules/gui/skins2/utils/var_percent.hpp
   A /trunk/modules/gui/skins2/utils/var_text.cpp
   A /trunk/modules/gui/skins2/utils/var_text.hpp
   A /trunk/modules/gui/skins2/utils/variable.hpp
   A /trunk/modules/gui/skins2/vars
   A /trunk/modules/gui/skins2/vars/playlist.cpp
   A /trunk/modules/gui/skins2/vars/playlist.hpp
   A /trunk/modules/gui/skins2/vars/time.cpp
   A /trunk/modules/gui/skins2/vars/time.hpp
   A /trunk/modules/gui/skins2/vars/vlcvars.cpp
   A /trunk/modules/gui/skins2/vars/vlcvars.hpp
   A /trunk/modules/gui/skins2/vars/volume.cpp
   A /trunk/modules/gui/skins2/vars/volume.hpp
   A /trunk/modules/gui/skins2/win32
   A /trunk/modules/gui/skins2/win32/win32_dragdrop.cpp
   A /trunk/modules/gui/skins2/win32/win32_dragdrop.hpp
   A /trunk/modules/gui/skins2/win32/win32_factory.cpp
   A /trunk/modules/gui/skins2/win32/win32_factory.hpp
   A /trunk/modules/gui/skins2/win32/win32_graphics.cpp
   A /trunk/modules/gui/skins2/win32/win32_graphics.hpp
   A /trunk/modules/gui/skins2/win32/win32_loop.cpp
   A /trunk/modules/gui/skins2/win32/win32_loop.hpp
   A /trunk/modules/gui/skins2/win32/win32_timer.cpp
   A /trunk/modules/gui/skins2/win32/win32_timer.hpp
   A /trunk/modules/gui/skins2/win32/win32_tooltip.cpp
   A /trunk/modules/gui/skins2/win32/win32_tooltip.hpp
   A /trunk/modules/gui/skins2/win32/win32_window.cpp
   A /trunk/modules/gui/skins2/win32/win32_window.hpp
   A /trunk/modules/gui/skins2/x11
   A /trunk/modules/gui/skins2/x11/x11_display.cpp
   A /trunk/modules/gui/skins2/x11/x11_display.hpp
   A /trunk/modules/gui/skins2/x11/x11_dragdrop.cpp
   A /trunk/modules/gui/skins2/x11/x11_dragdrop.hpp
   A /trunk/modules/gui/skins2/x11/x11_factory.cpp
   A /trunk/modules/gui/skins2/x11/x11_factory.hpp
   A /trunk/modules/gui/skins2/x11/x11_graphics.cpp
   A /trunk/modules/gui/skins2/x11/x11_graphics.hpp
   A /trunk/modules/gui/skins2/x11/x11_loop.cpp
   A /trunk/modules/gui/skins2/x11/x11_loop.hpp
   A /trunk/modules/gui/skins2/x11/x11_timer.cpp
   A /trunk/modules/gui/skins2/x11/x11_timer.hpp
   A /trunk/modules/gui/skins2/x11/x11_tooltip.cpp
   A /trunk/modules/gui/skins2/x11/x11_tooltip.hpp
   A /trunk/modules/gui/skins2/x11/x11_window.cpp
   A /trunk/modules/gui/skins2/x11/x11_window.hpp

* all: brand new skins interface ( still _experimental_) for x11 and
  win32, by ipkiss and myself...
 Among the features:
 - framework rewritten from scratch, heavily based on design patterns
  => new controls can be (hopefully) created more easily, portability
  to other OS is better, and the interface is less dependant from
  the vlc core
 - new concept of "layout", to provide a window with several different
  views (as in winamp3 skins)
 - controls can now be placed at a relative position to the edges of
  a window, which allow controls and layouts to be resizable (e.g
  for the playlist window)
 - Use of libpng and libfreetype2 for better portability between x11 and
   win32 => ttf fonts and antialiasing
 - New DTD for the xml theme ( *it will probably change again* )
 - Very very beginning of scripting in the xml file
 - And many things I miss
 - And probably many bugs ;)

------------------------------------------------------------------------
r6240 | asmax | 2004-01-04 00:37:08 +0100 (Sun, 04 Jan 2004) | 2 lines
Changed paths:
   M /trunk/configure.ac

* configure.ac: added the skins2 module (_should_ work ;)

------------------------------------------------------------------------
r6241 | asmax | 2004-01-04 00:54:51 +0100 (Sun, 04 Jan 2004) | 11 lines
Changed paths:
   A /trunk/modules/gui/skins2/theme
   A /trunk/modules/gui/skins2/theme/FreeSansBold.ttf
   A /trunk/modules/gui/skins2/theme/add_item.png
   A /trunk/modules/gui/skins2/theme/add_item_onclick.png
   A /trunk/modules/gui/skins2/theme/body.png
   A /trunk/modules/gui/skins2/theme/close.png
   A /trunk/modules/gui/skins2/theme/close_mouseover.png
   A /trunk/modules/gui/skins2/theme/close_onclick.png
   A /trunk/modules/gui/skins2/theme/delete_item.png
   A /trunk/modules/gui/skins2/theme/delete_item_onclick.png
   A /trunk/modules/gui/skins2/theme/disabled.png
   A /trunk/modules/gui/skins2/theme/fast.png
   A /trunk/modules/gui/skins2/theme/fast_disabled.png
   A /trunk/modules/gui/skins2/theme/fast_onclick.png
   A /trunk/modules/gui/skins2/theme/next.png
   A /trunk/modules/gui/skins2/theme/next_disabled.png
   A /trunk/modules/gui/skins2/theme/next_onclick.png
   A /trunk/modules/gui/skins2/theme/pause.png
   A /trunk/modules/gui/skins2/theme/pause_onclick.png
   A /trunk/modules/gui/skins2/theme/play.png
   A /trunk/modules/gui/skins2/theme/play_onclick.png
   A /trunk/modules/gui/skins2/theme/playlist.png
   A /trunk/modules/gui/skins2/theme/playlist_body1.png
   A /trunk/modules/gui/skins2/theme/playlist_body2.png
   A /trunk/modules/gui/skins2/theme/playlist_body3.png
   A /trunk/modules/gui/skins2/theme/playlist_body4.png
   A /trunk/modules/gui/skins2/theme/playlist_body6.png
   A /trunk/modules/gui/skins2/theme/playlist_body7.png
   A /trunk/modules/gui/skins2/theme/playlist_body8.png
   A /trunk/modules/gui/skins2/theme/playlist_body9.png
   A /trunk/modules/gui/skins2/theme/playlist_button.png
   A /trunk/modules/gui/skins2/theme/playlist_button2.png
   A /trunk/modules/gui/skins2/theme/playlist_button_onclick.png
   A /trunk/modules/gui/skins2/theme/playlist_button_onclick2.png
   A /trunk/modules/gui/skins2/theme/preferences.png
   A /trunk/modules/gui/skins2/theme/preferences_onclick.png
   A /trunk/modules/gui/skins2/theme/previous.png
   A /trunk/modules/gui/skins2/theme/previous_disabled.png
   A /trunk/modules/gui/skins2/theme/previous_onclick.png
   A /trunk/modules/gui/skins2/theme/reduce.png
   A /trunk/modules/gui/skins2/theme/reduce_disabled.png
   A /trunk/modules/gui/skins2/theme/reduce_onclick.png
   A /trunk/modules/gui/skins2/theme/resize.png
   A /trunk/modules/gui/skins2/theme/rev.png
   A /trunk/modules/gui/skins2/theme/rev_disabled.png
   A /trunk/modules/gui/skins2/theme/rev_onclick.png
   A /trunk/modules/gui/skins2/theme/slider.png
   A /trunk/modules/gui/skins2/theme/slider2.png
   A /trunk/modules/gui/skins2/theme/slider_onclick.png
   A /trunk/modules/gui/skins2/theme/slider_playlist.png
   A /trunk/modules/gui/skins2/theme/slider_volume.png
   A /trunk/modules/gui/skins2/theme/slider_volume_onclick.png
   A /trunk/modules/gui/skins2/theme/slow.png
   A /trunk/modules/gui/skins2/theme/slow_disabled.png
   A /trunk/modules/gui/skins2/theme/slow_onclick.png
   A /trunk/modules/gui/skins2/theme/sort.png
   A /trunk/modules/gui/skins2/theme/sort_onclick.png
   A /trunk/modules/gui/skins2/theme/stop.png
   A /trunk/modules/gui/skins2/theme/stop_disabled.png
   A /trunk/modules/gui/skins2/theme/stop_onclick.png
   A /trunk/modules/gui/skins2/theme/theme.xml
   A /trunk/modules/gui/skins2/theme/volume.png

* all: sample theme for skins2 interface
  Warning: by default the interface will try to open the skin from the
  vlc share, which is probably an old skin, so the load will fail, and
  afterwards a wxwindows dialog allows to load another skin.
  BUT there seems to be a bug which make the interface crash
  when it tries to load this second skin... workarounds are:
  - deleting the old theme
  - setting the "skin_last2=/path/to/xml/file" in the [Skins] section
  of vlcrc
  - solving the bug ;)

------------------------------------------------------------------------
r6242 | asmax | 2004-01-04 01:06:10 +0100 (Sun, 04 Jan 2004) | 2 lines
Changed paths:
   A /trunk/modules/gui/skins2/parser/skin.c

* first forgotten file...

------------------------------------------------------------------------
r6243 | asmax | 2004-01-04 01:17:10 +0100 (Sun, 04 Jan 2004) | 2 lines
Changed paths:
   A /trunk/modules/gui/skins2/theme/FreeSans.ttf

* the sample theme should work better with that...

------------------------------------------------------------------------
r6244 | sam | 2004-01-04 05:50:24 +0100 (Sun, 04 Jan 2004) | 7 lines
Changed paths:
   M /trunk/include/codecs.h
   M /trunk/modules/video_output/caca.c

  * modules/video_output/caca.c:
    + Ported to libcaca 0.6.
    + Removed dithering configuration variable; use the CACA_DITHERING
      environment variable instead, until the API is polished.
  * include/codecs.h:
    + Minor coding style fix.

------------------------------------------------------------------------
r6245 | sam | 2004-01-04 05:53:07 +0100 (Sun, 04 Jan 2004) | 7 lines
Changed paths:
   M /trunk/debian/changelog
   M /trunk/debian/control
   M /trunk/debian/rules
   M /trunk/doc/fortunes.txt

  * debian/control:
    + Build-depend on fixed linux-kernel-headers packages.
  * debian/rules:
    + Look for faad in extras/faad2, not extras/faad.
    + Enable postprocessing in the ffmpeg configuration.
    + Activated libcaca video output.

------------------------------------------------------------------------
r6246 | rocky | 2004-01-04 05:56:21 +0100 (Sun, 04 Jan 2004) | 2 lines
Changed paths:
   M /trunk/modules/codec/ogt/cvd.c
   M /trunk/modules/codec/ogt/cvd.h
   M /trunk/modules/codec/ogt/cvd_parse.c
   M /trunk/modules/codec/ogt/subtitle.h

Was putting 1 byte of garbage for each packet.

------------------------------------------------------------------------
r6247 | fenrir | 2004-01-04 15:28:11 +0100 (Sun, 04 Jan 2004) | 3 lines
Changed paths:
   A /trunk/modules/demux/demux2.c
   A /trunk/modules/demux/nsv.c

 * demux2: a dummy demuxer to adapt to new demuxer API (experimental, and
 will be removed later).

------------------------------------------------------------------------
r6248 | fenrir | 2004-01-04 15:35:12 +0100 (Sun, 04 Jan 2004) | 3 lines
Changed paths:
   A /trunk/modules/demux/real.c

 * real.c: begin of a real demuxer (using new API). Can't work yet as it
 needs modification to ffmpeg decoder that I need to finish.

------------------------------------------------------------------------
r6249 | zorglub | 2004-01-04 16:24:27 +0100 (Sun, 04 Jan 2004) | 2 lines
Changed paths:
   M /trunk/configure.ac

Do not link twice zlib

------------------------------------------------------------------------
r6250 | fenrir | 2004-01-04 16:32:13 +0100 (Sun, 04 Jan 2004) | 5 lines
Changed paths:
   M /trunk/configure.ac
   M /trunk/modules/codec/ffmpeg/encoder.c
   M /trunk/modules/demux/Modules.am
   M /trunk/modules/demux/demux2.c
   M /trunk/src/input/es_out.c

 * encoder.c: corrected required LIBAVCODEC_BUILD
 * es_out.c: ES_OUT_SET_PCR works now with microsecond.
 * configure.ac, Modules.am: enable demux2, nsv, real.
 * demux2.c: increased priority.

------------------------------------------------------------------------
r6251 | rocky | 2004-01-04 17:25:00 +0100 (Sun, 04 Jan 2004) | 3 lines
Changed paths:
   A /trunk/doc/subtitles
   A /trunk/doc/subtitles/cvd-subtitles.txt
   A /trunk/doc/subtitles/svcd-ogt-subtitles.txt

A start for what little public documentation there is for CVD and OGT
subtitles.

------------------------------------------------------------------------
r6252 | rocky | 2004-01-04 17:51:59 +0100 (Sun, 04 Jan 2004) | 4 lines
Changed paths:
   M /trunk/configure.ac
   M /trunk/doc/subtitles/cvd-subtitles.txt
   A /trunk/modules/codec/ogt/.cvsignore
   A /trunk/modules/codec/ogt/Modules.am
   M /trunk/modules/codec/ogt/cvd.c
   M /trunk/modules/codec/ogt/cvd_parse.c
   A /trunk/modules/codec/ogt/write_png.c
   A /trunk/modules/codec/ogt/write_png.h

Add OGT and CVD subtitle demuxers.
write_png: might be made into a module and moved elsewhere
cvd*: went over documentation a little bit.

------------------------------------------------------------------------
r6253 | fenrir | 2004-01-04 18:35:02 +0100 (Sun, 04 Jan 2004) | 6 lines
Changed paths:
   M /trunk/modules/demux/avi/avi.c
   M /trunk/modules/demux/avi/avi.h

 * avi: May fix #1545
 (From mplayer:
    "count blocks by rounded-up chunksizes instead of chunks -
     we need full emulation of dshow avi demuxer bugs :(
     fixes silly nandub-style a-v delaying in avi with vbr mp3..." )

------------------------------------------------------------------------
r6254 | sam | 2004-01-04 19:18:45 +0100 (Sun, 04 Jan 2004) | 3 lines
Changed paths:
   M /trunk/toolbox

  * toolbox:
    + Minor fixes to the woody packages.

------------------------------------------------------------------------
r6255 | kuehne | 2004-01-04 22:44:44 +0100 (Sun, 04 Jan 2004) | 2 lines
Changed paths:
   M /trunk/modules/gui/macosx/intf.h
   M /trunk/modules/gui/macosx/intf.m

Fixed a small bug which prevented the translation of a string.

------------------------------------------------------------------------
r6256 | gbazin | 2004-01-04 23:03:20 +0100 (Sun, 04 Jan 2004) | 3 lines
Changed paths:
   M /trunk/configure.ac
   M /trunk/extras/MacOSX/Resources/English.lproj/InfoPlist.strings
   M /trunk/extras/MacOSX/vlc.pbproj/project.pbxproj


* ALL: bumping version number to 0.7.1-cvs.

------------------------------------------------------------------------
r6257 | gbazin | 2004-01-04 23:22:10 +0100 (Sun, 04 Jan 2004) | 3 lines
Changed paths:
   M /trunk/modules/codec/ogt/cvd_parse.c
   M /trunk/modules/codec/ogt/ogt_parse.c
   M /trunk/modules/codec/ogt/subtitle.h


* modules/codec/ogt/*: win32 compilation fixes.

------------------------------------------------------------------------
r6258 | gbazin | 2004-01-04 23:38:49 +0100 (Sun, 04 Jan 2004) | 3 lines
Changed paths:
   M /trunk/modules/gui/skins2/vars/playlist.cpp
   M /trunk/modules/gui/skins2/vars/playlist.hpp


* modules/gui/skins2/vars/playlist.*: win32 compilation fix (not sure it is the right one).

------------------------------------------------------------------------
r6259 | fenrir | 2004-01-05 04:19:00 +0100 (Mon, 05 Jan 2004) | 2 lines
Changed paths:
   M /trunk/modules/demux/nsv.c

 * nsv: clean up, added seek support.

------------------------------------------------------------------------
r6260 | jlj | 2004-01-05 13:24:51 +0100 (Mon, 05 Jan 2004) | 2 lines
Changed paths:
   M /trunk/AUTHORS

  * ./AUTHORS: updated my country entry.

------------------------------------------------------------------------
r6261 | jlj | 2004-01-05 13:37:52 +0100 (Mon, 05 Jan 2004) | 2 lines
Changed paths:
   M /trunk/AUTHORS
   M /trunk/modules/demux/mp4/Modules.am
   A /trunk/modules/demux/mp4/drms.c
   A /trunk/modules/demux/mp4/drms.h
   A /trunk/modules/demux/mp4/drmstables.h
   M /trunk/modules/demux/mp4/libmp4.c
   M /trunk/modules/demux/mp4/libmp4.h
   M /trunk/modules/demux/mp4/mp4.c
   M /trunk/modules/demux/mp4/mp4.h

  * ./modules/demux/mp4: DRMS support.

------------------------------------------------------------------------
r6262 | zorglub | 2004-01-05 13:59:43 +0100 (Mon, 05 Jan 2004) | 33 lines
Changed paths:
   M /trunk/Makefile.am
   M /trunk/include/vlc_common.h
   M /trunk/include/vlc_playlist.h
   M /trunk/src/input/input.c
   M /trunk/src/libvlc.c
   M /trunk/src/playlist/group.c
   A /trunk/src/playlist/info.c
   A /trunk/src/playlist/item-ext.c
   M /trunk/src/playlist/item.c
   M /trunk/src/playlist/loadsave.c
   M /trunk/src/playlist/playlist.c
   M /trunk/src/playlist/sort.c

* Makefile.am : Added src/playlist/item-ext.c and src/playlist/info.c

* src/playlist/item.c
  src/playlist/info.c
  src/playlist/item-ext.c
  src/playlist/group.c
  src/playlist/sort.c
  src/playlist/loadsave.c
  include/vlc_playlist.h
      - New playlist_info structures and accessors
        It works pretty like the old input_info (with categories)
        It provides modularity to the playlist
      - Removed ppsz_options and i_options from playlist_item
        (we use the special category Options)
      - Added a unique id to each playlist_item to be able to track the
        items accross playlist reorders
      - Simplified adding of items.
           - playlist_AddExt is removed
           - playlist_AddItem is still here and exported but should not be used
           - use playlist_Add( p_playlist, uri, name, duration, mode, pos )
             and use the accessors for all other things
      - Added setters for fields of the playlist_item structure
      - Introduced "item-change" and "playlist-current" playlist variables
        to give more flexibility than only intf-change

      At the moment, duration is still in the structure (easier to use, IMHO)

* src/input/input.c
  src/libvlc.c :
        playlist item options parsing changed

* include/vlc_common.h : added playlist_info structures

------------------------------------------------------------------------
r6263 | zorglub | 2004-01-05 13:59:54 +0100 (Mon, 05 Jan 2004) | 5 lines
Changed paths:
   M /trunk/modules/misc/sap.c

* modules/misc/sap.c :
      - Use the new playlist API
      - Track title changes
      - Timeout. Delete an item if we haven't heard about it for too long.

------------------------------------------------------------------------
r6264 | zorglub | 2004-01-05 14:00:20 +0100 (Mon, 05 Jan 2004) | 6 lines
Changed paths:
   M /trunk/modules/demux/asf/asf.c
   M /trunk/modules/demux/avi/avi.c
   M /trunk/modules/demux/util/id3tag.c
   M /trunk/src/input/es_out.c

  modules/demux/util/id3tag.c
  modules/demux/avi/avi.c
  modules/demux/asf/asf.c
  src/input/es_out.c
        - Fill the playlist info structures

------------------------------------------------------------------------
r6265 | zorglub | 2004-01-05 14:00:39 +0100 (Mon, 05 Jan 2004) | 9 lines
Changed paths:
   M /trunk/modules/gui/wxwindows/dialogs.cpp
   M /trunk/modules/gui/wxwindows/interface.cpp
   M /trunk/modules/gui/wxwindows/iteminfo.cpp
   M /trunk/modules/gui/wxwindows/open.cpp
   M /trunk/modules/gui/wxwindows/playlist.cpp
   M /trunk/modules/gui/wxwindows/streamwizard.cpp
   M /trunk/modules/gui/wxwindows/wxwindows.h

  modules/gui/wxwindows/playlist.cpp
  modules/gui/wxwindows/iteminfo.cpp
        - Show the info as a tree view.
         At the moment, all is shown. We should maybe hide the "Options" tree
         as it rather "internal"
        - Improved a little the layout
        - Added a popup menu to to the playlist
        - Minimize playlist rebuilds

------------------------------------------------------------------------
r6266 | zorglub | 2004-01-05 14:07:03 +0100 (Mon, 05 Jan 2004) | 16 lines
Changed paths:
   M /trunk/modules/LIST
   M /trunk/modules/access/cdda/access.c
   M /trunk/modules/access/http.c
   M /trunk/modules/access/slp.c
   M /trunk/modules/access/vcdx/access.c
   M /trunk/modules/codec/speex.c
   M /trunk/modules/codec/theora.c
   M /trunk/modules/codec/vorbis.c
   M /trunk/modules/control/corba/corba.c
   M /trunk/modules/control/http.c
   M /trunk/modules/control/rc/rc.c
   M /trunk/modules/demux/m3u.c
   M /trunk/modules/demux/mkv.cpp
   M /trunk/modules/demux/mp4/mp4.c
   M /trunk/modules/gui/beos/VlcWrapper.cpp
   M /trunk/modules/gui/gtk/open.c
   M /trunk/modules/gui/gtk/playlist.c
   M /trunk/modules/gui/kde/interface.cpp
   M /trunk/modules/gui/macosx/applescript.m
   M /trunk/modules/gui/macosx/playlist.m
   M /trunk/modules/gui/pda/pda_callbacks.c
   M /trunk/modules/gui/qt/intf.cpp
   M /trunk/modules/gui/skins/src/vlcproc.cpp
   M /trunk/modules/gui/skins2/commands/cmd_add_item.cpp

* ALL:  playlist API changes

What may be broken (untested):
------------------------------
   - Theora and Speex decoders
   - some interfaces
   - VCDX and CDDAX access

The problems shouldn't hopefully excess compilation glitches.
(removal of AddExt, of psz_author, and prototype of Add)

Additionnaly, interfaces that do not support item-change will have
update problems.

* Updated modules list

------------------------------------------------------------------------
r6267 | fenrir | 2004-01-05 15:10:58 +0100 (Mon, 05 Jan 2004) | 7 lines
Changed paths:
   M /trunk/Makefile.am
   M /trunk/configure.ac
   M /trunk/include/network.h
   M /trunk/src/misc/modules.c
   A /trunk/src/misc/net.c


 * configure.ac: readded AX_ADD_PLUGINS([mpgv mpga m4v mpeg_system ps ts
   avi asf aac mp4 rawdv demux2 nsv real]), it was probably a mistake ....
   ( ouiiinnn, another bootstrap ;)

 * all: added net_* helpers functions.

------------------------------------------------------------------------
r6268 | zorglub | 2004-01-05 15:42:14 +0100 (Mon, 05 Jan 2004) | 3 lines
Changed paths:
   M /trunk/modules/misc/sap.c
   M /trunk/src/playlist/item-ext.c

* modules/misc/sap.c : let the user configure timeout delay
* src/playlist/item-ext.c : sanity checks when adding items

------------------------------------------------------------------------
r6269 | hartman | 2004-01-05 15:50:42 +0100 (Mon, 05 Jan 2004) | 2 lines
Changed paths:
   M /trunk/extras/contrib/src/Makefile
   M /trunk/extras/contrib/src/packages.mak

* Fix mpeg2dec buildsystem

------------------------------------------------------------------------
r6270 | fenrir | 2004-01-05 16:07:16 +0100 (Mon, 05 Jan 2004) | 2 lines
Changed paths:
   M /trunk/modules/access/tcp.c

 * tcp: use net_*.

------------------------------------------------------------------------
r6271 | hartman | 2004-01-05 17:22:40 +0100 (Mon, 05 Jan 2004) | 4 lines
Changed paths:
   M /trunk/extras/contrib/src/Makefile
   A /trunk/extras/contrib/src/Patches/caca.patch
   M /trunk/extras/contrib/src/packages.mak

* Fixed mpeg2dec newer libcaca, newer matroska, www.videolan.org should now
  be download.videolan.org etc etc etc.
  A lot of small fixes

------------------------------------------------------------------------
r6272 | gbazin | 2004-01-05 18:42:36 +0100 (Mon, 05 Jan 2004) | 5 lines
Changed paths:
   M /trunk/configure.ac
   M /trunk/modules/gui/skins2/Modules.am
   M /trunk/modules/gui/skins2/vars/playlist.cpp


* configure.ac: win32 compilation fixes for the skins2 plugin.
* modules/gui/skins2/Modules.am: renamed the plugin name into skins2 so it doesn't conflict with the old plugin.
* modules/gui/skins2/vars/playlist.cpp: fixed invalid cast.

------------------------------------------------------------------------
r6273 | hartman | 2004-01-05 19:15:12 +0100 (Mon, 05 Jan 2004) | 2 lines
Changed paths:
   M /trunk/modules/demux/mkv.cpp

* API change in mkv. Everyone should update to the latest libraries.

------------------------------------------------------------------------
r6274 | bigben | 2004-01-05 19:43:17 +0100 (Mon, 05 Jan 2004) | 2 lines
Changed paths:
   M /trunk/modules/gui/macosx/intf.m

Added a callback on item-change, so that the playlist is updated.

------------------------------------------------------------------------
r6275 | sam | 2004-01-05 20:33:11 +0100 (Mon, 05 Jan 2004) | 2 lines
Changed paths:
   M /trunk/modules/gui/skins2/vars/playlist.cpp

  * modules/gui/skins2/vars/playlist.cpp: Hack to prevent compilation errors.

------------------------------------------------------------------------
r6276 | gbazin | 2004-01-05 21:02:21 +0100 (Mon, 05 Jan 2004) | 3 lines
Changed paths:
   M /trunk/modules/gui/skins2/vars/playlist.cpp


* modules/gui/skins2/vars/playlist.cpp: use ICONV_CONST to deal with the different prototypes for iconv(). Thanks sam!

------------------------------------------------------------------------
r6277 | gbazin | 2004-01-05 23:06:15 +0100 (Mon, 05 Jan 2004) | 4 lines
Changed paths:
   M /trunk/modules/video_output/directx/directx.c


* modules/video_output/directx/directx.c: patch by Mike Schrag to add a config var
for the directx preferred display device.

------------------------------------------------------------------------
r6278 | asmax | 2004-01-05 23:17:32 +0100 (Mon, 05 Jan 2004) | 4 lines
Changed paths:
   M /trunk/modules/gui/skins2/Modules.am
   M /trunk/modules/gui/skins2/commands/cmd_dummy.hpp
   A /trunk/modules/gui/skins2/commands/cmd_fullscreen.cpp
   A /trunk/modules/gui/skins2/commands/cmd_fullscreen.hpp
   M /trunk/modules/gui/skins2/commands/cmd_notify_playlist.hpp
   M /trunk/modules/gui/skins2/commands/cmd_on_top.hpp
   M /trunk/modules/gui/skins2/commands/cmd_quit.hpp
   M /trunk/modules/gui/skins2/parser/interpreter.cpp
   M /trunk/modules/gui/skins2/vars/playlist.cpp
   M /trunk/modules/gui/skins2/vars/playlist.hpp

* commands/cmd_*.hpp: use the DEFINE_COMMAND macro for simple commands
* commands/cmd_fullscreen.*, parser/interpreter.cpp: added a
  "vlc.fullscreen()" command

------------------------------------------------------------------------
r6279 | jlj | 2004-01-06 02:41:10 +0100 (Tue, 06 Jan 2004) | 2 lines
Changed paths:
   M /trunk/modules/demux/mp4/libmp4.c
   M /trunk/modules/demux/mp4/mp4.c

  * ./modules/demux/mp4: added some DRMS debug statements.

------------------------------------------------------------------------
r6280 | rocky | 2004-01-06 04:59:48 +0100 (Tue, 06 Jan 2004) | 5 lines
Changed paths:
   M /trunk/src/libvlc.h

Choosing an audio or subtitle channel isn't an "advanced"
option. Run-of-the mill users may want to select that.

Update documentation.

------------------------------------------------------------------------
r6281 | rocky | 2004-01-06 05:10:18 +0100 (Tue, 06 Jan 2004) | 3 lines
Changed paths:
   M /trunk/modules/access/vcdx/access.c

Unbreak plugin as a result of the recent playlist API change. Need to
cripple PBC for now though.

------------------------------------------------------------------------
r6282 | rocky | 2004-01-06 05:57:34 +0100 (Tue, 06 Jan 2004) | 3 lines
Changed paths:
   M /trunk/include/vlc_playlist.h
   M /trunk/modules/access/cdda/access.c
   M /trunk/src/playlist/item-ext.c

Reinstate duration times on playlist item for CD-DA.  Done via adding
an interface to allow setting the duration on adding a playlist item.

------------------------------------------------------------------------
r6283 | zorglub | 2004-01-06 09:50:20 +0100 (Tue, 06 Jan 2004) | 15 lines
Changed paths:
   M /trunk/include/vlc/vlc.h
   M /trunk/include/vlc_playlist.h
   M /trunk/src/libvlc.c
   M /trunk/src/misc/win32_specific.c
   M /trunk/src/playlist/group.c
   M /trunk/src/playlist/info.c
   M /trunk/src/playlist/item-ext.c
   M /trunk/src/playlist/item.c
   M /trunk/src/playlist/loadsave.c
   M /trunk/src/playlist/playlist.c
   M /trunk/src/playlist/sort.c

- src/misc/win32_specific: compilation fix for win32 (can someone please
check that command line parsing still works for items and options? )

- src/libvlc.c
  include/vlc/vlc.h : New libvlc functions to get playlist status and
                      clear the playlist
     Patch by Tong Ka Man

- src/playlist/* : Update copyrights

- src/playlist/playlist.c:
  -When a user explicitely asks for an item, do play it, even if random mode
  -Do not stop playlist upon deletion of an autodelete item
  -playlist_Clear (Patch by Tong Ka Man)

------------------------------------------------------------------------
r6284 | zorglub | 2004-01-06 13:02:06 +0100 (Tue, 06 Jan 2004) | 2 lines
Changed paths:
   M /trunk/src/audio_output/common.c
   M /trunk/src/audio_output/dec.c
   M /trunk/src/audio_output/filters.c
   M /trunk/src/audio_output/input.c
   M /trunk/src/audio_output/intf.c
   M /trunk/src/audio_output/mixer.c
   M /trunk/src/audio_output/output.c
   M /trunk/src/input/demux.c
   M /trunk/src/input/es_out.c
   M /trunk/src/input/input.c
   M /trunk/src/input/input_clock.c
   M /trunk/src/input/input_dec.c
   M /trunk/src/input/input_ext-intf.c
   M /trunk/src/input/input_ext-plugins.c
   M /trunk/src/input/input_info.c
   M /trunk/src/input/input_programs.c
   M /trunk/src/input/stream.c
   M /trunk/src/input/subtitles.c
   M /trunk/src/interface/interface.c
   M /trunk/src/interface/intf_eject.c
   M /trunk/src/libvlc.c
   M /trunk/src/misc/beos_specific.cpp
   M /trunk/src/misc/block.c
   M /trunk/src/misc/charset.c
   M /trunk/src/misc/configuration.c
   M /trunk/src/misc/cpu.c
   M /trunk/src/misc/darwin_specific.m
   M /trunk/src/misc/error.c
   M /trunk/src/misc/iso-639_def.h
   M /trunk/src/misc/iso_lang.c
   M /trunk/src/misc/messages.c
   M /trunk/src/misc/modules.c
   M /trunk/src/misc/mtime.c
   M /trunk/src/misc/objects.c
   M /trunk/src/misc/threads.c
   M /trunk/src/misc/variables.c
   M /trunk/src/misc/win32_specific.c
   M /trunk/src/stream_output/stream_output.c
   M /trunk/src/video_output/video_output.c
   M /trunk/src/video_output/video_text.c
   M /trunk/src/video_output/vout_pictures.c
   M /trunk/src/video_output/vout_pictures.h
   M /trunk/src/video_output/vout_subpictures.c
   M /trunk/src/video_output/vout_synchro.c
   M /trunk/src/vlc.c

Updated copyrights in libvlc

------------------------------------------------------------------------
r6285 | hartman | 2004-01-06 15:35:16 +0100 (Tue, 06 Jan 2004) | 2 lines
Changed paths:
   M /trunk/modules/demux/util/sub.c

* Something about microdvd fps and a huge bug in its defaults.

------------------------------------------------------------------------
r6286 | gbazin | 2004-01-06 20:12:08 +0100 (Tue, 06 Jan 2004) | 3 lines
Changed paths:
   M /trunk/modules/video_output/directx/directx.c


* modules/video_output/directx/directx.c: move the video window to the right display when using --directx-device.

------------------------------------------------------------------------
r6287 | sigmunau | 2004-01-06 22:42:43 +0100 (Tue, 06 Jan 2004) | 6 lines
Changed paths:
   M /trunk/include/ninput.h
   M /trunk/src/input/stream.c

src/input/stream.c:
  * Cleaned up a comment
  * Added a function stream_ReadLine() to read one line from a stream
include/ninput.h:
  * export stream_ReadLine()

------------------------------------------------------------------------
r6288 | fenrir | 2004-01-07 00:03:17 +0100 (Wed, 07 Jan 2004) | 2 lines
Changed paths:
   M /trunk/include/network.h
   M /trunk/src/misc/net.c

 * src/misc/net.c: fixed net_Gets

------------------------------------------------------------------------
r6289 | fenrir | 2004-01-07 00:11:47 +0100 (Wed, 07 Jan 2004) | 2 lines
Changed paths:
   M /trunk/include/network.h

 * network: vlc_UrlParse should now accept ipv6 ip (untested).

------------------------------------------------------------------------
r6290 | rocky | 2004-01-07 08:21:31 +0100 (Wed, 07 Jan 2004) | 10 lines
Changed paths:
   M /trunk/modules/access/cdda/access.c

Better operator association in computing duration and should be
optimized better too.

Add track info in "Media Information" Add track-specific information
and album information in "Item info".

Coding of all this is ugly and massively redundant. I think the
playlist needs to be re-thought/re-worked. Sublevels would be nice
too.

------------------------------------------------------------------------
r6291 | fenrir | 2004-01-07 15:59:03 +0100 (Wed, 07 Jan 2004) | 2 lines
Changed paths:
   M /trunk/src/misc/net.c

 * net: mem leak in net_Printf

------------------------------------------------------------------------
r6292 | fenrir | 2004-01-07 15:59:37 +0100 (Wed, 07 Jan 2004) | 3 lines
Changed paths:
   M /trunk/modules/demux/demux2.c
   M /trunk/modules/demux/nsv.c

 * demux2: allow to force demuxer.
 * nsv: fixed bad init.

------------------------------------------------------------------------
r6293 | fenrir | 2004-01-07 16:21:27 +0100 (Wed, 07 Jan 2004) | 5 lines
Changed paths:
   M /trunk/modules/access/http.c

 * http: complete rewrite (using net_Printf/net_Gets)
        -> Proxy, user/password and redirection untested.
        -> For icecast server, check also the mime (do not blindly force
        mp3, it could also be nsv).

------------------------------------------------------------------------
r6294 | fenrir | 2004-01-07 16:31:31 +0100 (Wed, 07 Jan 2004) | 3 lines
Changed paths:
   M /trunk/include/ninput.h
   M /trunk/modules/demux/nsv.c
   M /trunk/modules/demux/real.c
   M /trunk/src/input/es_out.c

 * rename ES_OUT_SET_PCR into ES_OUT_SET_GROUP_PCR, now ES_OUT_SET_PCR
  apply to the selected program.

------------------------------------------------------------------------
r6295 | hartman | 2004-01-07 16:54:38 +0100 (Wed, 07 Jan 2004) | 2 lines
Changed paths:
   M /trunk/extras/contrib/README

* Clarify some instructions.

------------------------------------------------------------------------
r6296 | hartman | 2004-01-07 17:54:47 +0100 (Wed, 07 Jan 2004) | 2 lines
Changed paths:
   M /trunk/modules/codec/subsdec.c

* Fix a memory leak when there is no p_vout, but when there are subs.

------------------------------------------------------------------------
r6297 | fenrir | 2004-01-07 18:57:56 +0100 (Wed, 07 Jan 2004) | 2 lines
Changed paths:
   M /trunk/src/input/input.c

 * input: fix to avoid forced subtitle not selected.

------------------------------------------------------------------------
r6298 | gbazin | 2004-01-07 20:20:30 +0100 (Wed, 07 Jan 2004) | 5 lines
Changed paths:
   M /trunk/modules/codec/rawvideo.c
   M /trunk/modules/stream_out/transcode.c
   M /trunk/src/playlist/info.c
   M /trunk/src/playlist/item-ext.c


* src/playlist/*: fixed memory leaks.
* modules/codec/rawvideo.c: fixed dts/pts problem and added support for fourcc IYUV.
* modules/stream_out/transcode.c: added support for fourcc IYUV.

------------------------------------------------------------------------
r6299 | fenrir | 2004-01-08 00:39:41 +0100 (Thu, 08 Jan 2004) | 2 lines
Changed paths:
   M /trunk/include/vlc_common.h
   M /trunk/src/extras/libc.c
   M /trunk/src/misc/net.c

 * all: added own implementation of vasprintf. I hope it's ok this way.

------------------------------------------------------------------------
r6300 | gbazin | 2004-01-08 01:12:50 +0100 (Thu, 08 Jan 2004) | 7 lines
Changed paths:
   M /trunk/configure.ac
   M /trunk/modules/codec/ffmpeg/Modules.am
   A /trunk/modules/codec/ffmpeg/demux.c
   M /trunk/modules/codec/ffmpeg/ffmpeg.c
   M /trunk/modules/codec/ffmpeg/ffmpeg.h
   M /trunk/modules/codec/ffmpeg/video.c


* configure.ac: detect if libavformat is present.
* modules/codec/ffmpeg/demux.c: new experimental demuxer using libavformat (most of the work done by fenrir).
   This demuxer should allow us to support "frindge" formats (FLIC, SWF, etc...).
   The demuxer has been put here because of its dependancy on libavformat and libavcodec.
* modules/codec/ffmpeg/ffmpeg.c: re-arranged the codecs list.

------------------------------------------------------------------------
r6301 | fenrir | 2004-01-08 01:37:18 +0100 (Thu, 08 Jan 2004) | 3 lines
Changed paths:
   M /trunk/modules/access/ftp.c
   M /trunk/modules/demux/mp4/libmp4.c

 * modules/demux/mp4/libmp4.c: use vasprintf
 * modules/access/ftp.c: cleaned up.

------------------------------------------------------------------------
r6302 | sigmunau | 2004-01-08 01:52:08 +0100 (Thu, 08 Jan 2004) | 3 lines
Changed paths:
   M /trunk/modules/gui/wxwindows/playlist.cpp

modules/gui/wxwindows/playlist.cpp:
  * fixed a warning

------------------------------------------------------------------------
r6303 | fenrir | 2004-01-08 11:27:07 +0100 (Thu, 08 Jan 2004) | 2 lines
Changed paths:
   M /trunk/include/vlc_common.h
   M /trunk/src/extras/libc.c

 * all: correct test for vasprintf.

------------------------------------------------------------------------
r6304 | fenrir | 2004-01-08 12:18:27 +0100 (Thu, 08 Jan 2004) | 2 lines
Changed paths:
   M /trunk/include/vlc_common.h

 * vlc_common: mmh, use right prototype...

------------------------------------------------------------------------
r6305 | jlj | 2004-01-08 12:36:40 +0100 (Thu, 08 Jan 2004) | 2 lines
Changed paths:
   M /trunk/src/extras/libc.c

  * ./src/extras/libc.c: vasprintf bug fix.

------------------------------------------------------------------------
r6306 | hartman | 2004-01-08 13:07:07 +0100 (Thu, 08 Jan 2004) | 2 lines
Changed paths:
   M /trunk/modules/codec/ffmpeg/ffmpeg.c

* ffmpeg 0.4.8 compilation fix

------------------------------------------------------------------------
r6307 | courmisch | 2004-01-08 13:44:59 +0100 (Thu, 08 Jan 2004) | 2 lines
Changed paths:
   A /trunk/modules/gui/skins2/.cvsignore

Added .cvsignore

------------------------------------------------------------------------
r6308 | gbazin | 2004-01-08 16:11:35 +0100 (Thu, 08 Jan 2004) | 3 lines
Changed paths:
   M /trunk/modules/codec/ffmpeg/ffmpeg.c


* modules/codec/ffmpeg/ffmpeg.c: oops.

------------------------------------------------------------------------
r6309 | fenrir | 2004-01-08 17:28:37 +0100 (Thu, 08 Jan 2004) | 3 lines
Changed paths:
   M /trunk/modules/gui/ncurses/ncurses.c

 * ncurses: added and updated a lot of fonctionnalities. (Playlist browser,
 time, informations and help display).

------------------------------------------------------------------------
r6310 | hartman | 2004-01-08 20:07:42 +0100 (Thu, 08 Jan 2004) | 3 lines
Changed paths:
   M /trunk/vlc.ebuild

* Updated the ebuild for 0.7.0
  a bit late i know. I had forgotten about it.

------------------------------------------------------------------------
r6311 | sam | 2004-01-08 20:22:10 +0100 (Thu, 08 Jan 2004) | 3 lines
Changed paths:
   M /trunk/modules/video_output/caca.c

  * modules/video_output/caca.c:
    + Updated for libcaca 0.7.

------------------------------------------------------------------------
r6312 | hartman | 2004-01-08 22:19:03 +0100 (Thu, 08 Jan 2004) | 4 lines
Changed paths:
   M /trunk/vlc.ebuild

* Updated with new libraries in vlc
* Use new style of use_enable
* Fixed some bugs

------------------------------------------------------------------------
r6313 | gbazin | 2004-01-08 22:48:43 +0100 (Thu, 08 Jan 2004) | 4 lines
Changed paths:
   M /trunk/modules/codec/ffmpeg/demux.c
   M /trunk/modules/codec/ffmpeg/ffmpeg.c


* modules/codec/ffmpeg/demux.c: improvements.
* modules/codec/ffmpeg/ffmpeg.c: added a few fourccs.

------------------------------------------------------------------------
r6314 | hartman | 2004-01-08 22:55:06 +0100 (Thu, 08 Jan 2004) | 2 lines
Changed paths:
   M /trunk/vlc.ebuild

* caca 0.6 doesn't work with 0.7.0 remember? :)

------------------------------------------------------------------------
r6315 | gbazin | 2004-01-08 23:02:29 +0100 (Thu, 08 Jan 2004) | 3 lines
Changed paths:
   M /trunk/modules/codec/ffmpeg/ffmpeg.c


* modules/codec/ffmpeg/ffmpeg.c: compilation fix for ffmpeg 0.4.8.

------------------------------------------------------------------------
r6316 | hartman | 2004-01-08 23:34:54 +0100 (Thu, 08 Jan 2004) | 2 lines
Changed paths:
   M /trunk/vlc.ebuild

* thats what you get when you work in multiple directories

------------------------------------------------------------------------
r6317 | hartman | 2004-01-08 23:37:59 +0100 (Thu, 08 Jan 2004) | 2 lines
Changed paths:
   M /trunk/vlc.ebuild

* And AGAIN the caca fix

------------------------------------------------------------------------
r6318 | sigmunau | 2004-01-09 00:21:01 +0100 (Fri, 09 Jan 2004) | 3 lines
Changed paths:
   M /trunk/modules/codec/ffmpeg/ffmpeg.c

modules/codec/ffmpeg/ffmpeg.c:
 * add fourcc "smc "

------------------------------------------------------------------------
r6319 | gbazin | 2004-01-09 01:02:55 +0100 (Fri, 09 Jan 2004) | 4 lines
Changed paths:
   M /trunk/modules/codec/ffmpeg/ffmpeg.c
   M /trunk/modules/codec/ffmpeg/video.c


* modules/codec/ffmpeg/video.c: setup dummy palette to avoid segfaults with some codecs.
* modules/codec/ffmpeg/ffmpeg.c: more fourccs.

------------------------------------------------------------------------
r6320 | gbazin | 2004-01-09 01:30:29 +0100 (Fri, 09 Jan 2004) | 3 lines
Changed paths:
   D /trunk/modules/demux/mpeg/private.h
   M /trunk/modules/demux/mpeg/ps.c
   M /trunk/modules/demux/mpeg/system.c
   M /trunk/modules/demux/mpeg/system.h
   M /trunk/modules/demux/mpeg/ts.c


* modules/demux/mpeg: fixed latest changes to mpeg system demuxer (dvd playing was broken).

------------------------------------------------------------------------
r6321 | gbazin | 2004-01-09 01:32:12 +0100 (Fri, 09 Jan 2004) | 3 lines
Changed paths:
   M /trunk/modules/demux/mpeg/Modules.am


* modules/demux/mpeg/Modules.am: forgot to remove private.h.

------------------------------------------------------------------------
r6322 | rocky | 2004-01-09 02:17:57 +0100 (Fri, 09 Jan 2004) | 2 lines
Changed paths:
   M /trunk/doc/subtitles/cvd-subtitles.txt

Minor grammatical changes.

------------------------------------------------------------------------
r6323 | hartman | 2004-01-09 03:28:30 +0100 (Fri, 09 Jan 2004) | 3 lines
Changed paths:
   M /trunk/modules/codec/ffmpeg/ffmpeg.c
   M /trunk/modules/codec/ffmpeg/video.c

* video.c: gibalou: no palctrl in avcodec context in 0.4.8
* ffmpeg.c: 0.4.8 ifdef'ing

------------------------------------------------------------------------
r6324 | jlj | 2004-01-09 05:37:43 +0100 (Fri, 09 Jan 2004) | 4 lines
Changed paths:
   M /trunk/modules/demux/mp4/drms.c
   M /trunk/modules/demux/mp4/drms.h
   M /trunk/modules/demux/mp4/libmp4.c
   M /trunk/modules/demux/mp4/libmp4.h
   M /trunk/modules/demux/mp4/mp4.c
   M /trunk/modules/demux/mp4/mp4.h

  * ./modules/demux/mp4/drms.c: improved sci handling.
  * ./modules/demux/mp4/mp4.c: if sample has not been decrypted, do not
                               pass it on to decoder.

------------------------------------------------------------------------
r6325 | gbazin | 2004-01-09 13:23:47 +0100 (Fri, 09 Jan 2004) | 2 lines
Changed paths:
   M /trunk/Makefile.am
   M /trunk/include/modules_inner.h
   M /trunk/modules/access/http.c
   M /trunk/src/misc/net.c
   M /trunk/src/misc/win32_specific.c

* ALL: MSVC compilation fixes.

------------------------------------------------------------------------
r6326 | hartman | 2004-01-09 14:08:08 +0100 (Fri, 09 Jan 2004) | 2 lines
Changed paths:
   M /trunk/modules/demux/mp4/drms.c

* MAX_PATH is a windowism. Use PATH_MAX.

------------------------------------------------------------------------
r6327 | hartman | 2004-01-09 16:26:58 +0100 (Fri, 09 Jan 2004) | 4 lines
Changed paths:
   M /trunk/modules/access/http.c

* Gibalou you broke something again :)
  You used vasprintf but used asprintf paramaters. Which one do you want to use?
  i changed to asprintf now.

------------------------------------------------------------------------
r6328 | hartman | 2004-01-09 16:39:38 +0100 (Fri, 09 Jan 2004) | 2 lines
Changed paths:
   M /trunk/configure.ac

* configure --help aliging

------------------------------------------------------------------------
r6329 | jlj | 2004-01-09 18:29:17 +0100 (Fri, 09 Jan 2004) | 2 lines
Changed paths:
   M /trunk/modules/demux/mp4/drms.c

  * ./modules/demux/mp4/drms.c: switched to dyn. linking of SHGetFolderPath

------------------------------------------------------------------------
r6330 | gbazin | 2004-01-09 19:32:04 +0100 (Fri, 09 Jan 2004) | 3 lines
Changed paths:
   M /trunk/configure.ac
   M /trunk/include/vlc_common.h
   M /trunk/src/extras/libc.c


* ALL: added vlc_asprintf() to our libc.

------------------------------------------------------------------------
r6331 | gbazin | 2004-01-09 20:21:58 +0100 (Fri, 09 Jan 2004) | 3 lines
Changed paths:
   M /trunk/src/extras/libc.c


* src/extras/libc.c: return result in vlc_asprintf().

------------------------------------------------------------------------
r6332 | jlj | 2004-01-09 20:45:46 +0100 (Fri, 09 Jan 2004) | 2 lines
Changed paths:
   M /trunk/src/misc/configuration.c

  * ./src/misc/configuration.c: win32 UNICODE fixes.

------------------------------------------------------------------------
r6333 | hartman | 2004-01-09 21:36:21 +0100 (Fri, 09 Jan 2004) | 5 lines
Changed paths:
   M /trunk/include/variables.h
   M /trunk/src/libvlc.c
   M /trunk/src/misc/variables.c

* include/variables.h
  src/misc/variables.c: Added a VLC_VAR_TRIGGER_CALLBACKS action
* src/libvlc.c: You can now change verbosity on the fly by using the "verbose"
  variable of p_vlc. -1 == quiet

------------------------------------------------------------------------
r6334 | hartman | 2004-01-09 23:11:04 +0100 (Fri, 09 Jan 2004) | 5 lines
Changed paths:
   M /trunk/extras/MacOSX/Resources/English.lproj/MainMenu.nib/classes.nib
   M /trunk/extras/MacOSX/Resources/English.lproj/MainMenu.nib/info.nib
   M /trunk/extras/MacOSX/Resources/English.lproj/MainMenu.nib/objects.nib
   M /trunk/extras/MacOSX/vlc.pbproj/project.pbxproj
   M /trunk/include/variables.h
   M /trunk/modules/gui/macosx/info.m
   M /trunk/modules/gui/macosx/intf.h
   M /trunk/modules/gui/macosx/intf.m
   M /trunk/modules/gui/macosx/playlist.h
   M /trunk/modules/gui/macosx/playlist.m
   M /trunk/vlc.ebuild

* extras/MacOSX/Resources/English.lproj/MainMenu.nib
  - Added the duration column
  - Added a 'surpress error dialog' option to the dialog
* ALL: copyright year and author changes

------------------------------------------------------------------------
r6335 | hartman | 2004-01-10 04:36:03 +0100 (Sat, 10 Jan 2004) | 4 lines
Changed paths:
   M /trunk/include/vlc_playlist.h
   M /trunk/modules/control/http.c
   M /trunk/modules/gui/ncurses/ncurses.c
   M /trunk/modules/gui/skins2/commands/cmd_playlist.cpp
   M /trunk/modules/gui/wxwindows/playlist.cpp
   M /trunk/src/playlist/item-ext.c
   M /trunk/src/playlist/sort.c

* mtime_t != int This was causing incorrect results on big endian.
  Changed playlist_SetDuration.
* changed SORT_NORMAL SORT_REVERSE into ORDER_NORMAL ORDER_REVERSE

------------------------------------------------------------------------
r6336 | zorglub | 2004-01-10 13:35:33 +0100 (Sat, 10 Jan 2004) | 2 lines
Changed paths:
   M /trunk/src/interface/interface.c

Add SAP to the list of additionnal interfaces

------------------------------------------------------------------------
r6337 | rocky | 2004-01-10 14:59:25 +0100 (Sat, 10 Jan 2004) | 3 lines
Changed paths:
   M /trunk/include/vlc_video.h
   M /trunk/modules/codec/ogt/common.c
   M /trunk/modules/codec/ogt/cvd_parse.c
   M /trunk/modules/codec/ogt/ogt_parse.c
   M /trunk/src/video_output/video_output.c

Add vout_AspectRatio routine to get retrieve a vout's aspect ratio.
Some bugs when 16:9 scaling in ogt_parse.c and cvd_parse.c

------------------------------------------------------------------------
r6338 | hartman | 2004-01-10 15:24:33 +0100 (Sat, 10 Jan 2004) | 4 lines
Changed paths:
   M /trunk/include/vlc_playlist.h
   M /trunk/src/playlist/item-ext.c
   M /trunk/src/playlist/playlist.c
   M /trunk/src/playlist/sort.c

* Fixed some doxygen comments.
* Added SORT_ID
* remember last sorting and ordering in playlist struct

------------------------------------------------------------------------
r6339 | anil | 2004-01-11 00:22:21 +0100 (Sun, 11 Jan 2004) | 2 lines
Changed paths:
   M /trunk/modules/gui/skins2/src/theme_loader.cpp

* fixed skins2 module loading when libtar is present (thanks AsMax :)

------------------------------------------------------------------------
r6340 | sigmunau | 2004-01-11 00:31:33 +0100 (Sun, 11 Jan 2004) | 3 lines
Changed paths:
   M /trunk/modules/gui/ncurses/ncurses.c

modules/gui/ncurse/ncurses.c:
 * fixed a segfault when the 'f' button was pressed with no item playing

------------------------------------------------------------------------
r6341 | hartman | 2004-01-11 00:44:19 +0100 (Sun, 11 Jan 2004) | 2 lines
Changed paths:
   M /trunk/src/playlist/sort.c

* oops, bug

------------------------------------------------------------------------
r6342 | sigmunau | 2004-01-11 00:46:39 +0100 (Sun, 11 Jan 2004) | 3 lines
Changed paths:
   M /trunk/src/input/input.c

src/input/input.c:
 * removed unused variable

------------------------------------------------------------------------
r6343 | fenrir | 2004-01-11 01:01:35 +0100 (Sun, 11 Jan 2004) | 2 lines
Changed paths:
   M /trunk/modules/gui/ncurses/ncurses.c

 * ncurses: better playlist handling.

------------------------------------------------------------------------
r6344 | zorglub | 2004-01-11 01:11:56 +0100 (Sun, 11 Jan 2004) | 2 lines
Changed paths:
   M /trunk/src/playlist/playlist.c

Use playlist_current when going from one item to another

------------------------------------------------------------------------
r6345 | asmax | 2004-01-11 01:21:22 +0100 (Sun, 11 Jan 2004) | 7 lines
Changed paths:
   M /trunk/modules/gui/skins2/src/theme_loader.cpp
   M /trunk/modules/gui/skins2/src/vlcproc.cpp
   M /trunk/modules/gui/skins2/src/vlcproc.hpp
   M /trunk/modules/gui/skins2/src/window_manager.cpp

* src/vlc_proc.*: quick fix to handle the new playlist object variables
  (At the moment the whole playlist is rebuilt each time; the link
  between the list control and the list variable should be enhanced
  to avoid that)
* src/window_manager.cpp: raise all the windows when one clicks on
  any window (the previous behaviour was too confiusing)

------------------------------------------------------------------------
r6346 | zorglub | 2004-01-11 01:45:06 +0100 (Sun, 11 Jan 2004) | 15 lines
Changed paths:
   M /trunk/configure.ac
   M /trunk/include/vlc_common.h
   M /trunk/include/vlc_playlist.h
   A /trunk/modules/demux/playlist
   A /trunk/modules/demux/playlist/Modules.am
   A /trunk/modules/demux/playlist/m3u.c
   A /trunk/modules/demux/playlist/old.c
   A /trunk/modules/demux/playlist/playlist.c
   M /trunk/modules/gui/wxwindows/playlist.cpp
   M /trunk/modules/gui/wxwindows/preferences.cpp
   M /trunk/modules/gui/wxwindows/wxwindows.h
   A /trunk/modules/misc/playlist
   A /trunk/modules/misc/playlist/export.c
   A /trunk/modules/misc/playlist/m3u.c
   A /trunk/modules/misc/playlist/native.c
   A /trunk/modules/misc/playlist/old.c
   M /trunk/src/playlist/group.c
   M /trunk/src/playlist/item-ext.c
   M /trunk/src/playlist/loadsave.c

* configure.ac : Added new folders

* New playlist import/export system:
   -export plugin in misc/playlist (contains one module for each file type)
   -open plugin = special demuxer2, that can be opened from the command
    line or the graphical interface.
  NB: the demuxer "playlist" is forced to earn speed, but this does not
  work yet, as we have a demux2

* modules/gui/wxwindows: use the new import/export.

* src/playlist/group.c : fixed boundary check

* src/playlist/item-ext.c: correctly reset stuff when clearing the playlist

------------------------------------------------------------------------
r6347 | anil | 2004-01-11 02:39:44 +0100 (Sun, 11 Jan 2004) | 2 lines
Changed paths:
   A /trunk/modules/misc/playlist/Modules.am

* missing file

------------------------------------------------------------------------
r6348 | anil | 2004-01-11 02:51:24 +0100 (Sun, 11 Jan 2004) | 2 lines
Changed paths:
   M /trunk/modules/codec/ogt/.cvsignore
   A /trunk/modules/demux/playlist/.cvsignore
   A /trunk/modules/misc/playlist/.cvsignore

* missing or incomplete .cvsignores

------------------------------------------------------------------------
r6349 | rocky | 2004-01-11 02:54:20 +0100 (Sun, 11 Jan 2004) | 6 lines
Changed paths:
   M /trunk/modules/codec/ogt/common.c
   M /trunk/modules/codec/ogt/common.h
   M /trunk/modules/codec/ogt/cvd.c
   M /trunk/modules/codec/ogt/cvd_parse.c
   M /trunk/modules/codec/ogt/ogt.c
   M /trunk/modules/codec/ogt/ogt_parse.c
   M /trunk/modules/codec/ogt/subtitle.h

Fix bug in ScaleX routine which affected ratios that could span 3 pixels.
(4:3 is one of the few *not* in this category).

Allow user to override subtitle scaling via sub-aspect-ratio, 0=auto
or what we do now. 1=do nothing.

------------------------------------------------------------------------
r6350 | zorglub | 2004-01-11 02:55:42 +0100 (Sun, 11 Jan 2004) | 2 lines
Changed paths:
   M /trunk/modules/misc/playlist/Modules.am

Fixed modules.am file

------------------------------------------------------------------------
r6351 | garf | 2004-01-11 15:53:36 +0100 (Sun, 11 Jan 2004) | 3 lines
Changed paths:
   M /trunk/modules/gui/ncurses/ncurses.c

 * ncurses.c : 5% forward and backward are definitely not precise enough.
 	       put 1% instead.

------------------------------------------------------------------------
r6352 | garf | 2004-01-11 15:55:32 +0100 (Sun, 11 Jan 2004) | 2 lines
Changed paths:
   M /trunk/modules/gui/ncurses/ncurses.c

 * ncurses.c : forgot to change help

------------------------------------------------------------------------
r6353 | rocky | 2004-01-11 16:02:15 +0100 (Sun, 11 Jan 2004) | 2 lines
Changed paths:
   M /trunk/modules/demux/mpeg/ps.c

Remove debug output.

------------------------------------------------------------------------
r6354 | asmax | 2004-01-11 18:12:17 +0100 (Sun, 11 Jan 2004) | 8 lines
Changed paths:
   M /trunk/modules/gui/skins2/controls/ctrl_radialslider.cpp
   M /trunk/modules/gui/skins2/controls/ctrl_radialslider.hpp
   M /trunk/modules/gui/skins2/controls/ctrl_slider.cpp
   M /trunk/modules/gui/skins2/controls/ctrl_slider.hpp
   M /trunk/modules/gui/skins2/parser/builder.cpp
   M /trunk/modules/gui/skins2/parser/builder.hpp
   M /trunk/modules/gui/skins2/parser/builder_data.hpp
   M /trunk/modules/gui/skins2/parser/interpreter.cpp
   M /trunk/modules/gui/skins2/parser/interpreter.hpp
   M /trunk/modules/gui/skins2/src/skin_common.hpp
   M /trunk/modules/gui/skins2/src/skin_main.cpp
   M /trunk/modules/gui/skins2/src/tooltip.cpp
   M /trunk/modules/gui/skins2/src/var_manager.cpp
   M /trunk/modules/gui/skins2/src/var_manager.hpp
   M /trunk/modules/gui/skins2/src/vlcproc.cpp
   M /trunk/modules/gui/skins2/src/vlcproc.hpp
   M /trunk/modules/gui/skins2/utils/bezier.cpp
   M /trunk/modules/gui/skins2/utils/bezier.hpp
   M /trunk/modules/gui/skins2/utils/var_bool.cpp
   M /trunk/modules/gui/skins2/utils/var_bool.hpp
   M /trunk/modules/gui/skins2/utils/var_list.cpp
   M /trunk/modules/gui/skins2/utils/var_list.hpp
   M /trunk/modules/gui/skins2/utils/var_percent.cpp
   M /trunk/modules/gui/skins2/utils/var_percent.hpp
   M /trunk/modules/gui/skins2/utils/var_text.cpp
   M /trunk/modules/gui/skins2/utils/var_text.hpp
   M /trunk/modules/gui/skins2/utils/variable.hpp
   M /trunk/modules/gui/skins2/vars/time.cpp
   M /trunk/modules/gui/skins2/vars/time.hpp
   M /trunk/modules/gui/skins2/vars/volume.cpp
   M /trunk/modules/gui/skins2/vars/volume.hpp

* modules/gui/skins/*:
 - huge cleaning of the interpreter; all the variables are stored in
 the container VarManager, and can be retrieved by their name (with
 type checking if needed). Some variables are still owned by VlcProc
 for technical reasons (their interface is not compliant with normal
 variable, because of the "updateVLC" trick)
 - replaced double by float

------------------------------------------------------------------------
r6355 | sigmunau | 2004-01-11 18:46:58 +0100 (Sun, 11 Jan 2004) | 12 lines
Changed paths:
   M /trunk/modules/demux/playlist/Modules.am
   M /trunk/modules/demux/playlist/m3u.c
   M /trunk/modules/demux/playlist/playlist.c
   A /trunk/modules/demux/playlist/playlist.h
   A /trunk/modules/demux/playlist/pls.c

modules/demux/playlist/playlist.c:
 * Added common functions for handling relative paths in playlist files
 * Module declaration for pls import module
modules/demux/playlist/m3u.c:
 * implemented m3u import module
modules/demux/playlist/pls.c:
 * new pls import module
modules/demux/playlist/playlist.h:
 * common prototypes
modules/demux/playlist/Modules.ac
 * activated pls module

------------------------------------------------------------------------
r6356 | garf | 2004-01-11 20:48:45 +0100 (Sun, 11 Jan 2004) | 2 lines
Changed paths:
   M /trunk/modules/gui/ncurses/ncurses.c

 * ncurses.c: let's be coherent: "big" forward/backward is now 5%

------------------------------------------------------------------------
r6357 | rocky | 2004-01-12 05:03:19 +0100 (Mon, 12 Jan 2004) | 4 lines
Changed paths:
   M /trunk/modules/codec/ogt/render.c

First attempt at YUY2. Sort of works.

Y2RV16 less embarrassingly wrong.

------------------------------------------------------------------------
r6358 | rocky | 2004-01-12 14:12:07 +0100 (Mon, 12 Jan 2004) | 3 lines
Changed paths:
   M /trunk/modules/codec/ogt/render.c

More RenderYUY2 bug fixes. Is very usable. Remaining bugs are
probably in transparancy handling.

------------------------------------------------------------------------
r6359 | gbazin | 2004-01-12 17:16:41 +0100 (Mon, 12 Jan 2004) | 2 lines
Changed paths:
   M /trunk/modules/video_output/caca.c

* modules/video_output/caca.c: ported to win32.

------------------------------------------------------------------------
r6360 | gbazin | 2004-01-12 21:19:55 +0100 (Mon, 12 Jan 2004) | 3 lines
Changed paths:
   M /trunk/modules/mux/mp4.c


* modules/mux/mp4.c: improved mov support a bit.

------------------------------------------------------------------------
r6361 | hartman | 2004-01-12 21:54:24 +0100 (Mon, 12 Jan 2004) | 2 lines
Changed paths:
   M /trunk/extras/contrib/src/Makefile
   M /trunk/extras/contrib/src/packages.mak

* Fix caca building

------------------------------------------------------------------------
r6362 | gbazin | 2004-01-12 22:08:22 +0100 (Mon, 12 Jan 2004) | 3 lines
Changed paths:
   M /trunk/configure.ac


* configure.ac: added --with-caca-config-path.

------------------------------------------------------------------------
r6363 | hartman | 2004-01-12 22:22:23 +0100 (Mon, 12 Jan 2004) | 3 lines
Changed paths:
   M /trunk/modules/gui/macosx/playlist.m
   M /trunk/src/playlist/loadsave.c

* src/playlist/loadsave.c: doxygenization
* modules/gui/macosx/playlist.m: fix playlist_Export

------------------------------------------------------------------------
r6364 | gbazin | 2004-01-13 00:41:59 +0100 (Tue, 13 Jan 2004) | 4 lines
Changed paths:
   M /trunk/src/misc/configuration.c


* src/misc/configuration.c: fixed stupid bug in the 0.7.0 release which prevented from saving bool/int/float config options.
  -> I should really go and by myself a brain.

------------------------------------------------------------------------
r6365 | fenrir | 2004-01-13 02:44:49 +0100 (Tue, 13 Jan 2004) | 2 lines
Changed paths:
   M /trunk/modules/demux/mp4/mp4.c

 * mp4: fixed playback for files that have 0 byte samples.

------------------------------------------------------------------------
r6366 | fenrir | 2004-01-13 02:54:54 +0100 (Tue, 13 Jan 2004) | 2 lines
Changed paths:
   M /trunk/modules/demux/mp4/mp4.c

 * mp4: convert 3 bytes codes into language (track name).

------------------------------------------------------------------------
r6367 | gbazin | 2004-01-13 16:54:09 +0100 (Tue, 13 Jan 2004) | 3 lines
Changed paths:
   M /trunk/modules/mux/mp4.c


* modules/mux/mp4.c: added support for mp4v and mp4a inside mov (tested with quicktime player).

------------------------------------------------------------------------
r6368 | gbazin | 2004-01-13 19:45:06 +0100 (Tue, 13 Jan 2004) | 3 lines
Changed paths:
   M /trunk/src/interface/interface.c


* src/interface/interface.c: added the gestures interface to the interfaces list.

------------------------------------------------------------------------
r6369 | rocky | 2004-01-14 05:50:02 +0100 (Wed, 14 Jan 2004) | 3 lines
Changed paths:
   M /trunk/modules/codec/ogt/render.c

First OGT/CVD RenderV16 that shows some sort of readable subtitles. It
looks like bugs remain in the YUV to RGB conversion though.

------------------------------------------------------------------------
r6370 | rocky | 2004-01-14 12:47:19 +0100 (Wed, 14 Jan 2004) | 3 lines
Changed paths:
   M /trunk/modules/codec/ogt/common.c
   M /trunk/modules/codec/ogt/common.h
   M /trunk/modules/codec/ogt/cvd.c
   M /trunk/modules/codec/ogt/cvd_parse.c
   M /trunk/modules/codec/ogt/ogt.c
   M /trunk/modules/codec/ogt/ogt_parse.c
   M /trunk/modules/codec/ogt/render.c
   M /trunk/modules/codec/ogt/subtitle.h

Don't do compensation subtitle unscaling if the underlying video
chroma does the scaling.

------------------------------------------------------------------------
r6371 | fenrir | 2004-01-14 16:40:57 +0100 (Wed, 14 Jan 2004) | 2 lines
Changed paths:
   M /trunk/modules/access/http.c

 * http: fixed for url like http://host[:port] (ie without path)

------------------------------------------------------------------------
r6372 | bigben | 2004-01-14 19:45:45 +0100 (Wed, 14 Jan 2004) | 4 lines
Changed paths:
   M /trunk/modules/gui/macosx/playlist.h
   M /trunk/modules/gui/macosx/playlist.m

* playlist sort.

Had to delete lastPathComponent when displaying the MRL of a file in the playlist, since sort cannot be exact with this option.

------------------------------------------------------------------------
r6373 | gbazin | 2004-01-15 01:05:04 +0100 (Thu, 15 Jan 2004) | 3 lines
Changed paths:
   M /trunk/modules/gui/wxwindows/wxwindows.cpp


* modules/gui/wxwindows/wxwindows.cpp: include locale.h for setlocale().

------------------------------------------------------------------------
r6374 | fenrir | 2004-01-15 13:55:41 +0100 (Thu, 15 Jan 2004) | 2 lines
Changed paths:
   M /trunk/modules/access/http.c

 * do not try http 1.0 when we are going to die.

------------------------------------------------------------------------
r6375 | fenrir | 2004-01-15 14:45:27 +0100 (Thu, 15 Jan 2004) | 2 lines
Changed paths:
   M /trunk/modules/access/http.c

 * http: commented out a debug message.

------------------------------------------------------------------------
r6376 | fenrir | 2004-01-15 14:47:01 +0100 (Thu, 15 Jan 2004) | 3 lines
Changed paths:
   M /trunk/modules/misc/network/ipv4.c

 * ipv4: non blocking connection mode. Please test it heavily, it may
 have broken all OS except linux ...

------------------------------------------------------------------------
r6377 | gbazin | 2004-01-15 15:57:00 +0100 (Thu, 15 Jan 2004) | 2 lines
Changed paths:
   M /trunk/modules/misc/network/ipv4.c

* modules/misc/network/ipv4.c: fixed breakage on win32.

------------------------------------------------------------------------
r6378 | sigmunau | 2004-01-15 20:21:03 +0100 (Thu, 15 Jan 2004) | 3 lines
Changed paths:
   M /trunk/modules/misc/sap.c

modules/misc/sap.c:
 * fixed playback of sap anounces through livdotcom

------------------------------------------------------------------------
r6379 | sigmunau | 2004-01-15 20:23:14 +0100 (Thu, 15 Jan 2004) | 3 lines
Changed paths:
   M /trunk/src/playlist/info.c

src/playlist/item.c:
 * remove unused variables

------------------------------------------------------------------------
r6380 | gbazin | 2004-01-15 20:46:32 +0100 (Thu, 15 Jan 2004) | 4 lines
Changed paths:
   M /trunk/modules/codec/ffmpeg/demux.c
   M /trunk/modules/codec/ffmpeg/ffmpeg.c


* modules/codec/ffmpeg/ffmpeg.c: more fourccs added.
* modules/codec/ffmpeg/demux.c: bug fix.

------------------------------------------------------------------------
r6381 | sigmunau | 2004-01-15 22:49:07 +0100 (Thu, 15 Jan 2004) | 3 lines
Changed paths:
   M /trunk/modules/gui/wxwindows/playlist.cpp
   M /trunk/modules/gui/wxwindows/wxwindows.h

modules/gui/wxwindows/*:
 * use a standard file dialog to export playlist

------------------------------------------------------------------------
r6382 | gbazin | 2004-01-15 23:15:40 +0100 (Thu, 15 Jan 2004) | 3 lines
Changed paths:
   M /trunk/modules/demux/mpeg/system.h
   M /trunk/modules/demux/mpeg/ts.c


* modules/demux/mpeg/ts.c: better auto-detection of MPEG-TS streams.

------------------------------------------------------------------------
r6383 | fenrir | 2004-01-15 23:39:50 +0100 (Thu, 15 Jan 2004) | 2 lines
Changed paths:
   M /trunk/include/network.h

 * network: fix for proto://host:port url syntax.

------------------------------------------------------------------------
r6384 | gbazin | 2004-01-15 23:58:12 +0100 (Thu, 15 Jan 2004) | 3 lines
Changed paths:
   M /trunk/modules/access_output/http.c


* modules/access_output/http.c: fixed small mem leak and mem corruption.

------------------------------------------------------------------------
r6385 | gbazin | 2004-01-16 00:40:44 +0100 (Fri, 16 Jan 2004) | 5 lines
Changed paths:
   M /trunk/modules/stream_out/standard.c
   M /trunk/src/input/input.c
   M /trunk/src/input/input_info.c


* src/input/input.c: fixed memleaks.
* src/input/input_info.c: small bug fix.
* modules/stream_out/standard.c: fixed memleaks.

------------------------------------------------------------------------
r6386 | bigben | 2004-01-16 00:59:21 +0100 (Fri, 16 Jan 2004) | 4 lines
Changed paths:
   M /trunk/modules/gui/macosx/playlist.h

int -> bool

lalala

------------------------------------------------------------------------
r6387 | gbazin | 2004-01-16 01:01:19 +0100 (Fri, 16 Jan 2004) | 3 lines
Changed paths:
   M /trunk/modules/gui/wxwindows/playlist.cpp


* modules/gui/wxwindows/playlist.cpp: unicode compilation fixes.

------------------------------------------------------------------------
r6388 | fenrir | 2004-01-16 02:47:41 +0100 (Fri, 16 Jan 2004) | 11 lines
Changed paths:
   A /trunk/modules/demux/ts.c

 * ts: rewrite from scratch of the TS demuxer to fit the new API.
 Introduced a --ts-extra-pmt <pmt_pid=pid:stream_type[,...]> option to
 allow user to enter a pmt description (for stream without PAT/PMT).

    TODO: - test all codec.
          - test stream with more than 1 PMT
          - test stream with PAT/PMT change(s)
          - re-add support for dvb subtitles.
          - test with broken streams.
          - test --ts-extra-pmt

------------------------------------------------------------------------
r6389 | fenrir | 2004-01-16 03:01:11 +0100 (Fri, 16 Jan 2004) | 2 lines
Changed paths:
   M /trunk/modules/demux/ts.c

 * ts: fixed mpeg4 video in TS.

------------------------------------------------------------------------
r6390 | rocky | 2004-01-16 05:14:54 +0100 (Fri, 16 Jan 2004) | 10 lines
Changed paths:
   M /trunk/modules/codec/ogt/Modules.am
   M /trunk/modules/codec/ogt/common.c
   M /trunk/modules/codec/ogt/cvd.c
   A /trunk/modules/codec/ogt/pixmap.h
   M /trunk/modules/codec/ogt/render.c
   M /trunk/modules/codec/ogt/subtitle.h

render.c: RV16 now works great - uses all colors, but no transparancy.
Started RV32 and- has bugs. (It'd be nice if something in rendering
worked the first time without a hassle).

Modules.am, pixmap.h, subtitle.h: Some of the pixel stuff has been
moved here.

cvd.c: remove option duplicated with ogt.c Probably should be hoisted more
to a main routine. Perhaps if spudec is folded in.

------------------------------------------------------------------------
r6391 | sam | 2004-01-16 10:39:57 +0100 (Fri, 16 Jan 2004) | 3 lines
Changed paths:
   M /trunk/modules/codec/libmpeg2.c

  * modules/codec/libmpeg2.c:
    + The libmpeg2 plugin honours the --no-mmx, --no-altivec, etc. flags.

------------------------------------------------------------------------
r6392 | fenrir | 2004-01-16 12:12:16 +0100 (Fri, 16 Jan 2004) | 2 lines
Changed paths:
   M /trunk/include/ninput.h
   M /trunk/src/input/stream.c

 * all: added STREAM_GET_MTU and stream_MTU.

------------------------------------------------------------------------
r6393 | rocky | 2004-01-16 14:32:37 +0100 (Fri, 16 Jan 2004) | 4 lines
Changed paths:
   M /trunk/modules/codec/ogt/common.c
   M /trunk/modules/codec/ogt/common.h
   M /trunk/modules/codec/ogt/cvd.c
   M /trunk/modules/codec/ogt/cvd_parse.c
   M /trunk/modules/codec/ogt/ogt.c
   M /trunk/modules/codec/ogt/ogt_parse.c
   M /trunk/modules/codec/ogt/pixmap.h
   M /trunk/modules/codec/ogt/render.c
   M /trunk/modules/codec/ogt/subtitle.h

Add horizontal and vertical subtitle offset corrections.  Some cleanup
and work done to allow for palettized rendering (by not expanding
inline colormap entries when RGB2).

------------------------------------------------------------------------
r6394 | sam | 2004-01-16 19:26:57 +0100 (Fri, 16 Jan 2004) | 5 lines
Changed paths:
   M /trunk/modules/demux/mp4/drms.c
   M /trunk/modules/demux/mp4/drmstables.h

  * modules/demux/mp4/drms.c:
    + Merged redundant functions.
    + Unobfuscated and cleaned up many parts of the crypto code.
    + Added comments here and there.

------------------------------------------------------------------------
r6395 | sigmunau | 2004-01-16 20:17:52 +0100 (Fri, 16 Jan 2004) | 3 lines
Changed paths:
   M /trunk/share/http/index.html

share/http/index.html:
 * try to use valid xhtml

------------------------------------------------------------------------
r6396 | gbazin | 2004-01-17 12:41:21 +0100 (Sat, 17 Jan 2004) | 3 lines
Changed paths:
   M /trunk/modules/stream_out/transcode.c


* modules/stream_out/transcode.c: fixed mem leak.

------------------------------------------------------------------------
r6397 | gbazin | 2004-01-17 13:03:19 +0100 (Sat, 17 Jan 2004) | 3 lines
Changed paths:
   M /trunk/src/input/demux.c


* src/input/demux.c: fixed small mem leak.

------------------------------------------------------------------------
r6398 | gbazin | 2004-01-17 13:11:58 +0100 (Sat, 17 Jan 2004) | 3 lines
Changed paths:
   M /trunk/modules/stream_out/transcode.c


* modules/stream_out/transcode.c: fixed segfault.

------------------------------------------------------------------------
r6399 | gbazin | 2004-01-17 13:28:57 +0100 (Sat, 17 Jan 2004) | 3 lines
Changed paths:
   M /trunk/modules/access/slp.c
   M /trunk/modules/control/http.c
   M /trunk/modules/gui/beos/VlcWrapper.cpp
   M /trunk/src/playlist/item-ext.c


* ALL: make sure newly created playlist_item_t are initialized properly.

------------------------------------------------------------------------
r6400 | gbazin | 2004-01-17 14:25:21 +0100 (Sat, 17 Jan 2004) | 3 lines
Changed paths:
   M /trunk/modules/control/http.c


* modules/control/http.c: fixed a whole bunch of mem leaks.

------------------------------------------------------------------------
r6401 | sigmunau | 2004-01-17 14:47:57 +0100 (Sat, 17 Jan 2004) | 3 lines
Changed paths:
   M /trunk/NEWS

NEWS:
 * Begin updating news for a 0.7.1

------------------------------------------------------------------------
r6402 | sigmunau | 2004-01-17 15:08:37 +0100 (Sat, 17 Jan 2004) | 3 lines
Changed paths:
   M /trunk/src/playlist/item-ext.c
   M /trunk/src/playlist/item.c

src/playlist/item*
 * Updated documentation on playlist_Add* (they return a id, not the position)

------------------------------------------------------------------------
r6403 | gbazin | 2004-01-17 16:17:02 +0100 (Sat, 17 Jan 2004) | 3 lines
Changed paths:
   M /trunk/modules/control/http.c


* modules/control/http.c: fixed gcc warning.

------------------------------------------------------------------------
r6404 | gbazin | 2004-01-17 17:24:14 +0100 (Sat, 17 Jan 2004) | 4 lines
Changed paths:
   M /trunk/modules/control/http.c
   M /trunk/src/playlist/info.c


* src/playlist/info.c: get rid of the #ifdef HAVE_VASPRINTF now that we have it in our small libc.
* modules/control/http.c: fixed parsing in uri_extract_value().

------------------------------------------------------------------------
r6405 | gbazin | 2004-01-17 17:51:54 +0100 (Sat, 17 Jan 2004) | 3 lines
Changed paths:
   M /trunk/modules/control/http.c


* modules/control/http.c: fixed another mem leak.

------------------------------------------------------------------------
r6406 | fenrir | 2004-01-17 23:32:50 +0100 (Sat, 17 Jan 2004) | 4 lines
Changed paths:
   A /trunk/modules/demux/dvdnav.c
   A /trunk/modules/demux/ps.c
   A /trunk/modules/demux/ps.h

 * ps.* : new PS demuxer (still incomplete)
 * dvdnav.c: begin of a dvdnav plugin. It's more to test that to be a real
 plugin for now. (a lot of design problems are raised with it).

------------------------------------------------------------------------
r6407 | fenrir | 2004-01-18 00:50:08 +0100 (Sun, 18 Jan 2004) | 2 lines
Changed paths:
   M /trunk/src/input/es_out.c

 * es_out: select es from current program only.

------------------------------------------------------------------------
r6408 | fenrir | 2004-01-18 00:51:50 +0100 (Sun, 18 Jan 2004) | 2 lines
Changed paths:
   M /trunk/modules/demux/ps.h

 * ps.h: added cvt adn ogt.

------------------------------------------------------------------------
r6409 | asmax | 2004-01-18 01:25:02 +0100 (Sun, 18 Jan 2004) | 4 lines
Changed paths:
   M /trunk/modules/gui/skins2/parser/gen.sh
   M /trunk/modules/gui/skins2/src/theme_loader.cpp
   M /trunk/modules/gui/skins2/x11/x11_factory.hpp
   M /trunk/modules/gui/skins2/x11/x11_loop.cpp
   M /trunk/modules/gui/skins2/x11/x11_loop.hpp
   M /trunk/modules/gui/skins2/x11/x11_window.cpp
   M /trunk/modules/gui/skins2/x11/x11_window.hpp

* src/theme_loader.cpp: use yyrestart() instead of yyin= (should fix
  issues after reading a bad theme)
* x11/.*: removed the hack of storing pointers as window properties

------------------------------------------------------------------------
r6410 | asmax | 2004-01-18 01:50:24 +0100 (Sun, 18 Jan 2004) | 2 lines
Changed paths:
   M /trunk/modules/gui/skins2/src/window_manager.cpp

* src/window_manager.cpp: no more magnetism with invisble windows !

------------------------------------------------------------------------
r6411 | sam | 2004-01-18 02:21:33 +0100 (Sun, 18 Jan 2004) | 5 lines
Changed paths:
   M /trunk/modules/demux/mp4/drms.c
   M /trunk/modules/demux/mp4/drmstables.h

  * modules/demux/mp3/drms.c:
    + More code cleanup. Thanks a lot to jlj for testing my changes.
    + Removed AddNativeMD5 and merged Bordelize() into DoShuffle().
    + Decrypt the SCI data in-place and shuffle it in the same loop.

------------------------------------------------------------------------
r6412 | fenrir | 2004-01-18 02:49:11 +0100 (Sun, 18 Jan 2004) | 2 lines
Changed paths:
   M /trunk/modules/demux/ts.c

 * ts: fixed ms-codec playback.

------------------------------------------------------------------------
r6413 | fenrir | 2004-01-18 03:20:28 +0100 (Sun, 18 Jan 2004) | 14 lines
Changed paths:
   M /trunk/modules/stream_out/duplicate.c

 * duplicate : added a select option :) The format is
 selector[,selector] where 'selector' are from:
    * no-audio, noaudio, audio
    * no-video, novideo, video
    * no-spu,   nospu,   spu
    * es=num or es=num_start-num_end
    * prgm=num or prgm=num_start-num_end (you can also use program
    instead of prgm)
 It applies for the last dst. selector1,selector2 means selector1 and
selector2.
 Ex:
    vlc file --sout '#duplicate{dst="1?\239?\191?\189 dst", select="selection for 1?\239?\191?\189 dst",
dst="2?\239?\191?\189 dst", dst="3?\239?\191?\189 dst", select="selection for 3?\239?\191?\189 dst" }'

------------------------------------------------------------------------
r6414 | fenrir | 2004-01-18 03:21:38 +0100 (Sun, 18 Jan 2004) | 2 lines
Changed paths:
   M /trunk/modules/demux/demux2.c

 * demux2: added ps2,ts2 and dvdnav shortcuts.

------------------------------------------------------------------------
r6415 | fenrir | 2004-01-18 04:43:03 +0100 (Sun, 18 Jan 2004) | 2 lines
Changed paths:
   M /trunk/modules/stream_out/duplicate.c

 * duplicate: corrected behavour of no-*.

------------------------------------------------------------------------
r6416 | rocky | 2004-01-18 05:45:32 +0100 (Sun, 18 Jan 2004) | 2 lines
Changed paths:
   M /trunk/modules/demux/mp4/drms.c

In Solaris (and perhaps others) PATH_MAX is in limits.h.

------------------------------------------------------------------------
r6417 | fenrir | 2004-01-18 05:53:57 +0100 (Sun, 18 Jan 2004) | 3 lines
Changed paths:
   M /trunk/src/input/es_out.c

 * es_out.c: better support for multiple program. (bugfixes and a dirty
 hack because of the way input_SetProgram works).

------------------------------------------------------------------------
r6418 | sam | 2004-01-18 05:55:19 +0100 (Sun, 18 Jan 2004) | 4 lines
Changed paths:
   M /trunk/modules/video_output/caca.c

  * modules/video_output/caca.c:
    + Set the window title upon startup.
    + Support for window resizing (requires libcaca 0.8).

------------------------------------------------------------------------
r6419 | fenrir | 2004-01-18 06:14:39 +0100 (Sun, 18 Jan 2004) | 12 lines
Changed paths:
   M /trunk/src/input/input_dec.c

 * input_dec: exported correct i_group.
 Now vlc can read a TS with multiple programs and streams them as
 indepandant output (well you need the new TS demuxer so ...)
 (It is not well tested)

 Example: (lines are wrapped)
 ./vlc -I rc --sout-all /ts2:/home/fenrir/test.ts \
    --sout '#duplicate{dst="std{access=udp,mux=ts,url=239.255.13.13}", \
                       select="program=8501",\
                       dst="std{access=udp,mux=ts,url=239.255.13.14}", \
                       select="program=8506"}'

------------------------------------------------------------------------
r6420 | fenrir | 2004-01-18 07:15:21 +0100 (Sun, 18 Jan 2004) | 2 lines
Changed paths:
   M /trunk/modules/demux/ts.c

 * ts: clean up and a few mem leaks.

------------------------------------------------------------------------
r6421 | fenrir | 2004-01-18 07:33:21 +0100 (Sun, 18 Jan 2004) | 2 lines
Changed paths:
   M /trunk/modules/demux/mp4/mp4.c

 * mp4: added 'pnot' fourcc as a valid header signature.

------------------------------------------------------------------------
r6422 | fenrir | 2004-01-18 08:35:31 +0100 (Sun, 18 Jan 2004) | 2 lines
Changed paths:
   M /trunk/modules/control/http.c

 * http: fixed mem leaks, doesn't add '\0' anymore at the end of files.

------------------------------------------------------------------------
r6423 | gbazin | 2004-01-18 12:14:23 +0100 (Sun, 18 Jan 2004) | 4 lines
Changed paths:
   M /trunk/configure.ac
   M /trunk/modules/demux/Modules.am
   M /trunk/modules/demux/demux2.c


* configure.ac, modules/demux/Modules.am: added ps2, ts2 and dvdnav modules to the build system.
* modules/demux/demux2.c: added an "ffmpeg" shortcut for the ffmpeg/libavformat demuxer.

------------------------------------------------------------------------
r6424 | gbazin | 2004-01-18 14:39:32 +0100 (Sun, 18 Jan 2004) | 3 lines
Changed paths:
   M /trunk/modules/demux/dvdnav.c


* modules/demux/dvdnav.c: some coding style butchery and added on-the-fly menus selection.

------------------------------------------------------------------------
r6425 | gbazin | 2004-01-18 17:02:40 +0100 (Sun, 18 Jan 2004) | 4 lines
Changed paths:
   M /trunk/modules/demux/dvdnav.c
   M /trunk/modules/demux/ps.h


* modules/demux/dvdnav.c: added parsing of DVD style MRLs.
* modules/demux/ps.h: small cosmetic changes.

------------------------------------------------------------------------
r6426 | fenrir | 2004-01-18 19:31:50 +0100 (Sun, 18 Jan 2004) | 2 lines
Changed paths:
   M /trunk/modules/demux/mp4/mp4.c
   M /trunk/modules/demux/mp4/mp4.h

 * mp4: cosmetics.

------------------------------------------------------------------------
r6427 | fenrir | 2004-01-18 20:35:48 +0100 (Sun, 18 Jan 2004) | 2 lines
Changed paths:
   M /trunk/src/input/es_out.c

 * es_out: give a fourcc to the dummy pmt es_descriptor_t.

------------------------------------------------------------------------
r6428 | asmax | 2004-01-18 20:54:46 +0100 (Sun, 18 Jan 2004) | 20 lines
Changed paths:
   M /trunk/modules/gui/skins2/Modules.am
   M /trunk/modules/gui/skins2/commands/cmd_input.cpp
   M /trunk/modules/gui/skins2/commands/cmd_input.hpp
   M /trunk/modules/gui/skins2/commands/cmd_show_window.hpp
   M /trunk/modules/gui/skins2/controls/ctrl_checkbox.cpp
   M /trunk/modules/gui/skins2/parser/interpreter.cpp
   M /trunk/modules/gui/skins2/src/generic_window.hpp
   M /trunk/modules/gui/skins2/src/vlcproc.cpp
   M /trunk/modules/gui/skins2/src/vlcproc.hpp
   M /trunk/modules/gui/skins2/theme/theme.xml
   M /trunk/modules/gui/skins2/utils/var_bool.cpp
   M /trunk/modules/gui/skins2/utils/var_bool.hpp
   D /trunk/modules/gui/skins2/vars/vlcvars.cpp
   D /trunk/modules/gui/skins2/vars/vlcvars.hpp

* utils/var_bool.*: VarBool is now an interface for reading bool variables
 (not writing); use VarBoolImpl instead to instanciate read/write variables.
 Bool variables can now be combined with VarNotBool and VarBoolAndBool
 (TODO: VarBoolOrBool)
* commands/cmd_show_window.hpp: the commands now call directly
  GenericWindow::show/hide, because the visibility variable of a
  window is a VarBool (so, read-only)
* commands/cmd_input.hpp: added Play and Pause commands
* parser/interpreter.cpp: beginning of support of boolean expressions,
 like "vlc.isSeekable and not vlc.isStopped" (operator precedence is
 not really well handled yet)
* src/vlcproc.*: new variables "vlc.isSeekable", "vlc.isStopped" and
 "vlc.isPaused"
* controls/ctrl_checkbox.cpp: the "state" variable of a checkbox is
  now a passive VarBool, so actions must be explicitely set with
  'action1="..." action2="..."' in the xml file
* removed src/vlcvars.* => "vlc.isMute" doesn't work any more
 (anyway it didn't work well...)
* theme/theme.xml: updated with the new VarBool behaviour

------------------------------------------------------------------------
r6429 | fenrir | 2004-01-18 22:30:25 +0100 (Sun, 18 Jan 2004) | 2 lines
Changed paths:
   M /trunk/modules/codec/ffmpeg/video.c

 * video: should fix an infinite loop. Dnumgis could you confirm ?

------------------------------------------------------------------------
r6430 | fenrir | 2004-01-18 23:00:00 +0100 (Sun, 18 Jan 2004) | 3 lines
Changed paths:
   M /trunk/modules/demux/mp4/libmp4.c
   M /trunk/modules/demux/mp4/mp4.c
   M /trunk/modules/demux/mp4/mp4.h

 * all: added support for edts/elst entries (needed to play some files).
 Please test, it may have heavily broken playback of some files !!!

------------------------------------------------------------------------
r6431 | gbazin | 2004-01-19 00:52:02 +0100 (Mon, 19 Jan 2004) | 5 lines
Changed paths:
   M /trunk/modules/demux/dvdnav.c
   M /trunk/src/input/input_dec.c


* modules/demux/dvdnav.c: restart the decoders on VTS change only, not CELL change.
* src/input/input_dec.c: fixed the pictures leak work-around.
   Wasn't working before because there always is at least one READY_PICTURE which is the last/currently displayed picture.

------------------------------------------------------------------------
r6432 | gbazin | 2004-01-19 01:08:25 +0100 (Mon, 19 Jan 2004) | 3 lines
Changed paths:
   M /trunk/modules/demux/dvdnav.c


* modules/demux/dvdnav.c: menus navigation seems to be working ok now.

------------------------------------------------------------------------
r6433 | hartman | 2004-01-19 02:11:47 +0100 (Mon, 19 Jan 2004) | 3 lines
Changed paths:
   M /trunk/extras/contrib/bootstrap
   M /trunk/extras/contrib/src/Makefile
   M /trunk/extras/contrib/src/packages.mak

* caca 0.8
* www.videolan -> download.videolan

------------------------------------------------------------------------
r6434 | fenrir | 2004-01-19 15:40:25 +0100 (Mon, 19 Jan 2004) | 2 lines
Changed paths:
   M /trunk/modules/stream_out/transcode.c

 * transcode: keep the group information.

------------------------------------------------------------------------
r6435 | jlj | 2004-01-19 17:40:28 +0100 (Mon, 19 Jan 2004) | 2 lines
Changed paths:
   M /trunk/modules/demux/mp4/drms.c

  * ./modules/demux/mp4/drms.c: endian fixes.

------------------------------------------------------------------------
r6436 | fenrir | 2004-01-19 19:15:29 +0100 (Mon, 19 Jan 2004) | 2 lines
Changed paths:
   M /trunk/include/vlc_es.h
   M /trunk/src/input/es_out.c
   M /trunk/src/input/input_dec.c

 * all: added a i_id field in es_format_t.

------------------------------------------------------------------------
r6437 | fenrir | 2004-01-19 19:15:55 +0100 (Mon, 19 Jan 2004) | 2 lines
Changed paths:
   M /trunk/modules/stream_out/duplicate.c
   M /trunk/modules/stream_out/transcode.c

 * all: keep valid i_id.

------------------------------------------------------------------------
r6438 | fenrir | 2004-01-19 19:16:32 +0100 (Mon, 19 Jan 2004) | 2 lines
Changed paths:
   M /trunk/modules/demux/ts.c

 * ts: added a ts-es-id-pid option to mark es with their pid.

------------------------------------------------------------------------
r6439 | fenrir | 2004-01-19 19:24:11 +0100 (Mon, 19 Jan 2004) | 2 lines
Changed paths:
   M /trunk/modules/stream_out/transcode.c

 * syntax error ...

------------------------------------------------------------------------
r6440 | fenrir | 2004-01-19 21:31:21 +0100 (Mon, 19 Jan 2004) | 9 lines
Changed paths:
   M /trunk/modules/demux/dvdnav.c

 * dvdnav: a lot of fixes :
    - subtitle/audio selection works
    - subtitle display works
    - menu fixed.
 Problem:
    - when we see a menu, the currently selected item isn't highlighted
You have to select another to see them. I don't understand why ...
    - manual audio/sub selection is lost when we switch back to the menu.

------------------------------------------------------------------------
r6441 | fenrir | 2004-01-19 22:30:43 +0100 (Mon, 19 Jan 2004) | 4 lines
Changed paths:
   M /trunk/modules/demux/dvdnav.c

 * dvdnav: send palette and alpha to spudec.
 -> I'm not sure to set correct alpha values and that values are endian.
 safe (both alpha and palette)                                         .

------------------------------------------------------------------------
r6442 | rocky | 2004-01-20 14:31:15 +0100 (Tue, 20 Jan 2004) | 3 lines
Changed paths:
   M /trunk/modules/codec/ogt/render.c

Remove more bugs from YUY2 rendering. Short of some trailing edge
problems it is close to correct.

------------------------------------------------------------------------
r6443 | fenrir | 2004-01-20 15:48:37 +0100 (Tue, 20 Jan 2004) | 2 lines
Changed paths:
   M /trunk/src/input/demux.c

 * demux: fixed psz_path value in demux_t.

------------------------------------------------------------------------
r6444 | fenrir | 2004-01-20 15:51:30 +0100 (Tue, 20 Jan 2004) | 5 lines
Changed paths:
   M /trunk/modules/demux/demux2.c

 * demux2: once demux2 opened, do a DEMUX_GET_LENGTH and call
 playlist_SetDuration.
 TODO -> add meta info queries trough demux2_Control (a demuxer should
 NEVER touch playlist themself).

------------------------------------------------------------------------
r6445 | fenrir | 2004-01-20 15:58:07 +0100 (Tue, 20 Jan 2004) | 7 lines
Changed paths:
   M /trunk/modules/demux/Modules.am
   A /trunk/modules/demux/mod.c

 mod.c: new demux2 for MOD files using libmodplug library.
 (modplug-xmms.sourceforge.net/)

 The demuxer is selected by extention look up.(mod, s3m, xm, it, 669,
amf, ams, dbm, dmf, dsm, far, mdl, med, mtm, okt, ptm, stm, ult, umx,
mt2, psm), I hope that won't give problems.

------------------------------------------------------------------------
r6446 | hartman | 2004-01-20 16:34:44 +0100 (Tue, 20 Jan 2004) | 5 lines
Changed paths:
   M /trunk/modules/gui/macosx/applescript.m
   M /trunk/modules/gui/macosx/playlist.m
   M /trunk/src/misc/cpu.c

* src/misc/cpu.c: New altivec detection for Darwin. Using the correct
  official method.
* modules/gui/macosx/playlist.m: Fix Add with options and no enqueue.
* modules/gui/macosx/applescript.m: PLAYLIST_GO fix

------------------------------------------------------------------------
r6447 | sigmunau | 2004-01-20 16:47:42 +0100 (Tue, 20 Jan 2004) | 3 lines
Changed paths:
   M /trunk/src/libvlc.h

src/libvlc.h:
 * add description to valid values of --align

------------------------------------------------------------------------
r6448 | sam | 2004-01-20 18:44:30 +0100 (Tue, 20 Jan 2004) | 5 lines
Changed paths:
   M /trunk/include/vlc_common.h
   M /trunk/modules/demux/mp4/drms.c

  * include/vlc_common.h:
    + Added proper const keywords.
  * modules/demux/mp4/drms.c:
    + Minor coding style fix.

------------------------------------------------------------------------
r6449 | sam | 2004-01-20 18:45:19 +0100 (Tue, 20 Jan 2004) | 3 lines
Changed paths:
   M /trunk/debian/changelog
   M /trunk/debian/control
   M /trunk/debian/rules

  * debian/changelog debian/control debian/rules:
    + Control files for a forthcoming official upload.

------------------------------------------------------------------------
r6450 | rocky | 2004-01-21 05:45:47 +0100 (Wed, 21 Jan 2004) | 3 lines
Changed paths:
   M /trunk/modules/codec/ogt/cvd_parse.c
   M /trunk/modules/codec/ogt/ogt_parse.c
   M /trunk/modules/codec/ogt/render.c
   M /trunk/modules/codec/ogt/render.h
   M /trunk/modules/codec/ogt/subtitle.h

Some of RV32 bugs worked out - pretty close. Some RGB2 work.
Render->Blend

------------------------------------------------------------------------
r6451 | rocky | 2004-01-21 08:38:29 +0100 (Wed, 21 Jan 2004) | 2 lines
Changed paths:
   M /trunk/modules/codec/ogt/render.c

RV24 scaled properly.

------------------------------------------------------------------------
r6452 | fenrir | 2004-01-21 11:22:31 +0100 (Wed, 21 Jan 2004) | 3 lines
Changed paths:
   M /trunk/include/network.h
   M /trunk/modules/access/udp.c
   M /trunk/src/misc/net.c

 * net: added net_OpenUDP
 * udp: cleaned to use net_*

------------------------------------------------------------------------
r6453 | sam | 2004-01-21 15:44:56 +0100 (Wed, 21 Jan 2004) | 2 lines
Changed paths:
   M /trunk/debian/changelog
   M /trunk/debian/control
   M /trunk/toolbox

  * Another official Debian upload (workaround for an ICE in gcc-3.3 on PPC).

------------------------------------------------------------------------
r6454 | fenrir | 2004-01-21 17:56:16 +0100 (Wed, 21 Jan 2004) | 2 lines
Changed paths:
   M /trunk/modules/access/mms/mms.c
   M /trunk/modules/access/mms/mmsh.c
   M /trunk/modules/access/mms/mmsh.h
   M /trunk/modules/access/mms/mmstu.c

 * all: use net_*.

------------------------------------------------------------------------
r6455 | fenrir | 2004-01-21 18:01:54 +0100 (Wed, 21 Jan 2004) | 2 lines
Changed paths:
   M /trunk/include/ninput.h
   M /trunk/src/input/stream.c

 * stream: made skipping a bit smarter, removed no more used functions.

------------------------------------------------------------------------
r6456 | gbazin | 2004-01-21 18:56:05 +0100 (Wed, 21 Jan 2004) | 4 lines
Changed paths:
   M /trunk/modules/codec/dts.c
   M /trunk/modules/demux/dts.c


* modules/demux/dts.c: support for DTS WAV files.
* modules/codec/dts.c: support for 14bits little endian DTS bitstreams.

------------------------------------------------------------------------
r6457 | jpsaman | 2004-01-21 19:59:23 +0100 (Wed, 21 Jan 2004) | 2 lines
Changed paths:
   M /trunk/ipkg/rules

Adding updated rules and control file for iPAQ packaging.

------------------------------------------------------------------------
r6458 | hartman | 2004-01-21 20:21:23 +0100 (Wed, 21 Jan 2004) | 2 lines
Changed paths:
   M /trunk/extras/contrib/src/packages.mak

* newer live.com sources

------------------------------------------------------------------------
r6459 | hartman | 2004-01-21 23:55:34 +0100 (Wed, 21 Jan 2004) | 2 lines
Changed paths:
   M /trunk/modules/misc/sap.c

* a 30 secs timeout is way too fast. changed to 1800 which is more realistic

------------------------------------------------------------------------
r6460 | fenrir | 2004-01-22 01:00:34 +0100 (Thu, 22 Jan 2004) | 4 lines
Changed paths:
   M /trunk/src/input/es_out.c
   M /trunk/src/misc/net.c

 * es_out: Handle --program (not tested) and create program on
ES_OUT_SET_GROUP_PCR.
 * net.c: commented out an error message in net_Write.

------------------------------------------------------------------------
r6461 | fenrir | 2004-01-22 01:02:18 +0100 (Thu, 22 Jan 2004) | 3 lines
Changed paths:
   M /trunk/modules/demux/ts.c

 * ts: added --ts-out and --ts-out-mtu (ie replace demuxstream.c)
 (not well tested)

------------------------------------------------------------------------
r6462 | sigmunau | 2004-01-22 01:17:22 +0100 (Thu, 22 Jan 2004) | 3 lines
Changed paths:
   M /trunk/modules/misc/sap.c

modules/misc/sap:
 * fixed some minor bugs

------------------------------------------------------------------------
r6463 | hartman | 2004-01-22 01:24:45 +0100 (Thu, 22 Jan 2004) | 2 lines
Changed paths:
   M /trunk/modules/misc/sap.c

* what was i thinking

------------------------------------------------------------------------
r6464 | sigmunau | 2004-01-22 02:14:50 +0100 (Thu, 22 Jan 2004) | 5 lines
Changed paths:
   M /trunk/modules/misc/sap.c

modules/misc/sap.c:
 * fixed a nasty integer overflow that caused items to be removed right away
   when the timeout value was large.
 * fixed a small mem-leak

------------------------------------------------------------------------
r6465 | jlj | 2004-01-22 02:20:39 +0100 (Thu, 22 Jan 2004) | 3 lines
Changed paths:
   M /trunk/configure.ac
   M /trunk/modules/demux/mp4/drms.c

  * drms: support for getting user key from firewire connected iPod under
          GNU/Linux. requires libsysfs (sysfsutils).

------------------------------------------------------------------------
r6466 | rocky | 2004-01-22 05:46:19 +0100 (Thu, 22 Jan 2004) | 5 lines
Changed paths:
   M /trunk/modules/codec/ogt/cvd_parse.c
   M /trunk/modules/codec/ogt/ogt_parse.c
   M /trunk/modules/codec/ogt/render.c
   M /trunk/modules/codec/ogt/subtitle.h

RV24 color-setting fixed. Fullscreen mode doesn't work though.

RGB2 sorta works, but to do better we need a way to lookup a palette
color in a colormap.

------------------------------------------------------------------------
r6467 | rocky | 2004-01-22 14:33:39 +0100 (Thu, 22 Jan 2004) | 4 lines
Changed paths:
   M /trunk/modules/codec/ogt/render.c

YUY2: Need to check against accessing outside of subpicture.
RGB2: Use fixed colormap entries black: 0, white: 255, and something
else 0x44.

------------------------------------------------------------------------
r6468 | sigmunau | 2004-01-22 15:27:53 +0100 (Thu, 22 Jan 2004) | 4 lines
Changed paths:
   M /trunk/modules/demux/mkv.cpp

modules/demux/mkv.cpp:
 * comment out parsing of elements that no muxer ever used, and that are
   being removed from the spec. (patch by Mosu in the mkv team)

------------------------------------------------------------------------
r6469 | sigmunau | 2004-01-22 16:00:10 +0100 (Thu, 22 Jan 2004) | 2 lines
Changed paths:
   M /trunk/modules/gui/wxwindows/interface.cpp
   M /trunk/modules/gui/wxwindows/wxwindows.h
   M /trunk/modules/video_filter/adjust.c

all: gamma correction patch by Arwed von Merkatz <v.merkatz@gmx.net>

------------------------------------------------------------------------
r6470 | gbazin | 2004-01-22 18:03:44 +0100 (Thu, 22 Jan 2004) | 2 lines
Changed paths:
   M /trunk/src/misc/net.c

* src/misc/net.c: Compilation fix.

------------------------------------------------------------------------
r6471 | fenrir | 2004-01-22 19:49:38 +0100 (Thu, 22 Jan 2004) | 3 lines
Changed paths:
   M /trunk/modules/access/mms/mmstu.c

 * mmstu: workaround for low bitrate stream with mmst.
 (we don't try anymore to fill our buffer every time).

------------------------------------------------------------------------
r6472 | gbazin | 2004-01-22 20:35:14 +0100 (Thu, 22 Jan 2004) | 4 lines
Changed paths:
   M /trunk/modules/demux/Modules.am
   M /trunk/src/playlist/loadsave.c


* src/playlist/loadsave.c: errno.h related fixes.
* modules/demux/Modules.am: added missing ps.h.

------------------------------------------------------------------------
r6473 | sigmunau | 2004-01-22 21:48:07 +0100 (Thu, 22 Jan 2004) | 4 lines
Changed paths:
   M /trunk/modules/demux/mkv.cpp

modules/demux/mkv.cpp:
 * removed an unused, and unreleased vlc_object_find()
 * added support for flac in mkv

------------------------------------------------------------------------
r6474 | rocky | 2004-01-23 04:46:41 +0100 (Fri, 23 Jan 2004) | 3 lines
Changed paths:
   M /trunk/modules/codec/ogt/render.c

RGB2 scaling is now correct. Need to do the same for RV24 and
probably others.

------------------------------------------------------------------------
r6475 | gbazin | 2004-01-23 09:07:17 +0100 (Fri, 23 Jan 2004) | 3 lines
Changed paths:
   M /trunk/modules/demux/mp4/mp4.c


* modules/demux/mp4/mp4.c: don't segfault on reference files.

------------------------------------------------------------------------
r6476 | rocky | 2004-01-23 09:36:48 +0100 (Fri, 23 Jan 2004) | 2 lines
Changed paths:
   M /trunk/modules/codec/ogt/cvd.c

Omitted option -duration-scaling which caused plugin to stop working.

------------------------------------------------------------------------
r6477 | rocky | 2004-01-23 11:19:37 +0100 (Fri, 23 Jan 2004) | 2 lines
Changed paths:
   M /trunk/modules/codec/ogt/common.c

Small doc changes.

------------------------------------------------------------------------
r6478 | zorglub | 2004-01-23 11:48:08 +0100 (Fri, 23 Jan 2004) | 4 lines
Changed paths:
   M /trunk/include/vlc_playlist.h
   M /trunk/src/playlist/group.c
   M /trunk/src/playlist/info.c
   M /trunk/src/playlist/item-ext.c
   M /trunk/src/playlist/loadsave.c
   M /trunk/src/playlist/playlist.c
   M /trunk/src/playlist/sort.c

* Doxygen doc fixes
* Add missing locks
* Duration sort

------------------------------------------------------------------------
r6479 | rocky | 2004-01-23 12:03:06 +0100 (Fri, 23 Jan 2004) | 3 lines
Changed paths:
   M /trunk/modules/codec/ogt/render.c

RV32 added, but not tested. All chromas now handled.
More code cleanups.

------------------------------------------------------------------------
r6480 | rocky | 2004-01-23 12:54:48 +0100 (Fri, 23 Jan 2004) | 2 lines
Changed paths:
   M /trunk/NEWS

Time to note completion of SVCD (Philips OGT) and CVD subtitles.

------------------------------------------------------------------------
r6481 | titer | 2004-01-23 16:36:23 +0100 (Fri, 23 Jan 2004) | 4 lines
Changed paths:
   M /trunk/configure.ac
   M /trunk/modules/video_filter/deinterlace/deinterlace.c

 + deinterlace.c : added an Altivec version of Merge() - makes the
     filter more than 100% faster here (blend mode). Feel free to check
     if I haven't broken anything, first time doing Altivec ;)

------------------------------------------------------------------------
r6482 | fenrir | 2004-01-23 18:42:10 +0100 (Fri, 23 Jan 2004) | 2 lines
Changed paths:
   A /trunk/modules/demux/pva.c

 * pva: PVA demuxer.

------------------------------------------------------------------------
r6483 | gbazin | 2004-01-23 18:56:14 +0100 (Fri, 23 Jan 2004) | 7 lines
Changed paths:
   M /trunk/include/stream_output.h
   M /trunk/modules/access_output/file.c
   M /trunk/modules/access_output/udp.c
   M /trunk/modules/mux/mp4.c
   M /trunk/src/stream_output/stream_output.c


* src/stream_output/stream_output.c, include/stream_output.h: new sout_AccessOutRead() funcion.
* modules/access_output/file.c: implemented sout_AccessOutRead().
* modules/access_output/udp.c: coding style cleanup.
* modules/mux/mp4.c: Added support for generating "fast start" files (ie. with the moov header at the beginning of the file).
   Started some code cleanup.

------------------------------------------------------------------------
r6484 | jlj | 2004-01-23 21:58:52 +0100 (Fri, 23 Jan 2004) | 2 lines
Changed paths:
   M /trunk/modules/demux/mp4/drms.c

  * drms: endian fixes, GetiPodID env var support.

------------------------------------------------------------------------
r6485 | rocky | 2004-01-24 00:06:25 +0100 (Sat, 24 Jan 2004) | 2 lines
Changed paths:
   M /trunk/src/playlist/loadsave.c

Compilation bug: can't have preprocessor directives inside a macro.

------------------------------------------------------------------------
r6486 | fenrir | 2004-01-24 01:47:42 +0100 (Sat, 24 Jan 2004) | 3 lines
Changed paths:
   M /trunk/modules/codec/ffmpeg/ffmpeg.c

 * ffmpeg.c: disabled mpeg4 audio, too buggy. (This way users can see that
 they miss the faad decoder without having an obscure segfault.)

------------------------------------------------------------------------
r6487 | rocky | 2004-01-24 04:48:29 +0100 (Sat, 24 Jan 2004) | 2 lines
Changed paths:
   M /trunk/modules/demux/mpeg/system.c

Doc fix.

------------------------------------------------------------------------
r6488 | gbazin | 2004-01-24 12:56:16 +0100 (Sat, 24 Jan 2004) | 5 lines
Changed paths:
   M /trunk/modules/mux/mp4.c


* modules/mux/mp4.c: store the display size using the proper aspect-ratio.
   Size optimization for the generation of the stsc table.
   Some more clean-up.

------------------------------------------------------------------------
r6489 | gbazin | 2004-01-24 13:30:32 +0100 (Sat, 24 Jan 2004) | 3 lines
Changed paths:
   M /trunk/modules/gui/wxwindows/preferences_widgets.cpp


* modules/gui/wxwindows/preferences_widgets.cpp: increased the min/max value for int config vars to +/-10000000.

------------------------------------------------------------------------
r6490 | asmax | 2004-01-24 14:08:12 +0100 (Sat, 24 Jan 2004) | 6 lines
Changed paths:
   M /trunk/configure.ac
   M /trunk/modules/gui/skins2/Modules.am
   A /trunk/modules/gui/skins2/parser/xmlparser.cpp
   A /trunk/modules/gui/skins2/parser/xmlparser.hpp
   M /trunk/modules/gui/skins2/src/theme_loader.cpp
   M /trunk/modules/gui/skins2/src/var_manager.cpp
   M /trunk/modules/gui/skins2/src/var_manager.hpp

* configure.ac: check xml2-config for skins2
* modules/gui/skins2/src/var_manager.cpp: delete the variables in the
  right order to avoid invalid reads in the destructor
* modules/gui/skins2/parser/xmlparser: skeleton of a new parser based
  on the text reader API of libxml2

------------------------------------------------------------------------
r6491 | asmax | 2004-01-24 15:25:16 +0100 (Sat, 24 Jan 2004) | 2 lines
Changed paths:
   M /trunk/modules/gui/skins2/parser/xmlparser.cpp
   M /trunk/modules/gui/skins2/parser/xmlparser.hpp
   M /trunk/modules/gui/skins2/src/theme_loader.cpp
   A /trunk/modules/gui/skins2/theme/skin.dtd

* parser/xmlparser.cpp: added DTD validation

------------------------------------------------------------------------
r6492 | gbazin | 2004-01-24 16:18:29 +0100 (Sat, 24 Jan 2004) | 3 lines
Changed paths:
   M /trunk/configure.ac


* configure.ac: added --with-xml2-config-path=PATH option.

------------------------------------------------------------------------
r6493 | fenrir | 2004-01-24 21:40:46 +0100 (Sat, 24 Jan 2004) | 3 lines
Changed paths:
   M /trunk/include/vlc_common.h

 * vlc_common: changed TAB_APPEND. I have to do this because the old way
 seems to make bogus code (but I'm not sure).

------------------------------------------------------------------------
r6494 | hartman | 2004-01-24 22:06:52 +0100 (Sat, 24 Jan 2004) | 3 lines
Changed paths:
   M /trunk/INSTALL.win32
   M /trunk/MAINTAINERS
   M /trunk/README
   M /trunk/debian/copyright
   M /trunk/doc/win32/Cross-Compile-Howto.txt
   M /trunk/evc/vlc.c
   M /trunk/extras/contrib/src/Makefile
   M /trunk/extras/contrib/src/packages.mak
   M /trunk/menuconfig
   M /trunk/vlc.spec
   M /trunk/vlc.spec.mdk

* extras/contrib/src/ dvdnav packages
* REST: stringreview round 1

------------------------------------------------------------------------
r6495 | fenrir | 2004-01-25 03:26:04 +0100 (Sun, 25 Jan 2004) | 4 lines
Changed paths:
   M /trunk/modules/demux/Modules.am
   M /trunk/modules/demux/ts.c
   M /trunk/modules/mux/mpeg/Modules.am
   A /trunk/modules/mux/mpeg/csa.c
   A /trunk/modules/mux/mpeg/csa.h
   M /trunk/modules/mux/mpeg/ts.c

 - csa.* : CSA scrambling implementation.
 - demux/ts.c, mux/mpeg/ts.c: added support for CSA (de)scrambling
 (fixed key).

------------------------------------------------------------------------
r6496 | hartman | 2004-01-25 04:28:32 +0100 (Sun, 25 Jan 2004) | 2 lines
Changed paths:
   M /trunk/modules/video_filter/adjust.c

* adjust uses variables

------------------------------------------------------------------------
r6497 | hartman | 2004-01-25 04:28:41 +0100 (Sun, 25 Jan 2004) | 2 lines
Changed paths:
   M /trunk/modules/video_filter/crop.c
   M /trunk/modules/video_filter/distort.c
   M /trunk/modules/video_filter/invert.c
   M /trunk/modules/video_filter/logo.c
   M /trunk/modules/video_filter/motionblur.c
   M /trunk/modules/video_filter/transform.c
   M /trunk/modules/video_filter/wall.c

* stringreview

------------------------------------------------------------------------
r6498 | hartman | 2004-01-25 04:29:02 +0100 (Sun, 25 Jan 2004) | 2 lines
Changed paths:
   M /trunk/modules/gui/ncurses/ncurses.c
   M /trunk/modules/gui/wxwindows/dialogs.cpp
   M /trunk/modules/gui/wxwindows/fileinfo.cpp
   M /trunk/modules/gui/wxwindows/interface.cpp
   M /trunk/modules/gui/wxwindows/iteminfo.cpp
   M /trunk/modules/gui/wxwindows/menus.cpp
   M /trunk/modules/gui/wxwindows/messages.cpp
   M /trunk/modules/gui/wxwindows/open.cpp
   M /trunk/modules/gui/wxwindows/playlist.cpp
   M /trunk/modules/gui/wxwindows/preferences.cpp
   M /trunk/modules/gui/wxwindows/preferences_widgets.cpp
   M /trunk/modules/gui/wxwindows/streamout.cpp
   M /trunk/modules/gui/wxwindows/streamwizard.cpp
   M /trunk/modules/gui/wxwindows/subtitles.cpp
   M /trunk/modules/gui/wxwindows/v4l.cpp
   M /trunk/modules/gui/wxwindows/wxwindows.cpp
   M /trunk/modules/gui/wxwindows/wxwindows.h

* string review

------------------------------------------------------------------------
r6499 | rocky | 2004-01-25 05:53:16 +0100 (Sun, 25 Jan 2004) | 3 lines
Changed paths:
   M /trunk/modules/access/vcdx/access.c

Allow PBC selection. Had been temporarily disabled. Perhaps this is
what DJ was referring to?

------------------------------------------------------------------------
r6500 | rocky | 2004-01-25 08:48:04 +0100 (Sun, 25 Jan 2004) | 2 lines
Changed paths:
   M /trunk/modules/gui/wxwindows/open.cpp

string review.

------------------------------------------------------------------------
r6501 | rocky | 2004-01-25 09:01:13 +0100 (Sun, 25 Jan 2004) | 2 lines
Changed paths:
   M /trunk/modules/gui/wxwindows/open.cpp

"Playback control LID" is too long. Shorten to "Playback LID"

------------------------------------------------------------------------
r6502 | gbazin | 2004-01-25 11:17:19 +0100 (Sun, 25 Jan 2004) | 3 lines
Changed paths:
   M /trunk/modules/video_filter/logo.c


* modules/video_filter/logo.c: compilation fixes.

------------------------------------------------------------------------
r6503 | gbazin | 2004-01-25 12:32:32 +0100 (Sun, 25 Jan 2004) | 3 lines
Changed paths:
   M /trunk/src/libvlc.c


* src/libvlc.c: improved --help output.

------------------------------------------------------------------------
r6504 | asmax | 2004-01-25 12:44:19 +0100 (Sun, 25 Jan 2004) | 4 lines
Changed paths:
   M /trunk/modules/gui/skins2/Modules.am
   M /trunk/modules/gui/skins2/parser/builder.cpp
   M /trunk/modules/gui/skins2/parser/builder.hpp
   M /trunk/modules/gui/skins2/parser/builder_data.hpp
   D /trunk/modules/gui/skins2/parser/flex.c
   D /trunk/modules/gui/skins2/parser/gen.sh
   D /trunk/modules/gui/skins2/parser/parser_context.hpp
   D /trunk/modules/gui/skins2/parser/skin.act
   D /trunk/modules/gui/skins2/parser/skin.c
   D /trunk/modules/gui/skins2/parser/skin.dtd
   D /trunk/modules/gui/skins2/parser/skin.h
   D /trunk/modules/gui/skins2/parser/skin.l
   A /trunk/modules/gui/skins2/parser/skin_parser.cpp
   A /trunk/modules/gui/skins2/parser/skin_parser.hpp
   D /trunk/modules/gui/skins2/parser/wrappers.cpp
   D /trunk/modules/gui/skins2/parser/wrappers.h
   M /trunk/modules/gui/skins2/parser/xmlparser.cpp
   M /trunk/modules/gui/skins2/parser/xmlparser.hpp
   M /trunk/modules/gui/skins2/src/theme_loader.cpp
   M /trunk/modules/gui/skins2/src/tooltip.cpp
   M /trunk/modules/gui/skins2/src/window_manager.cpp
   M /trunk/modules/gui/skins2/theme/skin.dtd

* all: replaced the flex parser by the libxml one
* src/window_manager.cpp: improved the raise window algorithm
* src/tooltip.cpp: fixed a segfault after changing a theme

------------------------------------------------------------------------
r6505 | gbazin | 2004-01-25 12:48:17 +0100 (Sun, 25 Jan 2004) | 3 lines
Changed paths:
   M /trunk/src/libvlc.c


* src/libvlc.c: another couple of changes to the --help output.

------------------------------------------------------------------------
r6506 | gbazin | 2004-01-25 14:29:04 +0100 (Sun, 25 Jan 2004) | 3 lines
Changed paths:
   M /trunk/modules/mux/mp4.c


* modules/mux/mp4.c: spec compliance fix.

------------------------------------------------------------------------
r6507 | kuehne | 2004-01-25 14:37:12 +0100 (Sun, 25 Jan 2004) | 2 lines
Changed paths:
   M /trunk/modules/audio_filter/converter/a52tofloat32.c
   M /trunk/modules/gui/gtk/gnome_interface.c
   M /trunk/modules/gui/gtk/gtk_interface.c
   M /trunk/modules/mux/asf.c

* Stringreview

------------------------------------------------------------------------
r6508 | zorglub | 2004-01-25 14:50:33 +0100 (Sun, 25 Jan 2004) | 2 lines
Changed paths:
   M /trunk/src/libvlc.h

First round of stringreview

------------------------------------------------------------------------
r6509 | asmax | 2004-01-25 14:59:33 +0100 (Sun, 25 Jan 2004) | 2 lines
Changed paths:
   M /trunk/modules/gui/skins2/src/skin_main.cpp
   M /trunk/modules/gui/skins2/x11/x11_display.cpp
   M /trunk/modules/gui/skins2/x11/x11_factory.cpp

* all: fixed segfaults when initialization fails

------------------------------------------------------------------------
r6510 | kuehne | 2004-01-25 15:15:21 +0100 (Sun, 25 Jan 2004) | 2 lines
Changed paths:
   M /trunk/modules/gui/gtk2/gnome2.glade
   M /trunk/modules/gui/gtk2/gtk2.glade
   M /trunk/modules/gui/pda/pda.glade
   M /trunk/modules/gui/pda/pda_callbacks.c

* string review

------------------------------------------------------------------------
r6511 | rocky | 2004-01-25 15:18:40 +0100 (Sun, 25 Jan 2004) | 3 lines
Changed paths:
   M /trunk/doc/intf-vcd.txt

More clarification of the LID/PSD/PBC thing especially with respect
to vlc's plugin. A couple of typographical mistakes corrected.

------------------------------------------------------------------------
r6512 | gbazin | 2004-01-25 15:34:25 +0100 (Sun, 25 Jan 2004) | 3 lines
Changed paths:
   M /trunk/modules/stream_out/display.c
   M /trunk/modules/stream_out/dummy.c
   M /trunk/modules/stream_out/duplicate.c
   M /trunk/modules/stream_out/es.c
   M /trunk/modules/stream_out/gather.c
   M /trunk/modules/stream_out/rtp.c
   M /trunk/modules/stream_out/standard.c
   M /trunk/modules/stream_out/transcode.c
   M /trunk/modules/stream_out/transrate/transrate.c


* modules/stream_out/*: coding style changes + strings review.

------------------------------------------------------------------------
r6513 | rocky | 2004-01-25 15:42:05 +0100 (Sun, 25 Jan 2004) | 2 lines
Changed paths:
   M /trunk/modules/access/cdda/cdda.c

string review.

------------------------------------------------------------------------
r6514 | rocky | 2004-01-25 15:42:18 +0100 (Sun, 25 Jan 2004) | 2 lines
Changed paths:
   M /trunk/modules/access/vcdx/vcd.c

String review.

------------------------------------------------------------------------
r6515 | kuehne | 2004-01-25 16:42:57 +0100 (Sun, 25 Jan 2004) | 2 lines
Changed paths:
   M /trunk/modules/gui/kde/disc.cpp
   M /trunk/modules/gui/kde/interface.cpp
   M /trunk/modules/gui/kde/kde.cpp
   M /trunk/modules/gui/kde/net.cpp
   M /trunk/modules/gui/kde/preferences.cpp

string review

------------------------------------------------------------------------
r6516 | sigmunau | 2004-01-25 16:55:37 +0100 (Sun, 25 Jan 2004) | 3 lines
Changed paths:
   M /trunk/modules/video_filter/logo.c

modules/video_filter/logo.c:
 * correctly name the config options( logo-foo not logo_foo )

------------------------------------------------------------------------
r6517 | anil | 2004-01-25 17:17:04 +0100 (Sun, 25 Jan 2004) | 2 lines
Changed paths:
   M /trunk/modules/control/corba/README
   M /trunk/modules/control/corba/client.py
   M /trunk/modules/control/corba/corba.c
   M /trunk/modules/control/corba/simpleplayer.py
   M /trunk/modules/control/gestures.c
   M /trunk/modules/control/hotkeys.c
   M /trunk/modules/control/http.c
   M /trunk/modules/control/joystick.c
   M /trunk/modules/control/lirc/lirc.c
   M /trunk/modules/control/ntservice.c
   M /trunk/modules/control/rc/rc.c
   M /trunk/mozilla/npvlc_rc.rc
   M /trunk/mozilla/vlcshell.cpp
   M /trunk/python/setup.py
   M /trunk/python/vlcmodule.c
   M /trunk/python/vlrs/rtsp.py
   M /trunk/python/vlrs/sap.py
   M /trunk/python/vlrs/vlrs.py
   M /trunk/share/http/admin/browse.html
   M /trunk/share/http/admin/index.html
   M /trunk/share/http/index.html
   M /trunk/share/http/info.html

* string review.

------------------------------------------------------------------------
r6518 | murray | 2004-01-25 18:01:57 +0100 (Sun, 25 Jan 2004) | 2 lines
Changed paths:
   M /trunk/modules/gui/macosx/controls.h
   M /trunk/modules/gui/macosx/controls.m
   M /trunk/modules/gui/macosx/intf.h
   M /trunk/modules/gui/macosx/intf.m
   M /trunk/modules/gui/macosx/macosx.m
   M /trunk/modules/gui/macosx/open.h
   M /trunk/modules/gui/macosx/open.m
   M /trunk/modules/gui/macosx/output.m
   M /trunk/modules/gui/macosx/playlist.h
   M /trunk/modules/gui/macosx/playlist.m
   M /trunk/modules/gui/macosx/prefs.h
   M /trunk/modules/gui/macosx/prefs.m
   M /trunk/modules/gui/macosx/vout.h
   M /trunk/modules/gui/macosx/vout.m

String Review round one, Mac OS X interface.

------------------------------------------------------------------------
r6519 | zorglub | 2004-01-25 18:16:06 +0100 (Sun, 25 Jan 2004) | 4 lines
Changed paths:
   M /trunk/src/input/demux.c
   M /trunk/src/input/es_out.c
   M /trunk/src/input/input.c
   M /trunk/src/input/input_dec.c
   M /trunk/src/input/input_ext-intf.c
   M /trunk/src/input/input_ext-plugins.c
   M /trunk/src/input/input_info.c
   M /trunk/src/input/input_programs.c
   M /trunk/src/input/stream.c
   M /trunk/src/input/subtitles.c
   M /trunk/src/interface/interface.c
   M /trunk/src/libvlc.c
   M /trunk/src/misc/beos_specific.cpp
   M /trunk/src/misc/configuration.c
   M /trunk/src/misc/error.c
   M /trunk/src/misc/modules.c
   M /trunk/src/misc/modules_builtin.h.in
   M /trunk/src/misc/mtime.c
   M /trunk/src/misc/net.c
   M /trunk/src/misc/objects.c
   M /trunk/src/misc/variables.c
   M /trunk/src/misc/win32_specific.c
   M /trunk/src/playlist/group.c
   M /trunk/src/playlist/info.c
   M /trunk/src/playlist/item-ext.c
   M /trunk/src/playlist/loadsave.c
   M /trunk/src/playlist/playlist.c
   M /trunk/src/video_output/video_output.c
   M /trunk/src/video_output/vout_pictures.c
   M /trunk/src/video_output/vout_synchro.c
   M /trunk/src/vlc.c

* String review, round one
* A few coding style fixes
* Doxygenized a few functions

------------------------------------------------------------------------
r6520 | kuehne | 2004-01-25 18:20:19 +0100 (Sun, 25 Jan 2004) | 2 lines
Changed paths:
   M /trunk/modules/access_output/http.c
   M /trunk/modules/access_output/udp.c
   M /trunk/modules/audio_mixer/float32.c
   M /trunk/modules/audio_mixer/spdif.c
   M /trunk/modules/audio_mixer/trivial.c
   M /trunk/modules/gui/skins2/commands/cmd_input.hpp
   M /trunk/modules/gui/skins2/parser/builder.cpp
   M /trunk/modules/gui/skins2/src/dialogs.cpp
   M /trunk/modules/gui/skins2/src/skin_main.cpp
   M /trunk/modules/misc/dummy/dummy.c
   M /trunk/modules/misc/dummy/interface.c
   M /trunk/modules/misc/logger/logger.c
   M /trunk/modules/misc/network/ipv6.c
   M /trunk/modules/video_chroma/i420_ymga.c
   M /trunk/modules/video_chroma/i420_yuy2.c
   M /trunk/modules/video_chroma/i422_yuy2.c

string review by Christophe Mutricy aka xtophe

------------------------------------------------------------------------
r6521 | gbazin | 2004-01-25 18:31:22 +0100 (Sun, 25 Jan 2004) | 3 lines
Changed paths:
   M /trunk/modules/access/cdda.c
   M /trunk/modules/access/dshow/dshow.cpp
   M /trunk/modules/access/dvb/qpsk.c
   M /trunk/modules/access/dvd/dvd.c
   M /trunk/modules/access/file.c
   M /trunk/modules/access/ftp.c
   M /trunk/modules/access/http.c
   M /trunk/modules/access/mms/mms.c
   M /trunk/modules/access/pvr/pvr.c
   M /trunk/modules/access/satellite/satellite.c
   M /trunk/modules/access/slp.c
   M /trunk/modules/access/tcp.c
   M /trunk/modules/access/udp.c
   M /trunk/modules/access/v4l/v4l.c
   M /trunk/modules/access/vcd/vcd.c
   M /trunk/modules/access/vcdx/vcd.c


* modules/access/*: strings review + coding style fixes.

------------------------------------------------------------------------
r6522 | murray | 2004-01-25 18:32:29 +0100 (Sun, 25 Jan 2004) | 4 lines
Changed paths:
   M /trunk/modules/audio_output/alsa.c
   M /trunk/modules/audio_output/arts.c
   M /trunk/modules/audio_output/coreaudio.c
   M /trunk/modules/audio_output/directx.c
   M /trunk/modules/audio_output/esd.c
   M /trunk/modules/audio_output/file.c
   M /trunk/modules/audio_output/oss.c
   M /trunk/modules/audio_output/sdl.c
   M /trunk/modules/audio_output/waveout.c

string review, round two: the audio output modules
(but as I'm too tired and it's apero time, round three
will follow later on in the night)

------------------------------------------------------------------------
r6523 | murray | 2004-01-25 18:41:30 +0100 (Sun, 25 Jan 2004) | 4 lines
Changed paths:
   M /trunk/modules/packetizer/copy.c
   M /trunk/modules/packetizer/mpeg4audio.c
   M /trunk/modules/packetizer/mpeg4video.c
   M /trunk/modules/packetizer/mpegvideo.c

String review, round three in advance :)
If you've got spare stuff to review, I'm free.
(FK, are you reviewing the KDE intf or shall I do it?)

------------------------------------------------------------------------
r6524 | gbazin | 2004-01-25 18:52:17 +0100 (Sun, 25 Jan 2004) | 4 lines
Changed paths:
   M /trunk/modules/misc/logger/logger.c
   M /trunk/mozilla/vlcshell.cpp


* mozilla/vlcshell.cpp: don't translate debug messages.
* modules/misc/logger/logger.c: compilation fix.

------------------------------------------------------------------------
r6525 | murray | 2004-01-25 18:58:30 +0100 (Sun, 25 Jan 2004) | 3 lines
Changed paths:
   M /trunk/modules/audio_output/alsa.c
   M /trunk/modules/audio_output/arts.c
   M /trunk/modules/audio_output/coreaudio.c
   M /trunk/modules/audio_output/directx.c
   M /trunk/modules/audio_output/esd.c
   M /trunk/modules/audio_output/file.c
   M /trunk/modules/audio_output/oss.c
   M /trunk/modules/audio_output/sdl.c
   M /trunk/modules/audio_output/waveout.c
   M /trunk/modules/packetizer/copy.c
   M /trunk/modules/packetizer/mpeg4audio.c
   M /trunk/modules/packetizer/mpeg4video.c
   M /trunk/modules/packetizer/mpegvideo.c

reverting a whole bunch of stupid changes,
sorry :)

------------------------------------------------------------------------
r6526 | zorglub | 2004-01-25 19:17:08 +0100 (Sun, 25 Jan 2004) | 3 lines
Changed paths:
   M /trunk/include/beos_specific.h
   M /trunk/include/charset.h
   M /trunk/include/codecs.h
   M /trunk/include/configuration.h
   M /trunk/include/darwin_specific.h
   M /trunk/include/intf_eject.h
   M /trunk/include/main.h
   M /trunk/include/os_specific.h
   M /trunk/include/stream_control.h
   M /trunk/include/stream_output.h
   M /trunk/include/variables.h
   M /trunk/include/vlc/aout.h
   M /trunk/include/vlc/decoder.h
   M /trunk/include/vlc/input.h
   M /trunk/include/vlc/intf.h
   M /trunk/include/vlc/sout.h
   M /trunk/include/vlc/vlc.h
   M /trunk/include/vlc/vout.h
   M /trunk/include/vlc_config.h
   M /trunk/include/vlc_cpu.h
   M /trunk/include/vlc_help.h
   M /trunk/include/vlc_interface.h
   M /trunk/include/vlc_keys.h
   M /trunk/include/vlc_messages.h
   M /trunk/include/vlc_objects.h
   M /trunk/include/vlc_playlist.h
   M /trunk/include/vlc_video.h
   M /trunk/include/vout_synchro.h
   M /trunk/include/win32_specific.h

* Strings review in include/
* Removed trailing spaces

------------------------------------------------------------------------
r6527 | gbazin | 2004-01-25 19:18:50 +0100 (Sun, 25 Jan 2004) | 3 lines
Changed paths:
   M /trunk/modules/gui/wxwindows/interface.cpp


* modules/gui/wxwindows/interface.cpp: removed unused strings.

------------------------------------------------------------------------
r6528 | bigben | 2004-01-25 19:20:12 +0100 (Sun, 25 Jan 2004) | 5 lines
Changed paths:
   M /trunk/modules/codec/adpcm.c
   M /trunk/modules/codec/dts.c
   M /trunk/modules/codec/dv.c
   M /trunk/modules/codec/dvbsub.c
   M /trunk/modules/codec/faad.c
   M /trunk/modules/codec/ffmpeg/ffmpeg.h
   M /trunk/modules/codec/ffmpeg/postprocess.c
   M /trunk/modules/codec/flac.c
   M /trunk/modules/codec/lpcm.c
   M /trunk/modules/codec/mpeg_audio.c
   M /trunk/modules/codec/ogt/cvd.c
   M /trunk/modules/codec/ogt/render.c
   M /trunk/modules/codec/ogt/subtitle.h
   M /trunk/modules/codec/quicktime.c
   M /trunk/modules/codec/speex.c
   M /trunk/modules/codec/subsdec.c
   M /trunk/modules/codec/tarkin.c
   M /trunk/modules/codec/theora.c
   M /trunk/modules/codec/vorbis.c

string review

still some  printfs in dvbsub.c. Would  need to spend some  time reading
the code to remove them.

------------------------------------------------------------------------
r6529 | gbazin | 2004-01-25 19:34:55 +0100 (Sun, 25 Jan 2004) | 3 lines
Changed paths:
   M /trunk/modules/gui/gtk/preferences.c


* modules/gui/gtk/preferences.c: don't rely on module definitions having an add_category_hint().

------------------------------------------------------------------------
r6530 | asmax | 2004-01-25 19:41:08 +0100 (Sun, 25 Jan 2004) | 3 lines
Changed paths:
   M /trunk/modules/gui/skins2/x11/x11_display.cpp
   M /trunk/modules/gui/skins2/x11/x11_display.hpp
   M /trunk/modules/gui/skins2/x11/x11_graphics.cpp
   M /trunk/modules/gui/skins2/x11/x11_tooltip.cpp
   M /trunk/modules/gui/skins2/x11/x11_window.cpp

* all: support of 8 bpp mode for X11 skins. Like in the vout it uses
 its own colormap, but I don't like that at all...

------------------------------------------------------------------------
r6531 | asmax | 2004-01-25 19:46:37 +0100 (Sun, 25 Jan 2004) | 2 lines
Changed paths:
   M /trunk/modules/gui/skins2/x11/x11_display.cpp

* x11/x11_display.cpp: only 8 bpp mode was working...

------------------------------------------------------------------------
r6532 | gbazin | 2004-01-25 19:53:07 +0100 (Sun, 25 Jan 2004) | 3 lines
Changed paths:
   M /trunk/modules/access/cdda/cdda.c
   M /trunk/modules/access/dvd/dvd.c
   M /trunk/modules/audio_filter/channel_mixer/headphone.c
   M /trunk/modules/audio_filter/converter/Modules.am
   M /trunk/modules/audio_filter/converter/a52tofloat32.c
   M /trunk/modules/audio_filter/converter/mpgatofixed32.c
   M /trunk/modules/audio_output/alsa.c
   M /trunk/modules/audio_output/coreaudio.c
   M /trunk/modules/audio_output/file.c
   M /trunk/modules/audio_output/oss.c
   M /trunk/modules/gui/gtk/gnome.c
   M /trunk/modules/gui/gtk/gtk.c
   M /trunk/modules/gui/kde/kde.cpp
   M /trunk/modules/gui/macosx/macosx.m
   M /trunk/modules/gui/pda/pda.c
   M /trunk/modules/misc/freetype.c
   M /trunk/modules/misc/sap.c
   M /trunk/modules/mux/mp4.c


* ALL: removed a bunch of unused add_category_hint().

------------------------------------------------------------------------
r6533 | bigben | 2004-01-25 20:10:09 +0100 (Sun, 25 Jan 2004) | 2 lines
Changed paths:
   M /trunk/modules/codec/dvbsub.c

added a 0 accidentally

------------------------------------------------------------------------
r6534 | rocky | 2004-01-25 20:27:09 +0100 (Sun, 25 Jan 2004) | 4 lines
Changed paths:
   M /trunk/modules/codec/ogt/cvd.c
   M /trunk/modules/codec/ogt/ogt.c
   M /trunk/modules/codec/ogt/subtitle.h

cvd.c: default duration scaling is smaller which seems more correct.

string review: Merge/canonicalize debug string messages.

------------------------------------------------------------------------
r6535 | hartman | 2004-01-25 20:54:53 +0100 (Sun, 25 Jan 2004) | 2 lines
Changed paths:
   D /trunk/doc/mad/BUGS
   D /trunk/doc/mad/TODO

* Removing old useless files

------------------------------------------------------------------------
r6536 | hartman | 2004-01-25 21:05:29 +0100 (Sun, 25 Jan 2004) | 2 lines
Changed paths:
   M /trunk/modules/demux/a52sys.c
   M /trunk/modules/demux/aac.c
   M /trunk/modules/demux/asf/asf.c
   M /trunk/modules/demux/asf/libasf.c
   M /trunk/modules/demux/asf/libasf.h
   M /trunk/modules/demux/au.c
   M /trunk/modules/demux/avi/avi.c
   M /trunk/modules/demux/avi/avi.h
   M /trunk/modules/demux/avi/libavi.c
   M /trunk/modules/demux/avi/libavi.h
   M /trunk/modules/demux/demux2.c
   M /trunk/modules/demux/demuxdump.c
   M /trunk/modules/demux/demuxstream.c
   M /trunk/modules/demux/dvdnav.c
   M /trunk/modules/demux/flac.c
   M /trunk/modules/demux/livedotcom.cpp
   M /trunk/modules/demux/m3u.c
   M /trunk/modules/demux/mkv.cpp
   M /trunk/modules/demux/mod.c
   M /trunk/modules/demux/mp4/libmp4.c
   M /trunk/modules/demux/mp4/libmp4.h
   M /trunk/modules/demux/mp4/mp4.c
   M /trunk/modules/demux/mp4/mp4.h
   M /trunk/modules/demux/mpeg/mpga.c
   M /trunk/modules/demux/mpeg/mpgv.c
   M /trunk/modules/demux/mpeg/ps.c
   M /trunk/modules/demux/mpeg/system.c
   M /trunk/modules/demux/mpeg/ts.c
   M /trunk/modules/demux/nsv.c
   M /trunk/modules/demux/ogg.c
   M /trunk/modules/demux/playlist/m3u.c
   M /trunk/modules/demux/playlist/old.c
   M /trunk/modules/demux/playlist/playlist.c
   M /trunk/modules/demux/playlist/pls.c
   M /trunk/modules/demux/ps.c
   M /trunk/modules/demux/rawdv.c
   M /trunk/modules/demux/real.c
   M /trunk/modules/demux/ts.c
   M /trunk/modules/demux/util/id3.c
   M /trunk/modules/demux/util/id3genres.h
   M /trunk/modules/demux/util/id3tag.c
   M /trunk/modules/demux/util/sub.c
   M /trunk/modules/demux/util/sub.h
   M /trunk/modules/video_filter/adjust.c
   M /trunk/modules/video_filter/clone.c
   M /trunk/modules/video_filter/crop.c
   M /trunk/modules/video_filter/deinterlace/deinterlace.c
   M /trunk/modules/video_filter/distort.c
   M /trunk/modules/video_filter/logo.c
   M /trunk/modules/video_filter/motionblur.c
   M /trunk/modules/video_filter/transform.c
   M /trunk/modules/video_filter/wall.c

* Stringreview !!!

------------------------------------------------------------------------
r6537 | gbazin | 2004-01-25 21:40:59 +0100 (Sun, 25 Jan 2004) | 3 lines
Changed paths:
   M /trunk/modules/access_output/udp.c
   M /trunk/modules/codec/araw.c
   M /trunk/modules/codec/dvbsub.c
   M /trunk/modules/codec/ffmpeg/ffmpeg.c
   M /trunk/modules/codec/subsdec.c
   M /trunk/modules/control/rc/rc.c
   M /trunk/modules/visualization/xosd/xosd.c


* ALL: removed useless add_category_hint().

------------------------------------------------------------------------
r6538 | rocky | 2004-01-25 22:03:16 +0100 (Sun, 25 Jan 2004) | 2 lines
Changed paths:
   M /trunk/configure.ac

Test for libcdio only once. Make disable-libcddb work (typo in test variable).

------------------------------------------------------------------------
r6539 | asmax | 2004-01-25 22:38:57 +0100 (Sun, 25 Jan 2004) | 2 lines
Changed paths:
   M /trunk/modules/gui/skins2/src/generic_window.cpp

* src/generic_window.cpp: don't raise the windows on a mouse up event

------------------------------------------------------------------------
r6540 | gbazin | 2004-01-25 22:39:37 +0100 (Sun, 25 Jan 2004) | 4 lines
Changed paths:
   M /trunk/include/vlc_common.h
   M /trunk/include/vlc_es.h
   M /trunk/modules/codec/ffmpeg/demux.c
   M /trunk/modules/codec/ffmpeg/video.c


* include/vlc_common.h, include/vlc_es.h: new video_palette_t structure.
* modules/codec/ffmpeg/*: support for palettized codecs.

------------------------------------------------------------------------
r6541 | rocky | 2004-01-25 23:16:26 +0100 (Sun, 25 Jan 2004) | 2 lines
Changed paths:
   M /trunk/modules/misc/dummy/decoder.c

include limits.h for PATH_MAX. Solaris fix.

------------------------------------------------------------------------
r6542 | rocky | 2004-01-25 23:16:51 +0100 (Sun, 25 Jan 2004) | 2 lines
Changed paths:
   M /trunk/modules/misc/freetype.c

Fix if iconv not installed.

------------------------------------------------------------------------
r6543 | asmax | 2004-01-26 00:04:06 +0100 (Mon, 26 Jan 2004) | 4 lines
Changed paths:
   M /trunk/modules/gui/skins2/parser/xmlparser.cpp
   M /trunk/modules/gui/skins2/src/skin_main.cpp
   M /trunk/modules/gui/skins2/src/theme.cpp
   M /trunk/modules/gui/skins2/src/theme.hpp
   M /trunk/modules/gui/skins2/src/theme_loader.cpp

* all: save the theme configuration at exit (theme path and
  position/visibilty of the windows)
* parser/xmlparser.cpp: fixed a segfault when the file cannot be opened

------------------------------------------------------------------------
r6544 | rocky | 2004-01-26 05:51:09 +0100 (Mon, 26 Jan 2004) | 3 lines
Changed paths:
   M /trunk/configure.ac

add -lm on more plugins that require it. libvcdinfo version number is
now 0.7.20 not 0.7.20-cdio.

------------------------------------------------------------------------
r6545 | sam | 2004-01-26 11:32:33 +0100 (Mon, 26 Jan 2004) | 3 lines
Changed paths:
   M /trunk/configure.ac

  * configure.ac:
    + Bail out if libavcodec.a wasn't built with --enable-pp.

------------------------------------------------------------------------
r6546 | gbazin | 2004-01-26 11:35:28 +0100 (Mon, 26 Jan 2004) | 3 lines
Changed paths:
   M /trunk/configure.ac


* configure.ac: fixed typo.

------------------------------------------------------------------------
r6547 | hartman | 2004-01-26 15:47:39 +0100 (Mon, 26 Jan 2004) | 2 lines
Changed paths:
   M /trunk/modules/gui/kde/disc.h
   M /trunk/modules/gui/kde/net.h

* compilation fixes

------------------------------------------------------------------------
r6548 | fenrir | 2004-01-26 17:30:34 +0100 (Mon, 26 Jan 2004) | 2 lines
Changed paths:
   M /trunk/modules/access/mms/mmsh.c

 * mmsh: msg_Err -> msg_Dbg.

------------------------------------------------------------------------
r6549 | zorglub | 2004-01-26 17:45:03 +0100 (Mon, 26 Jan 2004) | 2 lines
Changed paths:
   M /trunk/modules/video_output/caca.c
   M /trunk/modules/video_output/directx/directx.c
   M /trunk/modules/video_output/fb.c
   M /trunk/modules/video_output/ggi.c
   M /trunk/modules/video_output/qte/qte.cpp
   M /trunk/modules/video_output/x11/x11.c
   M /trunk/modules/video_output/x11/xcommon.c
   M /trunk/modules/video_output/x11/xvideo.c

String review

------------------------------------------------------------------------
r6550 | zorglub | 2004-01-26 17:52:31 +0100 (Mon, 26 Jan 2004) | 6 lines
Changed paths:
   M /trunk/modules/gui/beos/AudioOutput.cpp
   M /trunk/modules/gui/beos/BeOS.cpp
   M /trunk/modules/gui/beos/Bitmaps.h
   M /trunk/modules/gui/beos/DrawingTidbits.cpp
   M /trunk/modules/gui/beos/DrawingTidbits.h
   M /trunk/modules/gui/beos/Interface.cpp
   M /trunk/modules/gui/beos/InterfaceWindow.cpp
   M /trunk/modules/gui/beos/InterfaceWindow.h
   M /trunk/modules/gui/beos/ListViews.cpp
   M /trunk/modules/gui/beos/ListViews.h
   M /trunk/modules/gui/beos/MessagesWindow.cpp
   M /trunk/modules/gui/beos/MsgVals.h
   M /trunk/modules/gui/beos/PlayListWindow.cpp
   M /trunk/modules/gui/beos/PlayListWindow.h
   M /trunk/modules/gui/beos/TransportButton.cpp
   M /trunk/modules/gui/beos/TransportButton.h

Strings review

Do "50%","100%", ... need translation ?

They are currently translated, I did not touch this

------------------------------------------------------------------------
r6551 | titer | 2004-01-26 17:54:56 +0100 (Mon, 26 Jan 2004) | 4 lines
Changed paths:
   M /trunk/configure.ac
   M /trunk/modules/video_chroma/Modules.am
   M /trunk/modules/video_chroma/i420_yuy2.c

 + All: added Altivec-optimized i420 to yuy2 conversion. It isn't used
   yet as Quicktime handles i420 pictures, but it will be when I've
   cleaned the OpenGL output I'm working on (to be commited soon).

------------------------------------------------------------------------
r6552 | jlj | 2004-01-26 18:15:40 +0100 (Mon, 26 Jan 2004) | 2 lines
Changed paths:
   M /trunk/modules/demux/mp4/drms.c

  * drms: bugfixes in sci handling, GetiPodID darwin support.

------------------------------------------------------------------------
r6553 | gbazin | 2004-01-26 19:24:17 +0100 (Mon, 26 Jan 2004) | 3 lines
Changed paths:
   M /trunk/modules/access/dshow/filter.cpp
   M /trunk/modules/access/dshow/filter.h


* modules/access/dshow/*: implemented a few more things.

------------------------------------------------------------------------
r6554 | gbazin | 2004-01-26 19:30:01 +0100 (Mon, 26 Jan 2004) | 3 lines
Changed paths:
   M /trunk/modules/mux/mp4.c


* modules/mux/mp4.c: fixed recent screw-up in movie duration.

------------------------------------------------------------------------
r6555 | titer | 2004-01-26 19:30:37 +0100 (Mon, 26 Jan 2004) | 8 lines
Changed paths:
   M /trunk/configure.ac
   M /trunk/modules/gui/macosx/macosx.m
   M /trunk/modules/gui/macosx/vout.h
   M /trunk/modules/gui/macosx/vout.m

 All: attempt for an OpenGL video output for OS X. Enable --macosx-opengl
 to give it a try (QT is the default method).
  + Known issues: no fullscreen yet, memory leaks, ugly code, ...
  + Known goodies: it's a few % faster than QT here (playing a DVD). If
      experienced OpenGL and Altivec programmers could have a look and
      give some advice, I guess the performance increase might become
      noticeable.

------------------------------------------------------------------------
r6556 | gbazin | 2004-01-26 19:45:45 +0100 (Mon, 26 Jan 2004) | 3 lines
Changed paths:
   M /trunk/modules/visualization/visual/visual.c


modules/visualization/visual/visual.c: strings review.

------------------------------------------------------------------------
r6557 | gbazin | 2004-01-26 19:57:18 +0100 (Mon, 26 Jan 2004) | 3 lines
Changed paths:
   M /trunk/modules/codec/ffmpeg/ffmpeg.c


* modules/codec/ffmpeg/ffmpeg.c: proper fix for disabling aac decoding while keeping encoding.

------------------------------------------------------------------------
r6558 | gbazin | 2004-01-26 20:20:10 +0100 (Mon, 26 Jan 2004) | 3 lines
Changed paths:
   M /trunk/src/input/subtitles.c


* src/input/subtitles.c: more sanity checks.

------------------------------------------------------------------------
r6559 | titer | 2004-01-26 20:51:33 +0100 (Mon, 26 Jan 2004) | 2 lines
Changed paths:
   M /trunk/configure.ac

 Compile fix (mp4 now needs -framework IOKit -framework CoreFoundation).

------------------------------------------------------------------------
r6560 | titer | 2004-01-26 21:00:33 +0100 (Mon, 26 Jan 2004) | 2 lines
Changed paths:
   M /trunk/modules/gui/macosx/vout.m

 gui/macosx/vout.m: fixed a mistake (fixes the main memory leak btw)

------------------------------------------------------------------------
r6561 | gbazin | 2004-01-26 21:02:15 +0100 (Mon, 26 Jan 2004) | 3 lines
Changed paths:
   M /trunk/modules/demux/util/sub.c
   M /trunk/modules/demux/util/sub.h
   M /trunk/src/input/input.c


* modules/demux/util/*: a bit of cleanup.

------------------------------------------------------------------------
r6562 | gbazin | 2004-01-26 21:26:54 +0100 (Mon, 26 Jan 2004) | 3 lines
Changed paths:
   M /trunk/modules/demux/util/sub.c
   M /trunk/modules/demux/util/sub.h
   M /trunk/src/input/input.c
   M /trunk/src/input/subtitles.c


* src/input/*, modules/demux/util/sub.[ch]: cleanup and fixed memory leaks.

------------------------------------------------------------------------
r6563 | fenrir | 2004-01-26 21:48:10 +0100 (Mon, 26 Jan 2004) | 3 lines
Changed paths:
   M /trunk/include/input_ext-intf.h
   M /trunk/include/input_ext-plugins.h
   M /trunk/include/ninput.h
   M /trunk/include/vlc_common.h
   M /trunk/src/input/input.c
   M /trunk/src/input/stream.c

 * all: make stream_t using function pointers (needed to have multiple
 implementations, not yet used).

------------------------------------------------------------------------
r6564 | fenrir | 2004-01-26 21:48:51 +0100 (Mon, 26 Jan 2004) | 2 lines
Changed paths:
   M /trunk/modules/demux/playlist/playlist.c

 * playlist: compilation fix.

------------------------------------------------------------------------
r6565 | hartman | 2004-01-26 22:37:58 +0100 (Mon, 26 Jan 2004) | 2 lines
Changed paths:
   M /trunk/src/audio_output/output.c
   M /trunk/src/input/input_programs.c

* String review

------------------------------------------------------------------------
r6566 | gbazin | 2004-01-26 23:10:20 +0100 (Mon, 26 Jan 2004) | 4 lines
Changed paths:
   M /trunk/modules/gui/wxwindows/dialogs.cpp
   M /trunk/modules/gui/wxwindows/open.cpp
   M /trunk/modules/gui/wxwindows/wxwindows.h


* modules/gui/wxwindows/*: adapted to the new playlist api.
   "Add MRL" in the playlist dialog now only appends the new item to the playlist.

------------------------------------------------------------------------
r6567 | hartman | 2004-01-26 23:32:51 +0100 (Mon, 26 Jan 2004) | 2 lines
Changed paths:
   M /trunk/modules/demux/util/sub.c
   M /trunk/modules/demux/util/sub.h

* Remove crud

------------------------------------------------------------------------
r6568 | hartman | 2004-01-26 23:42:50 +0100 (Mon, 26 Jan 2004) | 2 lines
Changed paths:
   M /trunk/modules/demux/util/sub.h
   M /trunk/src/input/input.c

* Remove crud

------------------------------------------------------------------------
r6569 | fenrir | 2004-01-27 00:07:16 +0100 (Tue, 27 Jan 2004) | 3 lines
Changed paths:
   M /trunk/include/input_ext-intf.h
   M /trunk/src/input/input.c
   M /trunk/src/playlist/playlist.c

 * all: input_CreateThread doesn't take a playlist_item_t anymore.
        export input_CreateThread/input_StopThread/input_DestroyThread.

------------------------------------------------------------------------
r6570 | fenrir | 2004-01-27 00:30:18 +0100 (Tue, 27 Jan 2004) | 2 lines
Changed paths:
   M /trunk/src/playlist/playlist.c

 * playlist: fix for input options.

------------------------------------------------------------------------
r6571 | hartman | 2004-01-27 00:37:05 +0100 (Tue, 27 Jan 2004) | 2 lines
Changed paths:
   M /trunk/src/input/input.c

* Fix autodetection bug with file:///

------------------------------------------------------------------------
r6572 | rocky | 2004-01-27 02:57:29 +0100 (Tue, 27 Jan 2004) | 2 lines
Changed paths:
   M /trunk/configure.ac

Link with -lm when needed - 2nd try.

------------------------------------------------------------------------
r6573 | titer | 2004-01-27 04:22:03 +0100 (Tue, 27 Jan 2004) | 2 lines
Changed paths:
   M /trunk/modules/video_chroma/i420_yuy2.c

 i420_yuy2.c: made the altivec optim a bit nicer (probably a bit faster, too)

------------------------------------------------------------------------
r6574 | rocky | 2004-01-27 04:45:17 +0100 (Tue, 27 Jan 2004) | 3 lines
Changed paths:
   M /trunk/modules/codec/ogt/render.c

First of the bigendian fixes. Bug in YUY had U and V values in blending
swapped.

------------------------------------------------------------------------
r6575 | hartman | 2004-01-27 08:05:10 +0100 (Tue, 27 Jan 2004) | 7 lines
Changed paths:
   M /trunk/modules/demux/util/sub.c
   M /trunk/modules/demux/util/sub.h

* VobSub demuxing. Almost working i think, but the ps parsing isn't going to well yet.
  fen, anymore tips? :)
  There seems to be some trouble with bufferoverflows atm and
  spudec doesn't like the data it is being fed:

  [00000199] spudec decoder debug: i_spu_size=8201 i_rle=29701

------------------------------------------------------------------------
r6576 | gbazin | 2004-01-27 12:57:05 +0100 (Tue, 27 Jan 2004) | 3 lines
Changed paths:
   M /trunk/modules/demux/util/sub.c
   M /trunk/modules/demux/util/sub.h


* modules/demux/util/*: fixed segfault with new vobsub code.

------------------------------------------------------------------------
r6577 | titer | 2004-01-27 13:11:48 +0100 (Tue, 27 Jan 2004) | 2 lines
Changed paths:
   M /trunk/modules/gui/macosx/vout.m

 macosx/vout.m: fixed OpenGL aspect ratio

------------------------------------------------------------------------
r6578 | fenrir | 2004-01-27 13:22:41 +0100 (Tue, 27 Jan 2004) | 3 lines
Changed paths:
   M /trunk/modules/demux/util/sub.c

 * sub.c : fixed parsing, but doesn't work yet (buffer overflow while
 reading packet).

------------------------------------------------------------------------
r6579 | fenrir | 2004-01-27 13:46:46 +0100 (Tue, 27 Jan 2004) | 2 lines
Changed paths:
   M /trunk/modules/demux/util/sub.c

 * sub: clean/fix. it begins to work.

------------------------------------------------------------------------
r6580 | fenrir | 2004-01-27 14:10:29 +0100 (Tue, 27 Jan 2004) | 2 lines
Changed paths:
   M /trunk/modules/demux/util/sub.c
   M /trunk/modules/demux/util/sub.h

 * sub: removed unused variable.

------------------------------------------------------------------------
r6581 | gbazin | 2004-01-27 15:05:33 +0100 (Tue, 27 Jan 2004) | 4 lines
Changed paths:
   M /trunk/modules/packetizer/mpegvideo.c
   M /trunk/src/stream_output/stream_output.c


* modules/packetizer/mpegvideo.c: fixed major bug where the first frame could be sent out with a null dts.
* src/stream_output/stream_output.c: guard against non-dated packets in sout_InputSendBuffer().

------------------------------------------------------------------------
r6582 | gbazin | 2004-01-27 18:01:51 +0100 (Tue, 27 Jan 2004) | 5 lines
Changed paths:
   M /trunk/modules/gui/skins2/win32/win32_factory.cpp
   M /trunk/modules/gui/skins2/win32/win32_factory.hpp
   M /trunk/modules/gui/skins2/win32/win32_graphics.cpp

* modules/gui/skins2/win32/*: dynamically load AlphaBlend() as it isn't available on Win9x,NT4.
   Parent window created outside the screen so it isn't visible.

Could somebody (AsMaX, ipkiss) have a look at the AlphaBlend() function call in win32_graphics.cpp ? I'd like to use the AlphaBlend() we got from win32_factory.cpp.

------------------------------------------------------------------------
r6583 | gbazin | 2004-01-27 20:14:07 +0100 (Tue, 27 Jan 2004) | 3 lines
Changed paths:
   M /trunk/modules/codec/dts.c


* modules/codec/dts.c: bug-fix for s/pdif support.

------------------------------------------------------------------------
r6584 | gbazin | 2004-01-27 22:12:42 +0100 (Tue, 27 Jan 2004) | 4 lines
Changed paths:
   M /trunk/configure.ac
   M /trunk/modules/gui/skins2/win32/win32_graphics.cpp


* configure.ac: don't link with msimg32 directly has it isn't available on Win9x/NT4.
* modules/gui/skins2/win32/win32_graphics.cpp: use AlphaBlend() from the Win32Factory object.

------------------------------------------------------------------------
r6585 | bigben | 2004-01-27 23:19:04 +0100 (Tue, 27 Jan 2004) | 2 lines
Changed paths:
   M /trunk/modules/gui/macosx/open.m

Fixes a little bug introduced by string review on localized VLC

------------------------------------------------------------------------
r6586 | hartman | 2004-01-27 23:51:39 +0100 (Tue, 27 Jan 2004) | 6 lines
Changed paths:
   M /trunk/modules/codec/spudec/parse.c
   M /trunk/modules/codec/spudec/spudec.c
   M /trunk/modules/demux/util/sub.c

* modules/demux/util/sub.?
  Vobsub is working now. only track 0 will be played atm.
  spudec scaling will need to be implemented or vobsub is pretty useless.
* modules/codec/spudec
  Changed an error into a warning message.

------------------------------------------------------------------------
r6587 | hartman | 2004-01-28 00:09:25 +0100 (Wed, 28 Jan 2004) | 2 lines
Changed paths:
   M /trunk/modules/demux/util/sub.c

* Thou shall initialize thou subtitles.

------------------------------------------------------------------------
r6588 | fenrir | 2004-01-28 13:25:37 +0100 (Wed, 28 Jan 2004) | 2 lines
Changed paths:
   M /trunk/modules/demux/Modules.am
   A /trunk/modules/demux/aiff.c

 * aiff: another demuxer.

------------------------------------------------------------------------
r6589 | titer | 2004-01-28 15:36:53 +0100 (Wed, 28 Jan 2004) | 3 lines
Changed paths:
   M /trunk/modules/gui/macosx/vout.m

 macosx/vout.m: swap OpenGL buffers only during the vertical retrace of
   the monitor (fixed flickering effect)

------------------------------------------------------------------------
r6590 | bigben | 2004-01-28 16:25:53 +0100 (Wed, 28 Jan 2004) | 4 lines
Changed paths:
   M /trunk/configure.ac

Do not enable skins2 on macosx and beos.

Hope I haven't broken anything...

------------------------------------------------------------------------
r6591 | gbazin | 2004-01-28 16:51:16 +0100 (Wed, 28 Jan 2004) | 2 lines
Changed paths:
   M /trunk/modules/gui/skins2/win32/win32_graphics.cpp

* modules/gui/skins2/win32/win32_graphics.cpp: small fix.

------------------------------------------------------------------------
r6592 | gbazin | 2004-01-28 17:46:52 +0100 (Wed, 28 Jan 2004) | 2 lines
Changed paths:
   M /trunk/modules/access/dshow/dshow.cpp
   M /trunk/modules/access/dshow/filter.cpp

* modules/access/dshow/*: bug fixes.

------------------------------------------------------------------------
r6593 | gbazin | 2004-01-28 21:53:21 +0100 (Wed, 28 Jan 2004) | 3 lines
Changed paths:
   M /trunk/configure.ac


* configure.ac: proper checks for all the skins2 dependancies.

------------------------------------------------------------------------
r6594 | titer | 2004-01-28 22:31:15 +0100 (Wed, 28 Jan 2004) | 2 lines
Changed paths:
   M /trunk/modules/gui/macosx/vout.h
   M /trunk/modules/gui/macosx/vout.m

 + macosx/vout* : cosmetic

------------------------------------------------------------------------
r6595 | titer | 2004-01-29 03:01:49 +0100 (Thu, 29 Jan 2004) | 4 lines
Changed paths:
   M /trunk/modules/gui/macosx/vout.h
   M /trunk/modules/gui/macosx/vout.m

 macosx/vout* :
   + Unkludged a lot the way the OpenGL output was working until now
   + Optimized here and here. Please test!

------------------------------------------------------------------------
r6596 | rocky | 2004-01-29 05:04:21 +0100 (Thu, 29 Jan 2004) | 2 lines
Changed paths:
   M /trunk/modules/codec/ogt/render.c

Transparancy for more chromas more complete.

------------------------------------------------------------------------
r6597 | rocky | 2004-01-29 12:50:22 +0100 (Thu, 29 Jan 2004) | 4 lines
Changed paths:
   M /trunk/modules/codec/ogt/common.c
   M /trunk/modules/codec/ogt/pixmap.h
   M /trunk/modules/codec/ogt/render.c
   M /trunk/modules/codec/ogt/subtitle.h

render.c: RV24 blending
all: more code cleanup and perhaps slightly better bigendian handling though
     more common routines/includes.

------------------------------------------------------------------------
r6598 | sigmunau | 2004-01-29 15:39:08 +0100 (Thu, 29 Jan 2004) | 5 lines
Changed paths:
   M /trunk/include/vlc_common.h
   M /trunk/src/libvlc.c
   M /trunk/src/libvlc.h

include/vlc_common.h:
 * defined a CPU_CAPABILITY_SSE2
src/libvlc.(c|h):
 * implemented --see2/--no-sse2

------------------------------------------------------------------------
r6599 | fenrir | 2004-01-29 16:10:17 +0100 (Thu, 29 Jan 2004) | 2 lines
Changed paths:
   M /trunk/src/input/input_programs.c

 * input_programs.c: AddES sets default i_stream_id (make valgrind happy ;)

------------------------------------------------------------------------
r6600 | fenrir | 2004-01-29 16:11:17 +0100 (Thu, 29 Jan 2004) | 2 lines
Changed paths:
   M /trunk/modules/demux/au.c
   M /trunk/modules/demux/demux2.c

 * au: ported to demux2 API.

------------------------------------------------------------------------
r6601 | gbazin | 2004-01-29 18:04:01 +0100 (Thu, 29 Jan 2004) | 4 lines
Changed paths:
   M /trunk/include/configuration.h
   M /trunk/modules/access/dshow/dshow.cpp
   M /trunk/modules/gui/wxwindows/preferences_widgets.cpp
   M /trunk/modules/gui/wxwindows/preferences_widgets.h
   M /trunk/src/misc/configuration.c

* src/misc/configuration.c, include/configuration.h: added a change_action_add()method to associate an action (that can be triggered through a gui) to a config var.
* modules/gui/wxwindows/preferences_widgets.*: implemented partial support for change_action_add().
* modules/access/dshow/dshow.cpp: use change_action_add() to refresh the list of devices and to add an option to configure a device.

------------------------------------------------------------------------
r6602 | fenrir | 2004-01-29 18:14:04 +0100 (Thu, 29 Jan 2004) | 3 lines
Changed paths:
   M /trunk/modules/demux/demux2.c

 * demux2: mmh removed some shortcut. (easier than increasing
 MODULE_SHORTCUT_MAX ;)

------------------------------------------------------------------------
r6603 | zorglub | 2004-01-29 18:51:08 +0100 (Thu, 29 Jan 2004) | 28 lines
Changed paths:
   M /trunk/include/vlc_playlist.h
   M /trunk/modules/access/cdda/access.c
   M /trunk/modules/access/vcdx/access.c
   M /trunk/modules/codec/speex.c
   M /trunk/modules/codec/theora.c
   M /trunk/modules/codec/vorbis.c
   M /trunk/modules/control/http.c
   M /trunk/modules/demux/util/id3tag.c
   M /trunk/modules/gui/pda/pda_callbacks.c
   M /trunk/modules/gui/wxwindows/iteminfo.cpp
   M /trunk/modules/gui/wxwindows/open.cpp
   M /trunk/modules/gui/wxwindows/playlist.cpp
   M /trunk/modules/gui/wxwindows/streamwizard.cpp
   M /trunk/modules/misc/sap.c
   M /trunk/src/input/input.c
   M /trunk/src/libvlc.c
   M /trunk/src/misc/win32_specific.c
   M /trunk/src/playlist/info.c
   M /trunk/src/playlist/item-ext.c
   M /trunk/src/playlist/item.c
   M /trunk/src/playlist/loadsave.c
   M /trunk/src/playlist/playlist.c

Options as infos were bad in several ways: it broke PLAYLIST_GO, used
much memory, and was inconsistent, especially with input_CreateThread
taking an array of options

* Revert to using array of options

* To add an item with options:
    - either use playlist_ItemNew, ItemAddOption, and then AddItem
      (useful if you don't have all your options in an array)
    - either use playlist_AddExt (use this if all your options are
      already in an array)

* To add an item without options: use playlist_Add

You can still add options after an item has been added by using either
playlist_AddOption or playlist_ItemAddOption

* Attempt to improve API and solve thread safety issues.
  - playlist_Item* functions allow to touch items only.
    p_item->lock must be used when needed
    (playlist_ItemNew, playlist_ItemDelete, playlist_Item*Info,
     playlist_ItemSet* )

  - playlist_ItemGetById and ItemGetByPos give you playlist_items
    for GetByPos, you should have the playlist lock

At the moment, the playlist_Set* and playlist_*Info functions are kept (they work with position) but should be avoided.

------------------------------------------------------------------------
r6604 | zorglub | 2004-01-29 19:02:58 +0100 (Thu, 29 Jan 2004) | 2 lines
Changed paths:
   M /trunk/modules/demux/asf/asf.c

Use playlist_Item* functions

------------------------------------------------------------------------
r6605 | fenrir | 2004-01-29 19:37:05 +0100 (Thu, 29 Jan 2004) | 2 lines
Changed paths:
   M /trunk/modules/demux/ps.h

 * ps: fixed dts.

------------------------------------------------------------------------
r6606 | gbazin | 2004-01-29 19:48:40 +0100 (Thu, 29 Jan 2004) | 3 lines
Changed paths:
   M /trunk/configure.ac


* configure.ac: fixed typo.

------------------------------------------------------------------------
r6607 | gbazin | 2004-01-29 20:38:17 +0100 (Thu, 29 Jan 2004) | 3 lines
Changed paths:
   M /trunk/modules/codec/speex.c
   M /trunk/src/misc/win32_specific.c


* modules/codec/speex.c, src/misc/win32_specific.c: compilation fixes.

------------------------------------------------------------------------
r6608 | fenrir | 2004-01-30 02:09:24 +0100 (Fri, 30 Jan 2004) | 2 lines
Changed paths:
   M /trunk/modules/demux/ps.h

 * ps: lalalala, fixed a bug in dts/pts parsing.

------------------------------------------------------------------------
r6609 | fenrir | 2004-01-30 02:38:53 +0100 (Fri, 30 Jan 2004) | 7 lines
Changed paths:
   M /trunk/modules/demux/demux2.c
   M /trunk/modules/demux/dvdnav.c

 * dvdnav: added a dvdnavsimple shortcut : it skips the menu and all
 still frames, it doesn't handle the es selection (this way --sout-all
 will work).
  A major problem is that ES aren't added in a logical way like dvd and
dvdread do (audio/video). I don't know how to retrieve it from dvdnav.
(it's the same for dvdnav and dvdnavsimple)

------------------------------------------------------------------------
r6610 | hartman | 2004-01-30 13:44:21 +0100 (Fri, 30 Jan 2004) | 6 lines
Changed paths:
   M /trunk/modules/gui/macosx/intf.m
   M /trunk/modules/gui/macosx/prefs.h
   M /trunk/modules/gui/macosx/prefs.m

* modules/gui/macosx/intf.m: fix
* modules/gui/macosx/prefs.?: New preferences parse code.
  New widgets aren't being created just yet.
  OS X version is broken now, but it already was. we need to fix this before
  a release. Code is largely ported from wxwindows...

------------------------------------------------------------------------
r6611 | rocky | 2004-01-30 14:17:12 +0100 (Fri, 30 Jan 2004) | 10 lines
Changed paths:
   M /trunk/modules/codec/ogt/Modules.am
   M /trunk/modules/codec/ogt/common.c
   A /trunk/modules/codec/ogt/pixmap.c
   M /trunk/modules/codec/ogt/pixmap.h
   M /trunk/modules/codec/ogt/subtitle.h

pixmap.[ch], Modules.am: provisional routine to find closest colormap
entry.

Rest: Mostly more shuffling of definitions for modularity; doc
improvements.

(Also I need to copy these changes between computers and this is the
most expedient way. RV24 transparancy has been tested on a big-endian
box.)

------------------------------------------------------------------------
r6612 | rocky | 2004-01-30 14:23:08 +0100 (Fri, 30 Jan 2004) | 2 lines
Changed paths:
   M /trunk/modules/codec/ogt/pixmap.c

Doc calculation typo.

------------------------------------------------------------------------
r6613 | fenrir | 2004-01-30 15:25:39 +0100 (Fri, 30 Jan 2004) | 3 lines
Changed paths:
   M /trunk/src/input/es_out.c

 * es_out: now es_format_t.psz_language could be a iso539 code, it will be
 expanded to the real language name.

------------------------------------------------------------------------
r6614 | fenrir | 2004-01-30 15:27:48 +0100 (Fri, 30 Jan 2004) | 4 lines
Changed paths:
   M /trunk/modules/demux/dvdnav.c
   M /trunk/modules/demux/mkv.cpp
   M /trunk/modules/demux/mp4/mp4.c

 * all: fill psz_language with the iso639 code.
 * dvdnav: select the right SPU track only while creating the ES when we
 are not in the menu. (this way user selection won't be lost).

------------------------------------------------------------------------
r6615 | fenrir | 2004-01-30 15:45:27 +0100 (Fri, 30 Jan 2004) | 2 lines
Changed paths:
   M /trunk/modules/demux/dvdnav.c

 * dvdnav: oups one debug messsage left.

------------------------------------------------------------------------
r6616 | fenrir | 2004-01-30 16:17:39 +0100 (Fri, 30 Jan 2004) | 2 lines
Changed paths:
   M /trunk/include/vlc_es.h

 * vlc_es: fixed es_fomat_Copy to duplicate psz_* too.

------------------------------------------------------------------------
r6617 | fenrir | 2004-01-30 16:56:28 +0100 (Fri, 30 Jan 2004) | 2 lines
Changed paths:
   M /trunk/modules/stream_out/rtp.c

 * rtp: fixed a bug that corrupt video/audio config data.

------------------------------------------------------------------------
r6618 | fenrir | 2004-01-30 17:46:33 +0100 (Fri, 30 Jan 2004) | 2 lines
Changed paths:
   M /trunk/modules/codec/spudec/spudec.c

 * spudec: commented out a debug message.

------------------------------------------------------------------------
r6619 | fenrir | 2004-01-30 17:45:40 +0100 (Fri, 30 Jan 2004) | 2 lines
Changed paths:
   M /trunk/modules/stream_out/rtp.c

 * rtp: fixed mpeg4 audio. && was used instead of &, arggg :(

------------------------------------------------------------------------
r6620 | fenrir | 2004-01-30 17:50:26 +0100 (Fri, 30 Jan 2004) | 2 lines
Changed paths:
   M /trunk/modules/codec/spudec/spudec.c

 * spudec: a %d -> IF64d

------------------------------------------------------------------------
r6621 | fenrir | 2004-01-30 18:49:21 +0100 (Fri, 30 Jan 2004) | 2 lines
Changed paths:
   M /trunk/src/input/es_out.c
   M /trunk/src/input/input_dec.c

 * all: sout have now access to psz_language.

------------------------------------------------------------------------
r6622 | fenrir | 2004-01-30 18:50:05 +0100 (Fri, 30 Jan 2004) | 2 lines
Changed paths:
   M /trunk/modules/demux/ts.c

 * ts: set psz_laguage with iso639 code.

------------------------------------------------------------------------
r6623 | fenrir | 2004-01-30 18:51:02 +0100 (Fri, 30 Jan 2004) | 2 lines
Changed paths:
   M /trunk/modules/stream_out/transcode.c

 * transcode: keep psz_language.

------------------------------------------------------------------------
r6624 | fenrir | 2004-01-30 18:53:05 +0100 (Fri, 30 Jan 2004) | 3 lines
Changed paths:
   M /trunk/modules/mux/mpeg/ts.c

 * ts: use 0x0a descriptor to send language...
 Now we can stream a (complete) dvd with language informations :)

------------------------------------------------------------------------
r6625 | fenrir | 2004-01-31 06:24:55 +0100 (Sat, 31 Jan 2004) | 5 lines
Changed paths:
   M /trunk/include/ninput.h
   A /trunk/include/vlc_meta.h

 * vlc_meta.h: added a vlc_meta_t struct and some functions (for now,
 it will only be used by demuxers).
 * ninput.h: added DEMUX_GET_META, this way demuxer won't have to touch
 playlist and input_InfoAdd and ...

------------------------------------------------------------------------
r6626 | fenrir | 2004-01-31 06:25:36 +0100 (Sat, 31 Jan 2004) | 2 lines
Changed paths:
   M /trunk/src/input/demux.c
   M /trunk/src/input/input.c

 * input: call DEMUX_GET_META and fill playlist and input infos.

------------------------------------------------------------------------
r6627 | fenrir | 2004-01-31 06:27:02 +0100 (Sat, 31 Jan 2004) | 2 lines
Changed paths:
   M /trunk/modules/demux/asf/asf.c

 * asf: implemented DEMUX_GET_LENGTH and DEMUX_GET_META.

------------------------------------------------------------------------
r6628 | rocky | 2004-01-31 06:53:35 +0100 (Sat, 31 Jan 2004) | 13 lines
Changed paths:
   M /trunk/modules/codec/ogt/Modules.am
   M /trunk/modules/codec/ogt/common.c
   M /trunk/modules/codec/ogt/pixmap.c
   M /trunk/modules/codec/ogt/pixmap.h
   M /trunk/modules/codec/ogt/render.c
   M /trunk/modules/video_chroma/i420_rgb.c
   M /trunk/modules/video_chroma/i420_rgb.h

render.c: RGB2 now gets the right color from the RGB color map.
  And a first cut at handling transparancy values properly. However
  to do this we merely needed to

pixmap.[ch]: write our own routines for retrieving a close colormap index
  given a pixel value. Well, and also had to

video_chroma/i420_rgb.[ch]: save the RGB colormap that is allocated.

Modules.am: forgot new pixmap.c

others: more misc abstraction/cleanup

------------------------------------------------------------------------
r6629 | gbazin | 2004-01-31 10:52:22 +0100 (Sat, 31 Jan 2004) | 3 lines
Changed paths:
   M /trunk/Makefile.am


* Makefile.am: added vlc_meta.h

------------------------------------------------------------------------
r6630 | fenrir | 2004-01-31 15:49:52 +0100 (Sat, 31 Jan 2004) | 2 lines
Changed paths:
   M /trunk/modules/demux/avi/avi.c
   M /trunk/modules/demux/avi/avi.h

 * avi: implemented DEMUX_GET_META.

------------------------------------------------------------------------
r6631 | rocky | 2004-01-31 17:44:58 +0100 (Sat, 31 Jan 2004) | 2 lines
Changed paths:
   M /trunk/configure.ac

Try for POSIX pthread semantics on Solaris.

------------------------------------------------------------------------
r6632 | alexis | 2004-01-31 19:02:32 +0100 (Sat, 31 Jan 2004) | 8 lines
Changed paths:
   M /trunk/NEWS
   M /trunk/modules/access/udp.c
   M /trunk/modules/misc/network/ipv4.c
   M /trunk/src/libvlc.h

 * ipv4.c: IGMPv3 support (IP_ADD_SOURCE_MEMBERSHIP) for Win32
 * udp.c: restored the old syntax udp:server_addr@destination_addr
 * libvlc.h: updated 'vlc --help'

 To do an IGMPv3 query under Windows XP do:
 vlc udp:<source_addr>@<multicast_addr>
 Note: under previous versions of Windows, it will fail to join the group.

------------------------------------------------------------------------
r6633 | fenrir | 2004-01-31 21:02:26 +0100 (Sat, 31 Jan 2004) | 2 lines
Changed paths:
   M /trunk/src/input/es_out.c

 * es_out: Set Language.

------------------------------------------------------------------------
r6634 | fenrir | 2004-01-31 21:21:47 +0100 (Sat, 31 Jan 2004) | 2 lines
Changed paths:
   M /trunk/src/input/es_out.c

 * es_out: reorder meta infos.

------------------------------------------------------------------------
r6635 | rocky | 2004-02-01 00:33:02 +0100 (Sun, 01 Feb 2004) | 2 lines
Changed paths:
   M /trunk/modules/codec/ogt/pixmap.h

Big/little-endian bug.

------------------------------------------------------------------------
r6636 | fenrir | 2004-02-01 05:50:13 +0100 (Sun, 01 Feb 2004) | 2 lines
Changed paths:
   M /trunk/modules/demux/ts.c

 * ts: implemented the same detection than mpeg/ts.c

------------------------------------------------------------------------
r6637 | rocky | 2004-02-01 06:15:22 +0100 (Sun, 01 Feb 2004) | 3 lines
Changed paths:
   M /trunk/modules/codec/ogt/render.c

RGB2 transparency now works. Common 8-bit RGB averaging routine
hoisted. Some doc additions.

------------------------------------------------------------------------
r6638 | alexis | 2004-02-01 15:43:08 +0100 (Sun, 01 Feb 2004) | 8 lines
Changed paths:
   M /trunk/modules/misc/network/ipv4.c

  * ipv4.c: IGMPv3 support for Linux

  Differences with the patch I posted in vlc-devel yesterday:
  - took into account the suggestions of gibalou
  - removed the "#if !defined( SYS_DARWIN )", because it should compile
    fine on Mac OS X, even if IGMPv3 won't work
  - added a warning about non-IGMPv3 OSes

------------------------------------------------------------------------
r6639 | asmax | 2004-02-01 15:44:11 +0100 (Sun, 01 Feb 2004) | 5 lines
Changed paths:
   M /trunk/modules/gui/skins2/commands/cmd_dialogs.hpp
   M /trunk/modules/gui/skins2/controls/ctrl_image.cpp
   M /trunk/modules/gui/skins2/parser/interpreter.cpp
   M /trunk/modules/gui/skins2/parser/xmlparser.cpp
   M /trunk/modules/gui/skins2/theme/theme.xml

* parser/xmlparser.cpp: abort parsing when an error is detected
 (avoid segfaults in element handlers...)
* all: tried to have the popup window disappear with a click on
 a skin window (not working at least with wxgtk)

------------------------------------------------------------------------
r6640 | asmax | 2004-02-01 17:15:40 +0100 (Sun, 01 Feb 2004) | 3 lines
Changed paths:
   M /trunk/modules/gui/skins2/parser/builder.cpp
   A /trunk/modules/gui/skins2/parser/builder_data.def
   M /trunk/modules/gui/skins2/src/theme.hpp
   M /trunk/modules/gui/skins2/utils/bezier.hpp

* parser/builder.cpp: stores the curves in the theme (avoid a memory leak)
* parser/builder_data.def: forgot to commit that for months !

------------------------------------------------------------------------
r6641 | sigmunau | 2004-02-01 17:53:11 +0100 (Sun, 01 Feb 2004) | 3 lines
Changed paths:
   M /trunk/modules/video_filter/deinterlace/deinterlace.c

deinterlace.c:
 * MMX and SSE2 versions of the Merge() function.

------------------------------------------------------------------------
r6642 | ipkiss | 2004-02-01 22:13:04 +0100 (Sun, 01 Feb 2004) | 3 lines
Changed paths:
   M /trunk/modules/gui/skins2/controls/ctrl_slider.cpp
   M /trunk/modules/gui/skins2/utils/bezier.cpp
   M /trunk/modules/gui/skins2/utils/bezier.hpp

 * modules/gui/skins2/bezier.*: Compute the points coordinates only once
 * modules/gui/skins2/ctrl_slider.cpp: Fixed a couple of bugs

------------------------------------------------------------------------
r6643 | sigmunau | 2004-02-02 00:02:02 +0100 (Mon, 02 Feb 2004) | 3 lines
Changed paths:
   M /trunk/src/misc/cpu.c

src/misc/cpu.c:
 * SSE2 detection, using a similar approch as for SSE

------------------------------------------------------------------------
r6644 | titer | 2004-02-02 09:50:41 +0100 (Mon, 02 Feb 2004) | 4 lines
Changed paths:
   M /trunk/modules/gui/macosx/prefs.m
   M /trunk/modules/gui/macosx/vout.h
   M /trunk/modules/gui/macosx/vout.m

 macosx/prefs.m: compile fix
 macosx/vout*: fixed quality problems introduced in my last commit
   (noticeably slower now, but fixed), cleaning

------------------------------------------------------------------------
r6645 | fenrir | 2004-02-02 11:34:22 +0100 (Mon, 02 Feb 2004) | 3 lines
Changed paths:
   M /trunk/modules/demux/nsv.c

 * nsv: full fractional frame rate support.
    Patch from Vitalijus dot Slavinskas at stud dot ktu dot lt

------------------------------------------------------------------------
r6646 | fenrir | 2004-02-02 11:41:46 +0100 (Mon, 02 Feb 2004) | 2 lines
Changed paths:
   M /trunk/modules/demux/nsv.c

 * nsv: compilation fix.

------------------------------------------------------------------------
r6647 | fenrir | 2004-02-02 12:14:32 +0100 (Mon, 02 Feb 2004) | 2 lines
Changed paths:
   M /trunk/modules/access/http.c

 http: fixed segfault with ICY server, fixed redirection.

------------------------------------------------------------------------
r6648 | fenrir | 2004-02-02 12:18:39 +0100 (Mon, 02 Feb 2004) | 2 lines
Changed paths:
   M /trunk/modules/demux/nsv.c

 * nsv: added 'AAC ' fourcc support.

------------------------------------------------------------------------
r6649 | fenrir | 2004-02-02 13:50:08 +0100 (Mon, 02 Feb 2004) | 2 lines
Changed paths:
   M /trunk/modules/stream_out/rtp.c

 * rtp: fix in mpeg 1/2 packetization.

------------------------------------------------------------------------
r6650 | fenrir | 2004-02-02 13:53:20 +0100 (Mon, 02 Feb 2004) | 2 lines
Changed paths:
   M /trunk/modules/codec/ogt/render.c

 * render: int i;; int j; <-- gcc < 3 doesn't like ';;'

------------------------------------------------------------------------
r6651 | fenrir | 2004-02-02 13:58:29 +0100 (Mon, 02 Feb 2004) | 2 lines
Changed paths:
   M /trunk/src/input/input.c

 * input: gcc < 3 fix.

------------------------------------------------------------------------
r6652 | fenrir | 2004-02-02 14:00:53 +0100 (Mon, 02 Feb 2004) | 2 lines
Changed paths:
   M /trunk/src/input/stream.c

 * stream: gcc < 3 fix.

------------------------------------------------------------------------
r6653 | fenrir | 2004-02-02 15:43:50 +0100 (Mon, 02 Feb 2004) | 5 lines
Changed paths:
   M /trunk/modules/stream_out/rtp.c

 * rtp: fixed mpeg1/2 with QT (QT want pts for each frame, use dts as a
 fallback).
 RTP successfully tested with QT 6.5 for mpeg 1/2 video and audio,
 mpeg4 audio. mpeg4 video doesn't always work.

------------------------------------------------------------------------
r6654 | gbazin | 2004-02-03 00:49:46 +0100 (Tue, 03 Feb 2004) | 5 lines
Changed paths:
   M /trunk/modules/audio_filter/converter/dtstospdif.c
   M /trunk/modules/codec/dts.c


* modules/codec/dts.c: removed s/pdif hack from DTS audio parser.
   support for 14bits big endian bitstreams as well as 16bits little endian bitstreams.
* modules/audio_filter/converter/dtstospdif.c: accumulate DTS frames from parser until we have enough to fill an S/PDIF frame.

------------------------------------------------------------------------
r6655 | gbazin | 2004-02-03 09:16:16 +0100 (Tue, 03 Feb 2004) | 4 lines
Changed paths:
   M /trunk/modules/demux/dts.c


* modules/demux/dts.c: added detection for 14bits big endian and 16bits little endian bitstreams.
   (we still assume that the stream must begin with a new DTS frame, which doesn't always seem to be the case).

------------------------------------------------------------------------
r6656 | sigmunau | 2004-02-03 13:49:53 +0100 (Tue, 03 Feb 2004) | 5 lines
Changed paths:
   M /trunk/configure.ac
   M /trunk/modules/video_filter/deinterlace/deinterlace.c

configure.ac:
 * define CAN_COMPILE_MMX and CAN_COMPILE_MMXEXT if availabe
modules/video_filter/deinterlace/deinterlace.c:
 * changed how accelerated code is handled.

------------------------------------------------------------------------
r6657 | titer | 2004-02-03 14:00:27 +0100 (Tue, 03 Feb 2004) | 2 lines
Changed paths:
   M /trunk/AUTHORS
   M /trunk/modules/gui/macosx/vout.h
   M /trunk/modules/gui/macosx/vout.m

 macosx/vout* : OpenGL VRAM texturing finaly works correctly now.

------------------------------------------------------------------------
r6658 | fenrir | 2004-02-03 21:12:53 +0100 (Tue, 03 Feb 2004) | 2 lines
Changed paths:
   M /trunk/modules/access_output/http.c

 * http: Err -> Warn for Seek.

------------------------------------------------------------------------
r6659 | gbazin | 2004-02-04 00:31:46 +0100 (Wed, 04 Feb 2004) | 3 lines
Changed paths:
   M /trunk/modules/audio_output/file.c


* modules/audio_output/file.c: added --audiofile-channels=integer option to specify the number of channels wanted in the output file.

------------------------------------------------------------------------
r6660 | gbazin | 2004-02-04 00:32:45 +0100 (Wed, 04 Feb 2004) | 3 lines
Changed paths:
   M /trunk/modules/codec/dts.c


* modules/codec/dts.c: a bunch of fixes.

------------------------------------------------------------------------
r6661 | hartman | 2004-02-04 04:23:25 +0100 (Wed, 04 Feb 2004) | 3 lines
Changed paths:
   A /trunk/doc/strings.txt
   A /trunk/doc/translations.txt

* Added the 'documentation' on strings in our source code and also added
  the file with information on how to make translations.

------------------------------------------------------------------------
r6662 | gbazin | 2004-02-04 09:11:49 +0100 (Wed, 04 Feb 2004) | 3 lines
Changed paths:
   M /trunk/modules/demux/dts.c


* modules/demux/dts.c: should detect DTS wav files even if the data doesn't start with a DTS frame.

------------------------------------------------------------------------
r6663 | fenrir | 2004-02-04 21:13:55 +0100 (Wed, 04 Feb 2004) | 3 lines
Changed paths:
   M /trunk/modules/access/v4l/v4l.c

 * v4l: hue/colour/... path from Carsten Gottbeh?\239?\191?\189t
 (gottbehuet at active-elements dot de) (untested)

------------------------------------------------------------------------
r6664 | gbazin | 2004-02-05 00:03:36 +0100 (Thu, 05 Feb 2004) | 3 lines
Changed paths:
   M /trunk/modules/audio_filter/converter/dtstospdif.c


* modules/audio_filter/converter/dtstospdif.c: oops forgot something.

------------------------------------------------------------------------
r6665 | gbazin | 2004-02-05 00:28:10 +0100 (Thu, 05 Feb 2004) | 3 lines
Changed paths:
   M /trunk/modules/audio_filter/converter/dtstospdif.c


* modules/audio_filter/converter/dtstospdif.c: don't forget to take care of the sample's starting date.

------------------------------------------------------------------------
r6666 | gbazin | 2004-02-05 00:55:03 +0100 (Thu, 05 Feb 2004) | 3 lines
Changed paths:
   M /trunk/modules/codec/dts.c


* modules/codec/dts.c: should be more correct (hopefully).

------------------------------------------------------------------------
r6667 | fenrir | 2004-02-05 20:51:46 +0100 (Thu, 05 Feb 2004) | 2 lines
Changed paths:
   M /trunk/modules/misc/httpd.c

 * httpd: fixed a integer overflow.

------------------------------------------------------------------------
r6668 | hartman | 2004-02-05 22:01:44 +0100 (Thu, 05 Feb 2004) | 5 lines
Changed paths:
   M /trunk/Makefile.am
   M /trunk/doc/Makefile.am

* added a package-translations target
  - holds doc/translations.txt
  - all the .po's
  - convert-po.sh

------------------------------------------------------------------------
r6669 | gbazin | 2004-02-05 23:56:12 +0100 (Thu, 05 Feb 2004) | 7 lines
Changed paths:
   M /trunk/configure.ac
   M /trunk/modules/access/cdda.c
   A /trunk/modules/audio_filter/converter/dtstofloat32.c
   M /trunk/modules/demux/dts.c
   M /trunk/modules/demux/wav.c
   M /trunk/modules/video_output/directx/directx.c


* modules/video_output/directx/directx.c: fixed the "refresh" button for the --directx-device option.
* modules/demux/dts.c: implemented DEMUX_GET_TIME and DEMUX_GET_LENGTH.
* modules/access/cdda.c: got rid of the cdda demux and add a wav header at the beginning of the data.
   This allows to correctly support DTS audio cd (demux will detect what kind of CD it is).
* modules/demux/wav.c: code cleanup and fixed seeking.

------------------------------------------------------------------------
r6670 | hartman | 2004-02-06 04:52:09 +0100 (Fri, 06 Feb 2004) | 2 lines
Changed paths:
   M /trunk/include/vlc_help.h
   M /trunk/modules/gui/macosx/prefs.m
   M /trunk/modules/gui/wxwindows/preferences.cpp

* Move GetCapabilityHelp from intf's to vlc_help.h

------------------------------------------------------------------------
r6671 | hartman | 2004-02-06 05:51:02 +0100 (Fri, 06 Feb 2004) | 5 lines
Changed paths:
   M /trunk/extras/MacOSX/Resources/English.lproj/MainMenu.nib/classes.nib
   M /trunk/extras/MacOSX/Resources/English.lproj/MainMenu.nib/info.nib
   M /trunk/extras/MacOSX/Resources/English.lproj/MainMenu.nib/objects.nib
   M /trunk/modules/gui/macosx/playlist.h
   M /trunk/modules/gui/macosx/playlist.m

* Added sortID
* Fixed adding multiple items
* playlist API changes fixes
* fixed options

------------------------------------------------------------------------
r6672 | hartman | 2004-02-06 16:11:39 +0100 (Fri, 06 Feb 2004) | 2 lines
Changed paths:
   M /trunk/modules/demux/dts.c

* msg_Err -> msg_Warn

------------------------------------------------------------------------
r6673 | gbazin | 2004-02-06 19:15:44 +0100 (Fri, 06 Feb 2004) | 4 lines
Changed paths:
   M /trunk/modules/access/cdda.c
   M /trunk/modules/audio_output/file.c
   M /trunk/modules/codec/dts.c


* modules/codec/dts.c: fixes a buffer overflow with s/pdif.
* modules/access/cdda.c, modules/audio_output/file.c: endianness fixes for WAV header.

------------------------------------------------------------------------
r6674 | gbazin | 2004-02-06 21:06:55 +0100 (Fri, 06 Feb 2004) | 3 lines
Changed paths:
   M /trunk/include/vlc_common.h


* include/vlc_common.h: forgot the Set*LE() helpers in my last commit.

------------------------------------------------------------------------
r6675 | gbazin | 2004-02-07 00:43:32 +0100 (Sat, 07 Feb 2004) | 5 lines
Changed paths:
   M /trunk/modules/demux/ogg.c
   M /trunk/modules/mux/avi.c
   M /trunk/modules/mux/ogg.c
   M /trunk/src/input/input.c


* modules/mux/avi.c, modules/mux/ogg.c: use SetDWLE() from vlc_common.h.
* src/input/input.c: fixed memleak.
* modules/demux/ogg.c: fixed another timing bug.

------------------------------------------------------------------------
r6676 | gbazin | 2004-02-07 01:16:34 +0100 (Sat, 07 Feb 2004) | 5 lines
Changed paths:
   M /trunk/include/vlc_es.h
   M /trunk/modules/codec/flac.c
   M /trunk/modules/demux/ogg.c


* modules/demux/ogg.c: fixed memleak.
* modules/codec/flac.c: fixed memleak.
* include/vlc_es.h: es_format_Free().

------------------------------------------------------------------------
r6677 | gbazin | 2004-02-07 01:33:08 +0100 (Sat, 07 Feb 2004) | 3 lines
Changed paths:
   M /trunk/include/vlc_es.h
   M /trunk/modules/demux/ogg.c


* include/vlc_es.h: s/es_format_Free/es_format_Clean.

------------------------------------------------------------------------
r6678 | gbazin | 2004-02-07 01:56:44 +0100 (Sat, 07 Feb 2004) | 3 lines
Changed paths:
   M /trunk/modules/codec/dts.c


* modules/codec/dts.c: DTS S/PDIF fix (Thanks Dnumgis for all the testing).

------------------------------------------------------------------------
r6679 | fenrir | 2004-02-07 14:25:50 +0100 (Sat, 07 Feb 2004) | 2 lines
Changed paths:
   M /trunk/modules/video_filter/deinterlace/deinterlace.c

 * deinterlace: compilation fix.

------------------------------------------------------------------------
r6680 | fenrir | 2004-02-07 14:26:24 +0100 (Sat, 07 Feb 2004) | 2 lines
Changed paths:
   M /trunk/modules/demux/mp4/mp4.c

 * mp4: handle DEMUX_GET_META (avoid a msg_Err)

------------------------------------------------------------------------
r6681 | sigmunau | 2004-02-07 16:01:07 +0100 (Sat, 07 Feb 2004) | 2 lines
Changed paths:
   M /trunk/modules/audio_filter/converter/dtstospdif.c

Fixed a segfault (don't try to memset a negative number of bytes)

------------------------------------------------------------------------
r6682 | rocky | 2004-02-07 18:31:38 +0100 (Sat, 07 Feb 2004) | 2 lines
Changed paths:
   M /trunk/doc/developer/interface.xml

Update How to write an interface plugin from recent vlc-devel responses.

------------------------------------------------------------------------
r6683 | gbazin | 2004-02-08 01:04:16 +0100 (Sun, 08 Feb 2004) | 3 lines
Changed paths:
   M /trunk/modules/audio_filter/converter/dtstospdif.c


* modules/audio_filter/converter/dtstospdif.c: only swab big endian bitstreams.

------------------------------------------------------------------------
r6684 | gbazin | 2004-02-08 01:15:04 +0100 (Sun, 08 Feb 2004) | 3 lines
Changed paths:
   M /trunk/modules/audio_filter/converter/dtstospdif.c


* modules/audio_filter/converter/dtstospdif.c: cough cough.

------------------------------------------------------------------------
r6685 | gbazin | 2004-02-08 12:23:17 +0100 (Sun, 08 Feb 2004) | 4 lines
Changed paths:
   M /trunk/modules/gui/skins2/src/skin_main.cpp
   M /trunk/modules/gui/skins2/src/theme.cpp
   M /trunk/modules/gui/skins2/src/theme_loader.cpp
   M /trunk/src/interface/interface.c


* src/interface/interface.c: added skins2 to the interface menu.
* modules/gui/skins2/*: s/skin_last/skins2-last s/skin_config/skins2-config and fixed saving of skins2 configuration.

------------------------------------------------------------------------
r6686 | gbazin | 2004-02-08 13:09:50 +0100 (Sun, 08 Feb 2004) | 3 lines
Changed paths:
   M /trunk/modules/codec/ffmpeg/video.c


* modules/codec/ffmpeg/video.c: fixed crash when disabling post-processing with videos with B frames.

------------------------------------------------------------------------
r6687 | rocky | 2004-02-08 17:43:17 +0100 (Sun, 08 Feb 2004) | 2 lines
Changed paths:
   M /trunk/AUTHORS

Add me.

------------------------------------------------------------------------
r6688 | gbazin | 2004-02-08 17:48:11 +0100 (Sun, 08 Feb 2004) | 3 lines
Changed paths:
   M /trunk/modules/demux/dts.c


* modules/demux/dts.c: more fixes.

------------------------------------------------------------------------
r6689 | fenrir | 2004-02-08 18:21:50 +0100 (Sun, 08 Feb 2004) | 3 lines
Changed paths:
   M /trunk/src/input/input.c

 * input.c: don't add subtitle track twice when using --sub-file and
 auto-detection.

------------------------------------------------------------------------
r6690 | gbazin | 2004-02-08 19:17:22 +0100 (Sun, 08 Feb 2004) | 4 lines
Changed paths:
   M /trunk/modules/gui/wxwindows/open.cpp
   M /trunk/src/playlist/info.c
   M /trunk/src/playlist/item.c


* src/playlist/*: fixed complete fuckage of playlist_ItemAddOption() and moved it to item.c.
* modules/gui/wxwindows/open.cpp: cleanup.

------------------------------------------------------------------------
r6691 | sigmunau | 2004-02-08 19:30:30 +0100 (Sun, 08 Feb 2004) | 7 lines
Changed paths:
   M /trunk/modules/codec/ffmpeg/video.c
   M /trunk/modules/demux/avi/avi.c
   M /trunk/modules/demux/avi/libavi.h

modules/demux/avi/avi.c:
 * pass bit per pixel info on to decoder
modules/demux/avi/libavi.h:
 * add 1 as fourcc for msrle
module/codec/ffmpeg/video.c:
 * pass bit per pixel info to libavcodec (needed for msrle)

------------------------------------------------------------------------
r6692 | gbazin | 2004-02-08 19:49:53 +0100 (Sun, 08 Feb 2004) | 3 lines
Changed paths:
   M /trunk/modules/codec/ffmpeg/video.c


* modules/codec/ffmpeg/video.c: another fix for post-processing.

------------------------------------------------------------------------
r6693 | hartman | 2004-02-08 21:08:28 +0100 (Sun, 08 Feb 2004) | 5 lines
Changed paths:
   M /trunk/modules/gui/macosx/playlist.m

* Fix /dev/di bug
  Though this still remains a hack. People should just use 'Open Disc' menu.
  I see no way to retrieve the original (non parition version) /dev entry,
  from the mounted drive.

------------------------------------------------------------------------
r6694 | hartman | 2004-02-08 21:09:15 +0100 (Sun, 08 Feb 2004) | 2 lines
Changed paths:
   M /trunk/extras/MacOSX/Resources/English.lproj/InfoPlist.strings

* Update copyright info

------------------------------------------------------------------------
r6695 | jpsaman | 2004-02-08 21:19:03 +0100 (Sun, 08 Feb 2004) | 4 lines
Changed paths:
   M /trunk/configure.ac

Fixed several things with configure.ac script:
- Always have a space between ";then" the configure script does not like this. It should be "; then" or better put "then" on the next line.
- Add a AC_ARG_ENABLE for cdda

------------------------------------------------------------------------
r6696 | jpsaman | 2004-02-08 22:00:19 +0100 (Sun, 08 Feb 2004) | 2 lines
Changed paths:
   M /trunk/configure.ac

Fail ./configure when ffmpeg/avcodec.h or postproc/postproc.h are not found and --disable-ffmpeg is not used.

------------------------------------------------------------------------
r6697 | gbazin | 2004-02-08 22:36:39 +0100 (Sun, 08 Feb 2004) | 3 lines
Changed paths:
   M /trunk/ChangeLog
   M /trunk/NEWS
   M /trunk/configure.ac
   M /trunk/extras/MacOSX/Resources/English.lproj/InfoPlist.strings
   M /trunk/extras/MacOSX/vlc.pbproj/project.pbxproj


* ALL: bumped version number to 0.7.1 in preparation for the release.

------------------------------------------------------------------------
r6698 | gbazin | 2004-02-08 23:06:14 +0100 (Sun, 08 Feb 2004) | 3 lines
Changed paths:
   M /trunk/configure.ac


* configure.ac: forgot one version number and added the aiff demux.

------------------------------------------------------------------------
r6699 | gbazin | 2004-02-08 23:37:37 +0100 (Sun, 08 Feb 2004) | 3 lines
Changed paths:
   M /trunk/modules/codec/ffmpeg/video.c


* modules/codec/ffmpeg/video.c: another fix for switching postproc on the fly.

------------------------------------------------------------------------
r6700 | gbazin | 2004-02-09 00:39:16 +0100 (Mon, 09 Feb 2004) | 3 lines
Changed paths:
   M /trunk/configure.ac
   M /trunk/extras/MacOSX/Resources/English.lproj/InfoPlist.strings
   M /trunk/extras/MacOSX/vlc.pbproj/project.pbxproj


* ALL: I am a morron.

------------------------------------------------------------------------
r6701 | gbazin | 2004-02-09 00:49:04 +0100 (Mon, 09 Feb 2004) | 3 lines
Changed paths:
   M /trunk/modules/gui/skins2/Modules.am


* modules/gui/skins2/Modules.am: added missing file for make dist.

------------------------------------------------------------------------
r6702 | sigmunau | 2004-02-09 11:44:40 +0100 (Mon, 09 Feb 2004) | 5 lines
Changed paths:
   M /trunk/share/http/admin/dboxfiles.html

share/http/admin/dboxfiles.html:
 * Updated for bookmark support.
   See http://www.giggo.de/dbox2/movieplayer.html for details
   (patch by Christof Baumgaertner)

------------------------------------------------------------------------
r6703 | hartman | 2004-02-09 13:54:47 +0100 (Mon, 09 Feb 2004) | 2 lines
Changed paths:
   M /trunk/extras/contrib/src/Makefile
   M /trunk/extras/contrib/src/packages.mak

* added dtsdec, 're' upgrade of libmad

------------------------------------------------------------------------
r6704 | titer | 2004-02-09 14:28:32 +0100 (Mon, 09 Feb 2004) | 3 lines
Changed paths:
   M /trunk/modules/gui/macosx/macosx.m
   M /trunk/modules/gui/macosx/vout.h
   M /trunk/modules/gui/macosx/vout.m

 macosx/* : added --macosx-opengl-effect, current possible values are
   "none" and "cube". Sorry, couldn't resist ;)

------------------------------------------------------------------------
r6705 | titer | 2004-02-09 15:02:25 +0100 (Mon, 09 Feb 2004) | 2 lines
Changed paths:
   M /trunk/modules/gui/macosx/vout.m

 macosx/vout.m : oops, fixed broken ratio from my last commit

------------------------------------------------------------------------
r6706 | sigmunau | 2004-02-09 17:12:25 +0100 (Mon, 09 Feb 2004) | 3 lines
Changed paths:
   M /trunk/src/extras/libc.c

src/extra/libc.c:
 * fixed a nasty bug in vlc_atoll.(closes #1763)

------------------------------------------------------------------------
r6707 | titer | 2004-02-09 18:42:12 +0100 (Mon, 09 Feb 2004) | 2 lines
Changed paths:
   M /trunk/modules/gui/macosx/macosx.m
   M /trunk/modules/gui/macosx/vout.m

 macosx/* : macosx-opengl-effect now accept cube and transparent-cube

------------------------------------------------------------------------
r6708 | jpsaman | 2004-02-09 20:32:55 +0100 (Mon, 09 Feb 2004) | 2 lines
Changed paths:
   M /trunk/ipkg/control
   M /trunk/ipkg/control.gpe
   M /trunk/ipkg/control.opie
   M /trunk/ipkg/control.zaurus
   M /trunk/ipkg/rules
   M /trunk/ipkg/rules.gpe
   M /trunk/ipkg/rules.opie
   M /trunk/ipkg/rules.zaurus

Updated version number to vlc-0.7.1

------------------------------------------------------------------------
r6709 | sam | 2004-02-09 21:40:25 +0100 (Mon, 09 Feb 2004) | 3 lines
Changed paths:
   M /trunk/debian/README.Debian

  * debian/README.Debian:
    + Updated Debian-specific build notes.

------------------------------------------------------------------------
r6710 | garf | 2004-02-10 00:03:12 +0100 (Tue, 10 Feb 2004) | 3 lines
Changed paths:
   M /trunk/modules/control/http.c

 * http.c: add strsub function: extract substring (doc update will
           follow soon).

------------------------------------------------------------------------
r6711 | garf | 2004-02-10 00:28:33 +0100 (Tue, 10 Feb 2004) | 2 lines
Changed paths:
   M /trunk/doc/intf-http.txt

 * intf-http.txt: update doc (strsub)

------------------------------------------------------------------------
r6712 | garf | 2004-02-10 00:30:37 +0100 (Tue, 10 Feb 2004) | 2 lines
Changed paths:
   M /trunk/modules/control/http.c

 * http.c: made strsub a bit clean.

------------------------------------------------------------------------
r6713 | hartman | 2004-02-10 03:57:18 +0100 (Tue, 10 Feb 2004) | 4 lines
Changed paths:
   M /trunk/modules/demux/ogg.c

* Fixed the ogm subs. Thanx to Mosu who pointed me to the fact that the
  duration for subs is stored in byte1 of the data packet and who
  directed me to the mkvtoolnix code.

------------------------------------------------------------------------
r6714 | sam | 2004-02-10 14:29:04 +0100 (Tue, 10 Feb 2004) | 3 lines
Changed paths:
   M /trunk/configure.ac

  * configure.ac:
    + Only activate the Matroska plugin if -lebml_pic or -lebml were found.

------------------------------------------------------------------------
r6715 | sam | 2004-02-10 15:04:55 +0100 (Tue, 10 Feb 2004) | 4 lines
Changed paths:
   M /trunk/configure.ac

  * configure.ac:
    + Allow to use --enable-livedotcom without --with-livedotcom-tree so that
      we can use an installed version of libliveMedia et al.

------------------------------------------------------------------------
r6716 | sam | 2004-02-10 15:33:17 +0100 (Tue, 10 Feb 2004) | 7 lines
Changed paths:
   M /trunk/debian/control
   M /trunk/debian/rules
   M /trunk/doc/fortunes.txt
   M /trunk/toolbox

  * debian/rules debian/control:
    + No longer build a local libmpeg2 since it entered sid.
    + Build the livedotcom plugin.
  * toolbox:
    + No longer remove flac, speex and matroska from the woody build; I will
      provide clean backports.

------------------------------------------------------------------------
r6717 | jpsaman | 2004-02-10 15:57:31 +0100 (Tue, 10 Feb 2004) | 5 lines
Changed paths:
   M /trunk/modules/access/dvb/access.c
   M /trunk/modules/access/dvb/dvb.c

Fixes for DVB-C:
- Make sure that lnb-lof1 and lnb-lof2 can be overriden by the commandline syntax frequency=xx:lnb-lof1=xx:lnb-lof2=xx
- Added value {A,a} to polarization=xx to force INVERSION_AUTO
- Sanatized a few error messages

------------------------------------------------------------------------
r6718 | bigben | 2004-02-10 17:39:15 +0100 (Tue, 10 Feb 2004) | 2 lines
Changed paths:
   M /trunk/modules/access/dvb/access.c
   M /trunk/modules/access/dvb/dvb.c

typos

------------------------------------------------------------------------
r6719 | gbazin | 2004-02-10 18:36:45 +0100 (Tue, 10 Feb 2004) | 3 lines
Changed paths:
   M /trunk/NEWS
   M /trunk/configure.ac


* configure.ac, NEWS: added mod and pva plugins.

------------------------------------------------------------------------
r6720 | gbazin | 2004-02-10 18:59:10 +0100 (Tue, 10 Feb 2004) | 3 lines
Changed paths:
   M /trunk/configure.ac


* configure.ac: check for the xmlTextReader extension if libxml2 (required for skins2).

------------------------------------------------------------------------
r6721 | jpsaman | 2004-02-10 21:28:37 +0100 (Tue, 10 Feb 2004) | 5 lines
Changed paths:
   M /trunk/modules/gui/pda/pda.c
   M /trunk/modules/gui/pda/pda_callbacks.c

Missed the deadline again ;-(

- Fixed the playlist_AddExt() call
- Fixed a compiler warning

------------------------------------------------------------------------
r6722 | jpsaman | 2004-02-10 21:30:09 +0100 (Tue, 10 Feb 2004) | 2 lines
Changed paths:
   M /trunk/configure.ac

Enabled PDA GUI again, use --enable-pda. Question why was it disabled without notifying the maintainer? ????

------------------------------------------------------------------------
r6723 | jpsaman | 2004-02-11 09:22:12 +0100 (Wed, 11 Feb 2004) | 2 lines
Changed paths:
   M /trunk/modules/access/dvb/access.c

Added some whitespace for alignment.

------------------------------------------------------------------------
r6724 | zorglub | 2004-02-11 09:50:04 +0100 (Wed, 11 Feb 2004) | 2 lines
Changed paths:
   M /trunk/configure.ac

Enable the playlist import/export modules

------------------------------------------------------------------------
r6725 | rocky | 2004-02-11 13:26:38 +0100 (Wed, 11 Feb 2004) | 3 lines
Changed paths:
   M /trunk/doc/intf-cdda.txt
   M /trunk/doc/intf-vcd.txt

Spell out general information that should be used in reporting
problems. Sigh.

------------------------------------------------------------------------
r6726 | rocky | 2004-02-11 13:37:28 +0100 (Wed, 11 Feb 2004) | 2 lines
Changed paths:
   M /trunk/doc/intf-cdda.txt
   M /trunk/doc/intf-vcd.txt

And one other piece of information...

------------------------------------------------------------------------
r6727 | gbazin | 2004-02-11 19:08:05 +0100 (Wed, 11 Feb 2004) | 3 lines
Changed paths:
   M /trunk/modules/access/cdda/Modules.am
   M /trunk/modules/access/cdda/access.c
   M /trunk/modules/access/cdda/cdda.h
   D /trunk/modules/access/cdda/demux.c


* modules/access/cdda/*: got rid of the demux. The access plugin will now build a WAV header which will allow this plugin to work with the dts/a52 demuxers as well as the wav demuxer.

------------------------------------------------------------------------
r6728 | fenrir | 2004-02-11 20:17:14 +0100 (Wed, 11 Feb 2004) | 5 lines
Changed paths:
   M /trunk/src/input/input.c
   M /trunk/src/libvlc.h

 * all: added a "input-repeat" option that allow repeating the same entry
 without destroying/recreating a new input. (Will be usefull for streaming).
 ( A value of -1 means repeat for ever).
 --> Not tested with dvd.

------------------------------------------------------------------------
r6729 | titer | 2004-02-12 18:35:05 +0100 (Thu, 12 Feb 2004) | 2 lines
Changed paths:
   M /trunk/modules/gui/macosx/vout.m

 macosx/vout.m : GL cleaning (probably fixes depth issues)

------------------------------------------------------------------------
r6730 | fenrir | 2004-02-12 18:52:48 +0100 (Thu, 12 Feb 2004) | 26 lines
Changed paths:
   M /trunk/modules/access/v4l/v4l.c

 * v4l: patch from Carsten Gottbeh?\239?\191?\189t (gottbehuet at active-elements dot de)
 -> Untested.

 Original message:
    Hi there,

    I have done another small modification. If you remove a hot-pluggable video
    device, like an usb web cam, during capturing, vlc floods the driver with
    ioctls. This leads to Kernel Ooops in some drivers.

    The modified v4l.c module does the following now:
    "GrabVideo" returns "VLC_ETIMEOUT" if the question "Did we wait long enough"
    can be answered with yes. If there is a real error in "GrabCapture" or
    "GrabMJPEG", the code "VLC_EGENERIC" is returned. So the calling function
    can distinguish between these two situations. "VLC_EGENERIC" was always
    returned before.
    The function "Read" uses this information to leave the while-loop in case of
    an error, and it returns a "-1" to the calling function. "Read" calls
    "msleep", as it was before, in case of a VLC_ETIMEOUT.

    The brightness-control stuff described below is still in the code. Please
    feel free to use, modify or ignore this file. A short feedback would be
    nice.

    Bye,

------------------------------------------------------------------------
r6731 | fenrir | 2004-02-12 21:09:38 +0100 (Thu, 12 Feb 2004) | 3 lines
Changed paths:
   M /trunk/modules/access/mms/asf.c
   M /trunk/modules/access/mms/mmstu.c

 * all: use the data_packet_count from the asf header when the server
gives an invalid one. (I hope it doesn't break anything)

------------------------------------------------------------------------
r6732 | gbazin | 2004-02-13 00:51:15 +0100 (Fri, 13 Feb 2004) | 3 lines
Changed paths:
   M /trunk/modules/stream_out/transcode.c


* modules/stream_out/transcode.c: fixed color inversion when transcoding from raw RV24.

------------------------------------------------------------------------
r6733 | rocky | 2004-02-13 01:57:03 +0100 (Fri, 13 Feb 2004) | 2 lines
Changed paths:
   M /trunk/doc/subtitles/cvd-subtitles.txt
   M /trunk/doc/subtitles/svcd-ogt-subtitles.txt

Call for help.

------------------------------------------------------------------------
r6734 | rocky | 2004-02-13 05:22:39 +0100 (Fri, 13 Feb 2004) | 4 lines
Changed paths:
   M /trunk/doc/developer/Makefile
   A /trunk/doc/developer/Makefile.in
   A /trunk/doc/developer/configure.ac
   M /trunk/doc/developer/manual.xml
   A /trunk/doc/developer/manual.xml.in

Do better about being able to build developer documentation on many
platforms.  This still sucks, but it sucks less. Hopefully I can shame
someone to go further.

------------------------------------------------------------------------
r6735 | jpsaman | 2004-02-13 11:09:46 +0100 (Fri, 13 Feb 2004) | 2 lines
Changed paths:
   M /trunk/modules/gui/pda/pda.c
   M /trunk/modules/gui/pda/pda_callbacks.c

Disabled the preference menu, it is not filled in anyway.

------------------------------------------------------------------------
r6736 | titer | 2004-02-13 11:42:24 +0100 (Fri, 13 Feb 2004) | 2 lines
Changed paths:
   M /trunk/modules/video_filter/deinterlace/deinterlace.c

 deinterlace.c : missing 'else' that prevented MergeAltivec from being used.

------------------------------------------------------------------------
r6737 | rocky | 2004-02-13 12:33:38 +0100 (Fri, 13 Feb 2004) | 4 lines
Changed paths:
   M /trunk/doc/developer/Makefile
   M /trunk/doc/developer/Makefile.in
   M /trunk/doc/developer/configure.ac
   M /trunk/doc/developer/manual.xml

More checking: for programs and XML-related files.  If some programs
aren't around (e.g. lynx) don't build the corresponding piece that
needs that.

------------------------------------------------------------------------
r6738 | rocky | 2004-02-13 12:58:32 +0100 (Fri, 13 Feb 2004) | 2 lines
Changed paths:
   M /trunk/doc/developer/interface.xml

Better worded.

------------------------------------------------------------------------
r6739 | gbazin | 2004-02-13 22:48:32 +0100 (Fri, 13 Feb 2004) | 4 lines
Changed paths:
   M /trunk/modules/codec/a52.c
   M /trunk/modules/demux/Modules.am
   A /trunk/modules/demux/a52.c


* modules/demux/a52.c: rewritten from scratch to use the a52 packetizer and to handle a52 wav files and audio CD's.
* modules/codec/a52.c: a52 wav files and audio CD's use padding so don't always check for next sync code.

------------------------------------------------------------------------
r6740 | gbazin | 2004-02-13 23:10:00 +0100 (Fri, 13 Feb 2004) | 3 lines
Changed paths:
   M /trunk/modules/demux/a52.c


* modules/demux/a52.c: fixed alignment when seeking.

------------------------------------------------------------------------
r6741 | gbazin | 2004-02-13 23:14:11 +0100 (Fri, 13 Feb 2004) | 3 lines
Changed paths:
   M /trunk/modules/demux/a52.c


* modules/demux/a52.c: grmbl.

------------------------------------------------------------------------
r6742 | gbazin | 2004-02-13 23:37:35 +0100 (Fri, 13 Feb 2004) | 3 lines
Changed paths:
   M /trunk/modules/demux/a52.c


* modules/demux/a52.c: better detection code.

------------------------------------------------------------------------
r6743 | gbazin | 2004-02-14 00:54:42 +0100 (Sat, 14 Feb 2004) | 3 lines
Changed paths:
   M /trunk/modules/demux/playlist/playlist.c


* modules/demux/playlist/playlist.c: compilation fix.

------------------------------------------------------------------------
r6744 | gbazin | 2004-02-14 02:53:17 +0100 (Sat, 14 Feb 2004) | 3 lines
Changed paths:
   M /trunk/include/ninput.h
   M /trunk/modules/demux/ts.c
   M /trunk/modules/demux/util/id3tag.c


* ALL: small portability fixes.

------------------------------------------------------------------------
r6745 | gbazin | 2004-02-14 13:36:16 +0100 (Sat, 14 Feb 2004) | 3 lines
Changed paths:
   M /trunk/modules/gui/wxwindows/open.cpp
   M /trunk/modules/gui/wxwindows/subtitles.cpp


* modules/gui/wxwindows/*: make gcc-2.95 happy.

------------------------------------------------------------------------
r6746 | gbazin | 2004-02-14 13:49:35 +0100 (Sat, 14 Feb 2004) | 3 lines
Changed paths:
   M /trunk/modules/gui/skins2/events/evt_scroll.hpp


* modules/gui/skins2/events/evt_scroll.hpp: small portability fix.

------------------------------------------------------------------------
r6747 | gbazin | 2004-02-14 18:03:33 +0100 (Sat, 14 Feb 2004) | 6 lines
Changed paths:
   M /trunk/include/codecs.h
   M /trunk/modules/audio_output/file.c
   M /trunk/modules/codec/araw.c
   M /trunk/modules/demux/wav.c


* modules/demux/wav.c: started support for WAVEFORMATEXTENSIBLE (aka multichannel).
   support for float32 format.
* include/codecs.h: added WAVEFORMATEXTENSIBLE structure.
* modules/codec/araw.c: fixes.

------------------------------------------------------------------------
r6748 | gbazin | 2004-02-14 18:25:39 +0100 (Sat, 14 Feb 2004) | 4 lines
Changed paths:
   M /trunk/modules/access/cdda/cdda.h
   M /trunk/modules/access/cdda.c


* modules/access/cdda*: removed definition of WAVEHEADER.
* modules/access/cdda.c: small bug fix.

------------------------------------------------------------------------
r6749 | gbazin | 2004-02-14 18:36:05 +0100 (Sat, 14 Feb 2004) | 4 lines
Changed paths:
   M /trunk/modules/access/cdda/access.c
   M /trunk/modules/access/cdda/cdda.c


* modules/access/cdda/*: forgot to remove demux in module declaration.
   fixed deadlock with CDDAFixupPlayList().

------------------------------------------------------------------------
r6750 | gbazin | 2004-02-15 14:16:43 +0100 (Sun, 15 Feb 2004) | 3 lines
Changed paths:
   M /trunk/modules/demux/ogg.c


* modules/demux/ogg.c: fixed recent breakage (what a shameful bug).

------------------------------------------------------------------------
r6751 | fenrir | 2004-02-15 17:59:18 +0100 (Sun, 15 Feb 2004) | 3 lines
Changed paths:
   M /trunk/modules/demux/nsv.c

 * nsv: display sub stream and skip extention data (initial patch from
 Vitalijus dot Slavinskas at stud dot ktu dot lt).

------------------------------------------------------------------------
r6752 | sigmunau | 2004-02-15 19:22:26 +0100 (Sun, 15 Feb 2004) | 6 lines
Changed paths:
   M /trunk/include/osd.h
   M /trunk/src/video_output/video_text.c

include/osd.h, src/video_output/video_text.c:
 * turned vout_OSDMessage into __vout_OSDMessage
 * __vout_OSDMessage now takes printf style parameters
 * added a macro vout_OSDMessage that calls __vout_OSDMessage with the first
   parameter passed through VLC_OBJECT()

------------------------------------------------------------------------
r6753 | ipkiss | 2004-02-15 19:58:38 +0100 (Sun, 15 Feb 2004) | 3 lines
Changed paths:
   M /trunk/doc/skins/events-howto.txt
   M /trunk/modules/gui/skins/src/banks.cpp
   M /trunk/modules/gui/skins/src/event.cpp
   M /trunk/modules/gui/skins/src/event.h
   M /trunk/modules/gui/skins/src/vlcproc.cpp
   M /trunk/modules/gui/skins/src/vlcproc.h

 * modules/gui/skins/*:
    Added 'slow' and 'fast' events to play a stream slower/faster

------------------------------------------------------------------------
r6754 | sigmunau | 2004-02-15 20:40:41 +0100 (Sun, 15 Feb 2004) | 7 lines
Changed paths:
   M /trunk/doc/lirc/example.lircrc
   M /trunk/modules/control/lirc/lirc.c

modules/control/lirc/lirc.c:
 * backported some changes from the hotkeys module
 * implemented buttons to cycle audio and subtitle tracks.
 * implemented a mute button
doc/lirc/example.lircrc:
 * example for the new buttons

------------------------------------------------------------------------
r6755 | gbazin | 2004-02-15 22:52:59 +0100 (Sun, 15 Feb 2004) | 3 lines
Changed paths:
   M /trunk/modules/audio_filter/converter/dtstospdif.c


* modules/audio_filter/converter/dtstospdif.c: fixed the swab() replacement.

------------------------------------------------------------------------
r6756 | gbazin | 2004-02-15 23:20:56 +0100 (Sun, 15 Feb 2004) | 3 lines
Changed paths:
   M /trunk/modules/misc/network/ipv6.c


* modules/misc/network/ipv6.c: fix for ipv6 name resolution, courtesy of Jeroen Massar (jeroen at unfix dot org).

------------------------------------------------------------------------
r6757 | gbazin | 2004-02-16 14:33:10 +0100 (Mon, 16 Feb 2004) | 2 lines
Changed paths:
   M /trunk/modules/access/dshow/filter.cpp

* modules/access/dshow/filter.cpp: work-around a bug in w32api-2.5.

------------------------------------------------------------------------
r6758 | zorglub | 2004-02-16 18:14:15 +0100 (Mon, 16 Feb 2004) | 2 lines
Changed paths:
   M /trunk/src/input/input.c

Fix setting the name and the author with DEMUX_GET_META

------------------------------------------------------------------------
r6759 | zorglub | 2004-02-16 18:14:39 +0100 (Mon, 16 Feb 2004) | 3 lines
Changed paths:
   M /trunk/modules/gui/wxwindows/playlist.cpp
   M /trunk/modules/gui/wxwindows/wxwindows.h

* Swap duration and group columns
* Introduce duration sort

------------------------------------------------------------------------
r6760 | zorglub | 2004-02-16 18:16:24 +0100 (Mon, 16 Feb 2004) | 7 lines
Changed paths:
   M /trunk/modules/access/directory.c

Added an option "recursive"
	- none: subdirectories are skipped
	- collapse: former behaviour, subdirectories are not expanded
	- expand: all subdirectories are fully expanded

I dislike these strings, please find other ones :)

------------------------------------------------------------------------
r6761 | hartman | 2004-02-17 04:12:00 +0100 (Tue, 17 Feb 2004) | 3 lines
Changed paths:
   M /trunk/modules/control/hotkeys.c
   M /trunk/modules/gui/macosx/controls.m
   M /trunk/src/video_output/video_text.c

* vout_OSDMessage doxygen doc update
* fix broken vout_OSDMessage in other files

------------------------------------------------------------------------
r6762 | gbazin | 2004-02-17 14:13:32 +0100 (Tue, 17 Feb 2004) | 2 lines
Changed paths:
   M /trunk/modules/access/directory.c
   M /trunk/modules/demux/a52.c
   M /trunk/modules/demux/dts.c
   M /trunk/modules/demux/mp4/drms.c
   M /trunk/modules/mux/mpeg/ts.c

* ALL: portability fixes.

------------------------------------------------------------------------
r6763 | fenrir | 2004-02-18 14:21:33 +0100 (Wed, 18 Feb 2004) | 2 lines
Changed paths:
   M /trunk/modules/stream_out/transcode.c

 * transcode: fixed s16b <-> s16l conversion.

------------------------------------------------------------------------
r6764 | rocky | 2004-02-19 03:05:12 +0100 (Thu, 19 Feb 2004) | 3 lines
Changed paths:
   M /trunk/modules/access/vcdx/access.c

Structure not big enough and was writing past buffer boundary.
Thanks to Marco Z?\239?\191?\189hlke for finding this problem.

------------------------------------------------------------------------
r6765 | jpsaman | 2004-02-19 16:13:49 +0100 (Thu, 19 Feb 2004) | 2 lines
Changed paths:
   M /trunk/modules/codec/faad.c

Fix for iPAQ choose fixed point arithmic in FAAD decoder.

------------------------------------------------------------------------
r6766 | jpsaman | 2004-02-19 16:42:25 +0100 (Thu, 19 Feb 2004) | 2 lines
Changed paths:
   M /trunk/modules/codec/faad.c

Tell FAAD2 to produce FAAD_FMT_16BIT (16bits PCM values) and VLC so that it doesn't need to do a conversion filter for it.

------------------------------------------------------------------------
r6767 | gbazin | 2004-02-19 17:19:41 +0100 (Thu, 19 Feb 2004) | 2 lines
Changed paths:
   M /trunk/modules/codec/faad.c

* modules/codec/faad.c: compilation fix and proper 16bits pcm support.

------------------------------------------------------------------------
r6768 | jpsaman | 2004-02-19 18:42:43 +0100 (Thu, 19 Feb 2004) | 2 lines
Changed paths:
   M /trunk/modules/codec/faad.c

Correct fix for iPAQ. (do not mix watching your kids and coding, it doesn't mix ;-))

------------------------------------------------------------------------
r6769 | courmisch | 2004-02-19 19:55:34 +0100 (Thu, 19 Feb 2004) | 2 lines
Changed paths:
   M /trunk/THANKS
   M /trunk/doc/ChangeLog-2001
   M /trunk/doc/ChangeLog-2002

Removed Vladimir Chernyshov's email address (kept his name).

------------------------------------------------------------------------
r6770 | hartman | 2004-02-19 20:38:58 +0100 (Thu, 19 Feb 2004) | 5 lines
Changed paths:
   M /trunk/modules/gui/macosx/prefs.h
   M /trunk/modules/gui/macosx/prefs.m

* Revert back to old prefs.
  - fixed the bug with the modules not setting up their prefs.
  - bugs: int with strings items are broken (see relfontsize)
  - hotkeys elements don't really work

------------------------------------------------------------------------
r6771 | bigben | 2004-02-20 16:38:40 +0100 (Fri, 20 Feb 2004) | 5 lines
Changed paths:
   M /trunk/modules/access/pvr/pvr.c

cleaning of pvr input  : settings are only set if  given on command line
(no more default values).

Patch from Tim O Callaghan (tim.ocallaghan - AT - limestudios - DOT - com)

------------------------------------------------------------------------
r6772 | bigben | 2004-02-20 17:29:31 +0100 (Fri, 20 Feb 2004) | 2 lines
Changed paths:
   M /trunk/modules/access/pvr/pvr.c

coding style

------------------------------------------------------------------------
r6773 | massiot | 2004-02-20 18:13:42 +0100 (Fri, 20 Feb 2004) | 3 lines
Changed paths:
   M /trunk/modules/access_output/udp.c

* modules/access_output/udp.c: do not send out packets which are too much
  in the past, to avoid flooding the client.

------------------------------------------------------------------------
r6774 | massiot | 2004-02-20 18:16:50 +0100 (Fri, 20 Feb 2004) | 2 lines
Changed paths:
   M /trunk/modules/demux/mpeg/system.c

* modules/demux/mpeg/system.c: check for scrambled packets.

------------------------------------------------------------------------
r6775 | massiot | 2004-02-20 18:20:01 +0100 (Fri, 20 Feb 2004) | 4 lines
Changed paths:
   M /trunk/src/libvlc.h
   M /trunk/src/misc/threads.c

* src/misc/threads.c: made vlc_set_thread_priority usable on non-Darwin
  OSes, and added an rt-offset configuration variable to tune the priority
  of VLC against other programs without recompiling everything.

------------------------------------------------------------------------
r6776 | massiot | 2004-02-20 19:24:41 +0100 (Fri, 20 Feb 2004) | 3 lines
Changed paths:
   M /trunk/modules/packetizer/mpegvideo.c

* modules/packetizer/mpegvideo.c: display the picture size and frame rate
  exactly once.

------------------------------------------------------------------------
r6777 | massiot | 2004-02-20 19:34:28 +0100 (Fri, 20 Feb 2004) | 12 lines
Changed paths:
   M /trunk/include/vlc_codec.h
   M /trunk/modules/codec/ffmpeg/encoder.c
   M /trunk/modules/stream_out/transcode.c

* modules/codec/ffmpeg/encoder.c, modules/stream_out/transcode.c :
  - new ffmpeg options available from the command-line : interleaved video,
    noise reduction, rate control parameters, i_quant_factor, trellis
    quantification, mpeg4 matrix, and thread count
  - portable functions to use ffmpeg multithreading capabilities on all
    platforms
  - hurry up mode now turns off rd and trellis, and also raises the noise
    reduction parameter (thus noise reduction is mandatory with hurry up)
  - if threads=1, no ffmpeg thread is launched, but the ffmpeg encoding
    will be done in a separate thread than the packetizer and decoder
  - fixed a bug with mp3 decoding and weird ffmpeg return code

------------------------------------------------------------------------
r6778 | massiot | 2004-02-20 20:03:59 +0100 (Fri, 20 Feb 2004) | 2 lines
Changed paths:
   M /trunk/modules/stream_out/transcode.c

* modules/stream_out/transcode.c: fixed a segfault when quitting.

------------------------------------------------------------------------
r6779 | gbazin | 2004-02-20 20:21:23 +0100 (Fri, 20 Feb 2004) | 4 lines
Changed paths:
   M /trunk/modules/audio_output/alsa.c
   D /trunk/modules/demux/a52sys.c


* modules/demux/a52sys.c: forgot to remove this file.
* modules/audio_output/alsa.c: kind of a work-around for a strange bug that trashes the stack. Doesn't solve it but should be easier to track down now.

------------------------------------------------------------------------
r6780 | massiot | 2004-02-20 20:21:25 +0100 (Fri, 20 Feb 2004) | 2 lines
Changed paths:
   M /trunk/modules/stream_out/transcode.c

* modules/stream_out/transcode.c : don't lock when quitting.

------------------------------------------------------------------------
r6781 | gbazin | 2004-02-20 23:07:51 +0100 (Fri, 20 Feb 2004) | 3 lines
Changed paths:
   M /trunk/configure.ac


* configure.ac: what about checking for the c++ preprocessor.

------------------------------------------------------------------------
r6782 | gbazin | 2004-02-21 23:41:49 +0100 (Sat, 21 Feb 2004) | 3 lines
Changed paths:
   M /trunk/modules/codec/ffmpeg/encoder.c


* modules/codec/ffmpeg/encoder.c: make it ffmpeg-0.4.8 friendly.

------------------------------------------------------------------------
r6783 | gbazin | 2004-02-22 00:15:52 +0100 (Sun, 22 Feb 2004) | 4 lines
Changed paths:
   M /trunk/include/charset.h
   M /trunk/modules/demux/ts.c
   M /trunk/modules/mux/mp4.c


* include/charset.h: added "extern "C" {" for c++ modules.
* modules/mux/mp4.c, modules/demux/ts.c: fixed memleaks.

------------------------------------------------------------------------
r6784 | gbazin | 2004-02-22 00:50:52 +0100 (Sun, 22 Feb 2004) | 3 lines
Changed paths:
   M /trunk/modules/stream_out/transcode.c


* modules/stream_out/transcode.c: fixed memleak. Set aspect ratio info even for raw video input.

------------------------------------------------------------------------
r6785 | gbazin | 2004-02-22 01:15:33 +0100 (Sun, 22 Feb 2004) | 3 lines
Changed paths:
   M /trunk/ChangeLog
   M /trunk/NEWS
   M /trunk/configure.ac
   M /trunk/extras/MacOSX/Resources/English.lproj/InfoPlist.strings
   M /trunk/extras/MacOSX/vlc.pbproj/project.pbxproj
   M /trunk/include/video_output.h
   M /trunk/src/video_output/vout_pictures.c


* ALL: preparation for 0.7.1-test2.

------------------------------------------------------------------------
r6786 | gbazin | 2004-02-22 01:33:10 +0100 (Sun, 22 Feb 2004) | 3 lines
Changed paths:
   M /trunk/modules/demux/playlist/Modules.am


* modules/demux/playlist/Modules.am: don't forget playlist.h.

------------------------------------------------------------------------
r6787 | gbazin | 2004-02-22 01:55:31 +0100 (Sun, 22 Feb 2004) | 3 lines
Changed paths:
   M /trunk/po/POTFILES.in
   M /trunk/po/de.po
   M /trunk/po/en_GB.po
   M /trunk/po/es.po
   M /trunk/po/fr.po
   M /trunk/po/hu.po
   M /trunk/po/it.po
   M /trunk/po/ja.po
   M /trunk/po/nl.po
   M /trunk/po/no.po
   M /trunk/po/pl.po
   M /trunk/po/pt_BR.po
   M /trunk/po/ru.po
   M /trunk/po/sv.po
   M /trunk/po/vlc.pot


* po/*: ./toolbox --update-po.

------------------------------------------------------------------------
r6788 | rocky | 2004-02-22 10:35:48 +0100 (Sun, 22 Feb 2004) | 3 lines
Changed paths:
   M /trunk/modules/access/vcdx/access.c

Make sure a couple of variables are initialized before
reading. (caught by valgrind).

------------------------------------------------------------------------
r6789 | rocky | 2004-02-22 11:30:22 +0100 (Sun, 22 Feb 2004) | 2 lines
Changed paths:
   M /trunk/modules/access/cdda/access.c

fix mem leak. (Caught by valgrind.)

------------------------------------------------------------------------
r6790 | rocky | 2004-02-22 11:30:41 +0100 (Sun, 22 Feb 2004) | 2 lines
Changed paths:
   M /trunk/modules/access/vcdx/access.c

Fix mem leak caught by valgrind.

------------------------------------------------------------------------
r6791 | rocky | 2004-02-22 11:52:23 +0100 (Sun, 22 Feb 2004) | 2 lines
Changed paths:
   M /trunk/modules/codec/ogt/common.c

Fix valgrind-caught memory leak.

------------------------------------------------------------------------
r6792 | gbazin | 2004-02-22 16:03:33 +0100 (Sun, 22 Feb 2004) | 4 lines
Changed paths:
   M /trunk/configure.ac
   M /trunk/modules/gui/wxwindows/wxwindows.h
   M /trunk/src/libvlc.c


* configure.ac: added an --enable-utf8 option (default enabled on osx/beos/win32).
* src/libvlc.c, modules/gui/wxwindows/wxwindows.h: use #ifdef ENABLE_UTF8

------------------------------------------------------------------------
r6793 | massiot | 2004-02-22 16:41:27 +0100 (Sun, 22 Feb 2004) | 3 lines
Changed paths:
   M /trunk/extras/contrib/src/Makefile
   M /trunk/extras/contrib/src/Patches/faad2.patch
   M /trunk/extras/contrib/src/Patches/ffmpeg.patch.cvs
   M /trunk/extras/contrib/src/packages.mak
   M /trunk/src/libvlc.c
   M /trunk/src/misc/threads.c

* Updated contrib build system
* src/misc/threads.c: fixed a Darwin-specific bug introduced recently

------------------------------------------------------------------------
r6794 | zorglub | 2004-02-22 16:52:33 +0100 (Sun, 22 Feb 2004) | 2 lines
Changed paths:
   M /trunk/modules/misc/playlist/export.c
   M /trunk/modules/misc/playlist/native.c

Fix compilation warnings

------------------------------------------------------------------------
r6795 | fenrir | 2004-02-22 16:57:41 +0100 (Sun, 22 Feb 2004) | 2 lines
Changed paths:
   M /trunk/modules/codec/rawvideo.c
   M /trunk/modules/codec/speex.c
   M /trunk/modules/codec/vorbis.c
   M /trunk/modules/gui/ncurses/ncurses.c
   M /trunk/modules/mux/mpeg/ts.c
   M /trunk/modules/video_filter/filter_common.h

 * all: compilation warning fixes (mainly missings headers).

------------------------------------------------------------------------
r6796 | fenrir | 2004-02-22 16:59:53 +0100 (Sun, 22 Feb 2004) | 2 lines
Changed paths:
   M /trunk/modules/demux/util/sub.c

 * sub.c: VobSub fix.

------------------------------------------------------------------------
r6797 | fenrir | 2004-02-22 17:01:42 +0100 (Sun, 22 Feb 2004) | 2 lines
Changed paths:
   M /trunk/modules/demux/livedotcom.cpp

 * livedotcom.cpp: bug fix. (a bad memory allocation).

------------------------------------------------------------------------
r6798 | fenrir | 2004-02-22 17:08:47 +0100 (Sun, 22 Feb 2004) | 2 lines
Changed paths:
   M /trunk/include/stream_output.h
   M /trunk/src/input/input_dec.c
   M /trunk/src/stream_output/stream_output.c

 * all: changed the prototype of sout_InputNew.

------------------------------------------------------------------------
r6799 | fenrir | 2004-02-22 17:40:25 +0100 (Sun, 22 Feb 2004) | 2 lines
Changed paths:
   M /trunk/src/input/input_programs.c

 * input_programs.c: a little memleak.

------------------------------------------------------------------------
r6800 | gbazin | 2004-02-22 22:32:42 +0100 (Sun, 22 Feb 2004) | 3 lines
Changed paths:
   M /trunk/modules/access/cdda/access.c


* modules/access/cdda/access.c: fix to allow playing the last track and cd's with only 1 track.

------------------------------------------------------------------------
r6801 | titer | 2004-02-23 00:09:25 +0100 (Mon, 23 Feb 2004) | 2 lines
Changed paths:
   M /trunk/modules/misc/network/ipv4.c

ipv4.c : BeOS compile fix

------------------------------------------------------------------------
r6802 | rocky | 2004-02-23 01:10:50 +0100 (Mon, 23 Feb 2004) | 2 lines
Changed paths:
   M /trunk/modules/access/cdda/access.c

Change error reporting on memory error to be memory error.

------------------------------------------------------------------------
r6803 | gbazin | 2004-02-23 13:17:24 +0100 (Mon, 23 Feb 2004) | 3 lines
Changed paths:
   M /trunk/modules/gui/wxwindows/playlist.cpp
   M /trunk/modules/gui/wxwindows/wxwindows.h
   M /trunk/src/playlist/playlist.c

*  modules/gui/wxwindows/playlist.cpp: don't update the GUI from different threads!
* src/playlist/playlist.c: vout/sout garbage collection improvements.

------------------------------------------------------------------------
r6804 | gbazin | 2004-02-23 21:34:47 +0100 (Mon, 23 Feb 2004) | 3 lines
Changed paths:
   M /trunk/include/vlc_common.h


* include/vlc_common.h: added the UI64C() macro for unsinged long long constants.

------------------------------------------------------------------------
r6805 | fenrir | 2004-02-23 21:35:42 +0100 (Mon, 23 Feb 2004) | 3 lines
Changed paths:
   M /trunk/modules/demux/livedotcom.cpp

 * livedotcom.cpp: a fix + a nasty hack that should fix playback of streams
 using weird value after a synch with RTCP.

------------------------------------------------------------------------
r6806 | fenrir | 2004-02-23 21:45:52 +0100 (Mon, 23 Feb 2004) | 2 lines
Changed paths:
   M /trunk/modules/demux/livedotcom.cpp

 * livedotcom.cpp: nULL -> UI64C(n).

------------------------------------------------------------------------
r6807 | kuehne | 2004-02-23 21:55:41 +0100 (Mon, 23 Feb 2004) | 2 lines
Changed paths:
   M /trunk/extras/MacOSX/Resources/English.lproj/MainMenu.nib/info.nib
   M /trunk/extras/MacOSX/Resources/English.lproj/MainMenu.nib/objects.nib

Enlarged some fields in the OpenTarget-Window to display the entire localizations

------------------------------------------------------------------------
r6808 | sigmunau | 2004-02-23 22:00:37 +0100 (Mon, 23 Feb 2004) | 4 lines
Changed paths:
   M /trunk/modules/misc/sap.c

modules/misc/sap.c:
 * fixed two memleaks, one of them rather large
 * fix for http announces that don't start the filename part with '/'

------------------------------------------------------------------------
r6809 | gbazin | 2004-02-23 22:50:14 +0100 (Mon, 23 Feb 2004) | 3 lines
Changed paths:
   M /trunk/src/playlist/playlist.c


* src/playlist/playlist.c: bug fix.

------------------------------------------------------------------------
r6810 | gbazin | 2004-02-23 22:57:56 +0100 (Mon, 23 Feb 2004) | 3 lines
Changed paths:
   M /trunk/src/playlist/playlist.c


* src/playlist/playlist.c: who said testing was useful ?

------------------------------------------------------------------------
r6811 | gbazin | 2004-02-24 00:01:05 +0100 (Tue, 24 Feb 2004) | 5 lines
Changed paths:
   M /trunk/include/codecs.h
   M /trunk/modules/codec/araw.c
   M /trunk/modules/demux/wav.c


* modules/demux/wav.c: more fixes for multichannel wav files support.
* include/codecs.h: ms speakers definitions.
* modules/codec/araw.c: added support for fl64 fourcc.

------------------------------------------------------------------------
r6812 | fenrir | 2004-02-24 17:31:46 +0100 (Tue, 24 Feb 2004) | 2 lines
Changed paths:
   M /trunk/modules/access/http.c

 * http.c: "Transfer-Encoding: chunked" support. (Tested with only one URL).

------------------------------------------------------------------------
r6813 | bigben | 2004-02-24 18:16:27 +0100 (Tue, 24 Feb 2004) | 2 lines
Changed paths:
   M /trunk/extras/MacOSX/Resources/English.lproj/MainMenu.nib/info.nib
   M /trunk/extras/MacOSX/Resources/English.lproj/MainMenu.nib/objects.nib

Do not send an event when clicking out of the search box

------------------------------------------------------------------------
r6814 | gbazin | 2004-02-24 18:42:07 +0100 (Tue, 24 Feb 2004) | 3 lines
Changed paths:
   M /trunk/modules/stream_out/transcode.c


* modules/stream_out/transcode.c: compilation fixes for ffmpeg-0.4.8.

------------------------------------------------------------------------
r6815 | gbazin | 2004-02-24 18:43:31 +0100 (Tue, 24 Feb 2004) | 3 lines
Changed paths:
   M /trunk/modules/access/cdda.c


* modules/access/cdda.c: added "cddasimple" shortcut.

------------------------------------------------------------------------
r6816 | zorglub | 2004-02-24 19:19:44 +0100 (Tue, 24 Feb 2004) | 7 lines
Changed paths:
   M /trunk/modules/gui/wxwindows/playlist.cpp

Fix problem in playlist update code.

Strangely, the "AddPendingEvent" wxwindows call seems to hang, so
replace it bhy "ProcessEvent" (the playlist update is processed
immediately in the callback, but it is only the update of one item, so
it should not be a problem)

------------------------------------------------------------------------
r6817 | gbazin | 2004-02-24 20:23:11 +0100 (Tue, 24 Feb 2004) | 3 lines
Changed paths:
   M /trunk/modules/demux/dts.c


* modules/demux/dts.c: improved detection of wav dts files.

------------------------------------------------------------------------
r6818 | gbazin | 2004-02-24 23:15:41 +0100 (Tue, 24 Feb 2004) | 3 lines
Changed paths:
   M /trunk/modules/gui/wxwindows/menus.cpp
   M /trunk/modules/gui/wxwindows/wxwindows.h


* modules/gui/wxwindows/menus.cpp: try to display choices menus in a more clever way (hide useless things like empty menus).

------------------------------------------------------------------------
r6819 | fenrir | 2004-02-25 13:38:33 +0100 (Wed, 25 Feb 2004) | 2 lines
Changed paths:
   M /trunk/src/input/input_dec.c
   M /trunk/src/input/input_programs.c

 * all: fixed sout-audio/video options.

------------------------------------------------------------------------
r6820 | zorglub | 2004-02-25 15:02:34 +0100 (Wed, 25 Feb 2004) | 3 lines
Changed paths:
   M /trunk/po/pt_BR.po

Update of the brazilian portuguese translation, thanks to
Andr?\239?\191?\189 de Barros Martins Ribeiro

------------------------------------------------------------------------
r6821 | fenrir | 2004-02-25 18:48:52 +0100 (Wed, 25 Feb 2004) | 3 lines
Changed paths:
   M /trunk/include/vlc_block.h
   M /trunk/modules/codec/a52.c
   M /trunk/modules/codec/dts.c
   M /trunk/modules/codec/faad.c
   M /trunk/modules/codec/ffmpeg/audio.c
   M /trunk/modules/codec/ffmpeg/video.c
   M /trunk/modules/codec/flac.c
   M /trunk/modules/codec/libmpeg2.c
   M /trunk/modules/codec/mpeg_audio.c
   M /trunk/modules/demux/a52.c
   M /trunk/modules/demux/dts.c
   M /trunk/modules/demux/flac.c
   M /trunk/src/misc/block.c

 * all: removed block_t->b_discontinuity,b_frame_* and added i_flags
 field and a few BLOCK_FLAG_*.

------------------------------------------------------------------------
r6822 | fenrir | 2004-02-25 19:22:54 +0100 (Wed, 25 Feb 2004) | 2 lines
Changed paths:
   M /trunk/modules/codec/libmpeg2.c

 * libmpeg2.c: lalala, compilation fix...

------------------------------------------------------------------------
r6823 | gbazin | 2004-02-25 19:42:38 +0100 (Wed, 25 Feb 2004) | 3 lines
Changed paths:
   M /trunk/modules/gui/wxwindows/wxwindows.h


* modules/gui/wxwindows/wxwindows.h: workaround/compilation fix for new wxWindows versions.

------------------------------------------------------------------------
r6824 | gbazin | 2004-02-25 19:43:24 +0100 (Wed, 25 Feb 2004) | 3 lines
Changed paths:
   M /trunk/modules/packetizer/mpeg4audio.c
   M /trunk/modules/packetizer/mpegvideo.c


* modules/packetizer/mpeg4audio.c, modules/packetizer/mpegvideo.c: compilation fix.

------------------------------------------------------------------------
r6825 | gbazin | 2004-02-25 19:47:02 +0100 (Wed, 25 Feb 2004) | 3 lines
Changed paths:
   M /trunk/src/input/input_dec.c


* src/input/input_dec.c: compilation fix.

------------------------------------------------------------------------
r6826 | titer | 2004-02-25 20:27:23 +0100 (Wed, 25 Feb 2004) | 2 lines
Changed paths:
   M /trunk/modules/gui/macosx/vout.h
   M /trunk/modules/gui/macosx/vout.m

 macosx/vout* : fixed OpenGL fullscreen (still needs some cleaning)

------------------------------------------------------------------------
r6827 | zorglub | 2004-02-25 23:01:34 +0100 (Wed, 25 Feb 2004) | 4 lines
Changed paths:
   M /trunk/po/fr.po

Update of the french translation.

This file need reviewing, please help

------------------------------------------------------------------------
r6828 | jpsaman | 2004-02-25 23:16:20 +0100 (Wed, 25 Feb 2004) | 3 lines
Changed paths:
   D /trunk/ipkg/control
   M /trunk/ipkg/control.gpe
   A /trunk/ipkg/control.h3600
   D /trunk/ipkg/postinst
   D /trunk/ipkg/postrm
   M /trunk/ipkg/rules
   A /trunk/ipkg/rules.h3600

Added configuration for h3600 iPAQ PDA with small Flash sizes.
Removed unused files.

------------------------------------------------------------------------
r6829 | ipkiss | 2004-02-25 23:42:48 +0100 (Wed, 25 Feb 2004) | 2 lines
Changed paths:
   M /trunk/po/fr.po

Fixed an incorrect string

------------------------------------------------------------------------
r6830 | hartman | 2004-02-26 00:28:04 +0100 (Thu, 26 Feb 2004) | 2 lines
Changed paths:
   M /trunk/modules/audio_filter/converter/mpgatofixed32.c

* Disable libmad on OS X

------------------------------------------------------------------------
r6831 | gbazin | 2004-02-26 01:23:04 +0100 (Thu, 26 Feb 2004) | 3 lines
Changed paths:
   M /trunk/modules/gui/wxwindows/menus.cpp
   M /trunk/modules/gui/wxwindows/playlist.cpp
   M /trunk/modules/gui/wxwindows/preferences.cpp


* modules/gui/wxwindows/*: a whole bunch of bug-fixes spotted by running the debug build of wxWindows.

------------------------------------------------------------------------
r6832 | gbazin | 2004-02-26 09:24:29 +0100 (Thu, 26 Feb 2004) | 3 lines
Changed paths:
   M /trunk/modules/gui/wxwindows/playlist.cpp
   M /trunk/modules/gui/wxwindows/wxwindows.h


* modules/gui/wxwindows/playlist.cpp: removed useless lock.

------------------------------------------------------------------------
r6833 | gbazin | 2004-02-26 13:04:14 +0100 (Thu, 26 Feb 2004) | 5 lines
Changed paths:
   M /trunk/modules/gui/wxwindows/menus.cpp
   M /trunk/modules/gui/wxwindows/playlist.cpp
   M /trunk/modules/gui/wxwindows/wxwindows.cpp


* modules/gui/wxwindows/wxwindows.cpp: include setlocale.h after the vlc headers.
* modules/gui/wxwindows/menus.cpp: fixed memory leaks.
* modules/gui/wxwindows/playlist.cpp: fixed deadlock.

------------------------------------------------------------------------
r6834 | hartman | 2004-02-26 14:04:55 +0100 (Thu, 26 Feb 2004) | 3 lines
Changed paths:
   M /trunk/modules/gui/macosx/macosx.m
   M /trunk/modules/gui/macosx/vout.m

* Something I forgot
  --macosx-stretch mode. Ignore aspect ratio and stretch video to fill window.

------------------------------------------------------------------------
r6835 | hartman | 2004-02-26 14:24:55 +0100 (Thu, 26 Feb 2004) | 2 lines
Changed paths:
   M /trunk/modules/gui/macosx/vout.m

* don't break things...

------------------------------------------------------------------------
r6836 | gbazin | 2004-02-26 14:58:23 +0100 (Thu, 26 Feb 2004) | 2 lines
Changed paths:
   M /trunk/modules/video_output/directx/directx.c
   M /trunk/modules/video_output/directx/events.c

* modules/video_output/directx/*: fixes uninitialized variables and memleaks.

------------------------------------------------------------------------
r6837 | hartman | 2004-02-26 15:40:29 +0100 (Thu, 26 Feb 2004) | 3 lines
Changed paths:
   M /trunk/modules/gui/macosx/playlist.m

* another thing that wasn't committed yet.
  - Fix Playlist Save. Can only do m3u atm.

------------------------------------------------------------------------
r6838 | gbazin | 2004-02-26 18:02:17 +0100 (Thu, 26 Feb 2004) | 3 lines
Changed paths:
   M /trunk/modules/audio_output/directx.c

* modules/audio_output/directx.c: don't use hardware buffers for <= 2 channels.
   A few users have been reporting problems with the directx audio output and it might very well be the cause of their problems (ie. with buggy drivers).

------------------------------------------------------------------------
r6839 | hartman | 2004-02-26 18:07:37 +0100 (Thu, 26 Feb 2004) | 3 lines
Changed paths:
   M /trunk/modules/codec/ffmpeg/audio.c

* Don't crash during my demo to the university computer labs.
  - don't crash when i_output < 0

------------------------------------------------------------------------
r6840 | murray | 2004-02-26 20:11:44 +0100 (Thu, 26 Feb 2004) | 3 lines
Changed paths:
   M /trunk/po/fr.po
   M /trunk/po/it.po

it.po: italian localization for VLC 0.7.1
fr.po: minor fixes

------------------------------------------------------------------------
r6841 | gbazin | 2004-02-27 14:24:12 +0100 (Fri, 27 Feb 2004) | 2 lines
Changed paths:
   M /trunk/modules/gui/skins2/controls/ctrl_list.cpp
   M /trunk/modules/gui/skins2/parser/builder.cpp
   M /trunk/modules/gui/skins2/parser/builder_data.hpp
   M /trunk/modules/gui/skins2/parser/xmlparser.hpp
   M /trunk/modules/gui/skins2/src/ft2_font.cpp
   M /trunk/modules/gui/skins2/src/skin_common.hpp
   M /trunk/modules/gui/skins2/vars/playlist.cpp
   M /trunk/modules/gui/skins2/win32/win32_factory.hpp
   M /trunk/modules/gui/skins2/win32/win32_loop.cpp
   M /trunk/modules/gui/skins2/win32/win32_loop.hpp

* modules/gui/skins2/*: portability fixes.

------------------------------------------------------------------------
r6842 | fenrir | 2004-02-27 15:01:35 +0100 (Fri, 27 Feb 2004) | 2 lines
Changed paths:
   M /trunk/src/video_output/vout_pictures.c
   M /trunk/src/video_output/vout_pictures.h

 * vout_pictures.*: added YVU9.

------------------------------------------------------------------------
r6843 | fenrir | 2004-02-27 15:02:05 +0100 (Fri, 27 Feb 2004) | 2 lines
Changed paths:
   M /trunk/modules/codec/ffmpeg/chroma.c
   M /trunk/modules/codec/rawvideo.c

 * rawvideo.c, ffmpeg/chroma.c: added YVU9.

------------------------------------------------------------------------
r6844 | fenrir | 2004-02-27 15:05:55 +0100 (Fri, 27 Feb 2004) | 3 lines
Changed paths:
   M /trunk/modules/demux/avi/avi.c

 * avi.c: added support for rgb 32 (24 won't work under linux as the vout
 handle 24 and 32 the same way :(

------------------------------------------------------------------------
r6845 | fenrir | 2004-02-27 15:22:18 +0100 (Fri, 27 Feb 2004) | 2 lines
Changed paths:
   M /trunk/modules/demux/avi/avi.c

 * avi.c: uses rv15 for 15 and 16 bits file. (I don't know if it's ok).

------------------------------------------------------------------------
r6846 | gbazin | 2004-02-27 16:07:04 +0100 (Fri, 27 Feb 2004) | 3 lines
Changed paths:
   M /trunk/modules/gui/skins2/parser/xmlparser.hpp
   M /trunk/modules/gui/skins2/src/skin_main.cpp

* src/skin_main.cpp: fixed bug related to the destruction order.
* parser/xmlparser.hpp: removed useless change.

------------------------------------------------------------------------
r6847 | kuehne | 2004-02-27 23:33:38 +0100 (Fri, 27 Feb 2004) | 2 lines
Changed paths:
   M /trunk/po/de.po

Updated german translation

------------------------------------------------------------------------
r6848 | titer | 2004-02-28 14:53:35 +0100 (Sat, 28 Feb 2004) | 3 lines
Changed paths:
   M /trunk/modules/gui/macosx/vout.h
   M /trunk/modules/gui/macosx/vout.m

 macosx/vout* : don't forget to exit fullscreen mode at EOF,
                fixed a segfault

------------------------------------------------------------------------
r6849 | gbazin | 2004-02-28 18:10:23 +0100 (Sat, 28 Feb 2004) | 3 lines
Changed paths:
   M /trunk/src/playlist/info.c
   M /trunk/src/playlist/item-ext.c
   M /trunk/src/playlist/item.c


* src/playlist/*: portability fixes, moved playlist_AddOption() to item-ext.c.

------------------------------------------------------------------------
r6850 | gbazin | 2004-02-28 20:30:04 +0100 (Sat, 28 Feb 2004) | 2 lines
Changed paths:
   M /trunk/modules/gui/wxwindows/streamout.cpp

* modules/gui/wxwindows/streamout.cpp: added mp4a to the list of audio transcoders.

------------------------------------------------------------------------
r6851 | zorglub | 2004-02-28 20:31:54 +0100 (Sat, 28 Feb 2004) | 2 lines
Changed paths:
   M /trunk/modules/gui/wxwindows/playlist.cpp

Fix loop on end of search

------------------------------------------------------------------------
r6852 | zorglub | 2004-02-28 20:40:06 +0100 (Sat, 28 Feb 2004) | 2 lines
Changed paths:
   M /trunk/modules/gui/wxwindows/playlist.cpp

Search on the author field too

------------------------------------------------------------------------
r6853 | gbazin | 2004-02-29 14:03:19 +0100 (Sun, 29 Feb 2004) | 3 lines
Changed paths:
   M /trunk/extras/contrib/src/packages.mak


* src/packages.mak: updated for libdts-0.0.2

------------------------------------------------------------------------
r6854 | gbazin | 2004-02-29 14:05:22 +0100 (Sun, 29 Feb 2004) | 4 lines
Changed paths:
   M /trunk/configure.ac
   M /trunk/extras/MacOSX/Resources/English.lproj/InfoPlist.strings
   M /trunk/extras/MacOSX/vlc.pbproj/project.pbxproj
   M /trunk/modules/audio_filter/converter/dtstofloat32.c


* ALL: bumped revision number to 0.7.1
* modules/audio_filter/converter/dtstofloat32.c: update for libdts-0.0.2

------------------------------------------------------------------------
r6855 | gbazin | 2004-02-29 14:08:56 +0100 (Sun, 29 Feb 2004) | 4 lines
Changed paths:
   M /trunk/include/vlc_common.h
   M /trunk/src/misc/variables.c


* src/misc/variables.c: fixed memleak.
* include/vlc_common.h: use pragma to disable useless MSVC warnings.

------------------------------------------------------------------------
r6856 | gbazin | 2004-02-29 14:33:47 +0100 (Sun, 29 Feb 2004) | 3 lines
Changed paths:
   M /trunk/ipkg/Makefile.am


* ipkg/Makefile.am: don't try to package files which have been removed.

------------------------------------------------------------------------
r6857 | kuehne | 2004-02-29 14:49:02 +0100 (Sun, 29 Feb 2004) | 2 lines
Changed paths:
   M /trunk/po/de.po

spelling fixes

------------------------------------------------------------------------
r6858 | kuehne | 2004-02-29 14:55:04 +0100 (Sun, 29 Feb 2004) | 2 lines
Changed paths:
   M /trunk/po/de.po

Fixed breakage which has been introduced in the last commit

------------------------------------------------------------------------
r6859 | asmax | 2004-02-29 15:05:14 +0100 (Sun, 29 Feb 2004) | 2 lines
Changed paths:
   M /trunk/modules/gui/skins2/src/skin_main.cpp

* src/skin_main.cpp: fixed a bug related to the destruction order ;)

------------------------------------------------------------------------
r6860 | zorglub | 2004-02-29 15:05:45 +0100 (Sun, 29 Feb 2004) | 2 lines
Changed paths:
   M /trunk/modules/gui/wxwindows/playlist.cpp

Sanity check

------------------------------------------------------------------------
r6861 | gbazin | 2004-02-29 15:35:10 +0100 (Sun, 29 Feb 2004) | 3 lines
Changed paths:
   M /trunk/INSTALL.win32


* INSTALL.win32: updated win32 build instructions.

------------------------------------------------------------------------
r6862 | asmax | 2004-02-29 17:49:55 +0100 (Sun, 29 Feb 2004) | 6 lines
Changed paths:
   M /trunk/modules/gui/skins2/controls/ctrl_button.cpp
   M /trunk/modules/gui/skins2/controls/ctrl_button.hpp
   M /trunk/modules/gui/skins2/controls/ctrl_checkbox.cpp
   M /trunk/modules/gui/skins2/controls/ctrl_checkbox.hpp
   M /trunk/modules/gui/skins2/controls/ctrl_flat.hpp
   M /trunk/modules/gui/skins2/controls/ctrl_generic.cpp
   M /trunk/modules/gui/skins2/controls/ctrl_generic.hpp
   M /trunk/modules/gui/skins2/controls/ctrl_image.cpp
   M /trunk/modules/gui/skins2/controls/ctrl_image.hpp
   M /trunk/modules/gui/skins2/controls/ctrl_list.cpp
   M /trunk/modules/gui/skins2/controls/ctrl_list.hpp
   M /trunk/modules/gui/skins2/controls/ctrl_move.cpp
   M /trunk/modules/gui/skins2/controls/ctrl_move.hpp
   M /trunk/modules/gui/skins2/controls/ctrl_radialslider.cpp
   M /trunk/modules/gui/skins2/controls/ctrl_radialslider.hpp
   M /trunk/modules/gui/skins2/controls/ctrl_resize.cpp
   M /trunk/modules/gui/skins2/controls/ctrl_resize.hpp
   M /trunk/modules/gui/skins2/controls/ctrl_slider.cpp
   M /trunk/modules/gui/skins2/controls/ctrl_slider.hpp
   M /trunk/modules/gui/skins2/controls/ctrl_text.cpp
   M /trunk/modules/gui/skins2/controls/ctrl_text.hpp
   M /trunk/modules/gui/skins2/parser/builder.cpp
   M /trunk/modules/gui/skins2/parser/builder_data.def
   M /trunk/modules/gui/skins2/parser/builder_data.hpp
   M /trunk/modules/gui/skins2/parser/skin_parser.cpp
   M /trunk/modules/gui/skins2/src/generic_layout.cpp
   M /trunk/modules/gui/skins2/src/generic_window.cpp
   M /trunk/modules/gui/skins2/theme/skin.dtd
   M /trunk/modules/gui/skins2/theme/theme.xml

* controls/*, src/generic_window.cpp, src/generic_layout.cpp: a visibiliy
variable is now owned by CtrlGeneric, and handled directly by the layout
and the window (at the moment only the slider control uses it)
* theme/skin.dtd, parser/builder.cpp, parser, skin_parser.cpp: added
the "color" attribute for control text

------------------------------------------------------------------------
r6863 | asmax | 2004-02-29 18:36:55 +0100 (Sun, 29 Feb 2004) | 2 lines
Changed paths:
   M /trunk/modules/gui/skins2/src/skin_main.cpp

* src/skin_main.cpp: do not delete the input a second time !

------------------------------------------------------------------------
r6864 | gbazin | 2004-02-29 20:01:22 +0100 (Sun, 29 Feb 2004) | 3 lines
Changed paths:
   M /trunk/modules/demux/rawdv.c


* modules/demux/rawdv.c: DV audio support was removed from libavcodec so reimplemented it here.

------------------------------------------------------------------------
r6865 | gbazin | 2004-02-29 20:12:00 +0100 (Sun, 29 Feb 2004) | 3 lines
Changed paths:
   M /trunk/NEWS


* NEWS: updated.

------------------------------------------------------------------------
r6866 | gbazin | 2004-02-29 20:28:10 +0100 (Sun, 29 Feb 2004) | 3 lines
Changed paths:
   M /trunk/configure.ac


* configure.ac: fixed --with-dts-tree.

------------------------------------------------------------------------
r6867 | jpsaman | 2004-02-29 22:09:29 +0100 (Sun, 29 Feb 2004) | 2 lines
Changed paths:
   M /trunk/po/nl.po

Updated Dutch translation.

------------------------------------------------------------------------
r6868 | jpsaman | 2004-02-29 22:10:00 +0100 (Sun, 29 Feb 2004) | 2 lines
Changed paths:
   M /trunk/ipkg/control.gpe
   M /trunk/ipkg/control.h3600

Updated version strings to 0.7.1 for upcoming release.

------------------------------------------------------------------------
r6869 | murray | 2004-02-29 23:56:23 +0100 (Sun, 29 Feb 2004) | 5 lines
Changed paths:
   M /trunk/po/it.po

Minor changes to the italian translation (thanks to Paolo Caravello)

Actually, we still got some (huge) untranslated strings in libvlc.h,
I'll care about them after the release.

------------------------------------------------------------------------
r6870 | jpsaman | 2004-02-29 23:59:59 +0100 (Sun, 29 Feb 2004) | 2 lines
Changed paths:
   M /trunk/modules/gui/pda/pda.c
   M /trunk/modules/gui/pda/pda.glade
   M /trunk/modules/gui/pda/pda_callbacks.c
   M /trunk/modules/gui/pda/pda_interface.c

Updated PDA interface.

------------------------------------------------------------------------
r6871 | murray | 2004-03-01 00:08:42 +0100 (Mon, 01 Mar 2004) | 2 lines
Changed paths:
   M /trunk/po/it.po

Shit, forgot to :wq before committing :) sorry guys

------------------------------------------------------------------------
r6872 | massiot | 2004-03-01 12:55:25 +0100 (Mon, 01 Mar 2004) | 2 lines
Changed paths:
   M /trunk/modules/stream_out/transrate/Modules.am

* Added two files in Modules.am

------------------------------------------------------------------------
r6873 | gbazin | 2004-03-01 13:50:39 +0100 (Mon, 01 Mar 2004) | 8 lines
Changed paths:
   M /trunk/include/vlc_threads.h
   M /trunk/modules/access/file.c
   M /trunk/modules/access_output/udp.c

* include/vlc_threads.h:
   + lower a bit the input thread priority on win32 (using THREAD_PRIORITY_ABOVE_NORMAL now).
* modules/access/file.c:
   + s/config_GetInt()/var_Get() for file-caching.
* modules/access_output/udp.c:
   + less verbose debug messages.
   + increase thread priority on win32.

------------------------------------------------------------------------
r6874 | gbazin | 2004-03-01 18:36:26 +0100 (Mon, 01 Mar 2004) | 3 lines
Changed paths:
   M /trunk/modules/demux/mkv.cpp


* modules/demux/mkv.cpp: fixed copy&paste bug.

------------------------------------------------------------------------
r6875 | gbazin | 2004-03-01 19:31:13 +0100 (Mon, 01 Mar 2004) | 3 lines
Changed paths:
   M /trunk/include/vlc_interface.h
   M /trunk/modules/gui/wxwindows/dialogs.cpp
   M /trunk/modules/gui/wxwindows/interface.cpp
   M /trunk/modules/gui/wxwindows/streamwizard.cpp
   M /trunk/modules/gui/wxwindows/wxwindows.h


* modules/gui/wxwindows/*: make sure we re-use the streaming wizard so the user selection doesn't get lost each time it is opened.

------------------------------------------------------------------------
r6876 | asmax | 2004-03-01 19:33:31 +0100 (Mon, 01 Mar 2004) | 5 lines
Changed paths:
   M /trunk/modules/gui/skins2/parser/builder.cpp
   M /trunk/modules/gui/skins2/parser/builder.hpp
   M /trunk/modules/gui/skins2/parser/skin_parser.cpp
   M /trunk/modules/gui/skins2/parser/skin_parser.hpp
   M /trunk/modules/gui/skins2/theme/skin.dtd
   M /trunk/modules/gui/skins2/theme/theme.xml

* parser/builder.cpp, parser/skin_parser.cpp: unique IDs are generated
 in the xml parser instead of the builder: fixes nasty bugs related
 to layout IDs
* theme/skin.dtd: "id" attribute is no longer required for window

------------------------------------------------------------------------
r6877 | asmax | 2004-03-01 20:36:43 +0100 (Mon, 01 Mar 2004) | 2 lines
Changed paths:
   M /trunk/modules/gui/skins2/parser/skin_parser.cpp
   M /trunk/modules/gui/skins2/parser/xmlparser.hpp
   M /trunk/modules/gui/skins2/theme/skin.dtd
   M /trunk/modules/gui/skins2/theme/theme.xml

* all: changed dtd version to 1.99 before the final dtd freeze

------------------------------------------------------------------------
r6878 | gbazin | 2004-03-01 20:41:42 +0100 (Mon, 01 Mar 2004) | 4 lines
Changed paths:
   M /trunk/Makefile.am
   M /trunk/install-win32
   M /trunk/modules/gui/skins2/Modules.am


* modules/gui/skins2/Modules.am: include the default skins2 theme in the "make dist" rule.
* install-win32, Makefile.am: include the default skins2 theme in the win32 package.

------------------------------------------------------------------------
r6879 | gbazin | 2004-03-01 20:58:16 +0100 (Mon, 01 Mar 2004) | 3 lines
Changed paths:
   M /trunk/modules/gui/skins2/src/skin_main.cpp


* modules/gui/skins2/src/skin_main.cpp: default skin is skins2/default/theme.xml.

------------------------------------------------------------------------
r6880 | gbazin | 2004-03-01 21:04:55 +0100 (Mon, 01 Mar 2004) | 3 lines
Changed paths:
   M /trunk/po/de.po
   M /trunk/po/en_GB.po
   M /trunk/po/es.po
   M /trunk/po/fr.po
   M /trunk/po/hu.po
   M /trunk/po/it.po
   M /trunk/po/ja.po
   M /trunk/po/nl.po
   M /trunk/po/no.po
   M /trunk/po/pl.po
   M /trunk/po/pt_BR.po
   M /trunk/po/ru.po
   M /trunk/po/sv.po
   M /trunk/po/vlc.pot


* po/*: ./toolbox --update-po in preparation for the release.

------------------------------------------------------------------------
r6881 | gbazin | 2004-03-01 21:36:24 +0100 (Mon, 01 Mar 2004) | 3 lines
Changed paths:
   M /trunk/modules/gui/skins2/Modules.am


* modules/gui/skins2/Modules.am: oops, 1 file too much.

------------------------------------------------------------------------
r6882 | gbazin | 2004-03-01 22:23:09 +0100 (Mon, 01 Mar 2004) | 3 lines
Changed paths:
   M /trunk/ChangeLog


* ChangeLog: updated for 0.7.1.

------------------------------------------------------------------------
r6883 | fenrir | 2004-03-01 23:35:55 +0100 (Mon, 01 Mar 2004) | 3 lines
Changed paths:
   M /trunk/modules/codec/ffmpeg/video.c

 * video.c: make SVQ3/ffmpeg happy with complex stsd atom (ie with more
 than just the "SMI " one).

------------------------------------------------------------------------
r6884 | hartman | 2004-03-02 01:59:16 +0100 (Tue, 02 Mar 2004) | 2 lines
Changed paths:
   M /trunk/extras/contrib/src/packages.mak

* update caca and live.com

------------------------------------------------------------------------
r6885 | hartman | 2004-03-02 02:10:26 +0100 (Tue, 02 Mar 2004) | 2 lines
Changed paths:
   M /trunk/extras/contrib/src/Makefile

* Fix dts contrib

------------------------------------------------------------------------
r6886 | hartman | 2004-03-02 13:39:25 +0100 (Tue, 02 Mar 2004) | 2 lines
Changed paths:
   M /trunk/modules/access/mms/mms.c

Spelling error

------------------------------------------------------------------------
r6887 | kuehne | 2004-03-02 14:53:14 +0100 (Tue, 02 Mar 2004) | 8 lines
Changed paths:
   M /trunk/modules/codec/dvbsub.c
   M /trunk/modules/demux/mkv.cpp
   M /trunk/modules/gui/macosx/macosx.m
   M /trunk/modules/video_output/fb.c
   M /trunk/po/de.po
   M /trunk/src/libvlc.h

* modules/codec/dvbsub.c: disabled translation of some internal error messages
* po/de.po: removed my reminders
* modules/demux/mkv.cpp: disabled translation of the string "Matroska"

* src/libvlc.h: small corrections of to-be-localised strings
* modules/gui/macosx/macosx.m: ditto
* modules/video_output/fb.c: ditto

------------------------------------------------------------------------
r6888 | hartman | 2004-03-02 17:44:21 +0100 (Tue, 02 Mar 2004) | 2 lines
Changed paths:
   M /trunk/modules/codec/mpeg_audio.c

* This was the thing i didn't commit and which AGAIN leaves us with a CPU hogging release :(

------------------------------------------------------------------------
r6889 | hartman | 2004-03-02 20:21:03 +0100 (Tue, 02 Mar 2004) | 3 lines
Changed paths:
   M /trunk/extras/contrib/src/Makefile
   M /trunk/extras/contrib/src/packages.mak

* Well i be .......
  libmodplug working now. apparently it didn't like dynamic linking on OS X.

------------------------------------------------------------------------
r6890 | ipkiss | 2004-03-02 22:45:15 +0100 (Tue, 02 Mar 2004) | 8 lines
Changed paths:
   M /trunk/modules/gui/skins2/controls/ctrl_slider.cpp
   M /trunk/modules/gui/skins2/controls/ctrl_slider.hpp
   M /trunk/modules/gui/skins2/parser/builder.cpp
   M /trunk/modules/gui/skins2/parser/builder_data.def
   M /trunk/modules/gui/skins2/parser/builder_data.hpp
   M /trunk/modules/gui/skins2/parser/gen_builder.py
   M /trunk/modules/gui/skins2/parser/skin_parser.cpp
   M /trunk/modules/gui/skins2/src/anchor.cpp
   M /trunk/modules/gui/skins2/src/anchor.hpp
   M /trunk/modules/gui/skins2/src/theme.cpp
   M /trunk/modules/gui/skins2/theme/skin.dtd
   M /trunk/modules/gui/skins2/theme/theme.xml
   M /trunk/modules/gui/skins2/utils/bezier.cpp
   M /trunk/modules/gui/skins2/utils/bezier.hpp

 - skins2/utils/bezier.*: Added support for curves made of one point
 - skins2/theme/skin.dtd: Removed Event and Rectangle tags
 - skins2/src/theme.cpp: Destroy curves explicitely
 - ALL: Anchors can be defined using a Bezier curve, which allows
   rectilinear anchors (but it is still possible to define anchors
   reduced to a single point).
   A "curved anchor" only attracts "single point anchors"

------------------------------------------------------------------------
r6891 | massiot | 2004-03-02 23:55:34 +0100 (Tue, 02 Mar 2004) | 6 lines
Changed paths:
   M /trunk/extras/contrib/src/Makefile
   M /trunk/extras/contrib/src/packages.mak

* extras/contrib:
  - fixed the infamous "libmad is twice slower" bug
  - fixed libmad dynamic build
  - added a52 support to ffmpeg
  - remove libdvdnav

------------------------------------------------------------------------
r6892 | hartman | 2004-03-03 00:49:38 +0100 (Wed, 03 Mar 2004) | 2 lines
Changed paths:
   M /trunk/NEWS

* updated NEWS for 0.7.1a

------------------------------------------------------------------------
r6893 | fenrir | 2004-03-03 02:26:49 +0100 (Wed, 03 Mar 2004) | 2 lines
Changed paths:
   M /trunk/modules/demux/ts.c

 * ts.c: fixed PCR handling (when the pcr pid isn't attached to the PMT.)

------------------------------------------------------------------------
r6894 | massiot | 2004-03-03 11:49:50 +0100 (Wed, 03 Mar 2004) | 3 lines
Changed paths:
   M /trunk/modules/access/satellite/access.c

* modules/access/satellite/access.c: Read blocks multiple of 1024 bytes
  (because others do it - no idea if it helps, though)

------------------------------------------------------------------------
r6895 | massiot | 2004-03-03 11:51:55 +0100 (Wed, 03 Mar 2004) | 4 lines
Changed paths:
   M /trunk/modules/access_output/udp.c

* modules/access_output/udp.c: New group= option, used to send multiple
  packets at once (less scheduling overhead) ; typically access=udp{group=5}
  will send 5 * 7 TS packets at once.

------------------------------------------------------------------------
r6896 | massiot | 2004-03-03 12:09:30 +0100 (Wed, 03 Mar 2004) | 3 lines
Changed paths:
   M /trunk/modules/packetizer/mpegvideo.c

* modules/packetizer/mpegvideo.c: Correctly flag the picture types in
  block_t::i_flags.

------------------------------------------------------------------------
r6897 | massiot | 2004-03-03 12:12:08 +0100 (Wed, 03 Mar 2004) | 3 lines
Changed paths:
   M /trunk/include/stream_output.h
   M /trunk/src/input/input_dec.c

* src/input/input_dec.c: Copy block_t::i_flags to sout_buffer_t::i_flags
  (temporary).

------------------------------------------------------------------------
r6898 | massiot | 2004-03-03 12:20:52 +0100 (Wed, 03 Mar 2004) | 6 lines
Changed paths:
   M /trunk/modules/stream_out/transrate/Modules.am
   A /trunk/modules/stream_out/transrate/frame.c
   M /trunk/modules/stream_out/transrate/transrate.c
   A /trunk/modules/stream_out/transrate/transrate.h

* modules/stream_out/transrate:
  - split transrate.c
  - you can specify a maximum gop length on which to perform transrating,
    to avoid adding to much delay in the sout pipeline (shaping= option)
  - fixed a bug where you couldn't transrate a transcoded stream

------------------------------------------------------------------------
r6899 | massiot | 2004-03-03 12:29:26 +0100 (Wed, 03 Mar 2004) | 11 lines
Changed paths:
   M /trunk/modules/codec/ffmpeg/encoder.c
   M /trunk/modules/stream_out/transcode.c

* modules/codec/ffmpeg/encoder.c:
  - use AV_NOPTS_VALUE instead of 0 when it's available
  - reworked the hurry-up mode to start with disabling the B frames first
  - reworked the hurry-up mode to remove my thread mess
  - check that we don't feed ffmpeg with twice the same PTS (crashes ffmpeg)
  - correctly flag the picture types

* modules/stream_out/transcode.c:
  - use AV_NOPTS_VALUE instead of 0 when it's available
  - copy block_t::i_flags to sout_buffer_t::i_flags (temporary)

------------------------------------------------------------------------
r6900 | bigben | 2004-03-03 12:34:19 +0100 (Wed, 03 Mar 2004) | 6 lines
Changed paths:
   M /trunk/extras/MacOSX/Resources/English.lproj/MainMenu.nib/classes.nib
   M /trunk/extras/MacOSX/Resources/English.lproj/MainMenu.nib/info.nib
   M /trunk/extras/MacOSX/Resources/English.lproj/MainMenu.nib/objects.nib
   M /trunk/modules/gui/macosx/controls.m
   M /trunk/modules/gui/macosx/playlist.h
   M /trunk/modules/gui/macosx/playlist.m

- Repeat and loop are now mutually exclusive
- On the playlist window, turn loop/repeat/standard play selection into a popup
- On the playlist window : if more than one group is defined, coolorize items according to the group they are belonging to. Currently, 8 colors are hard coded

Please make remarks on the new layout / the colors chosen.

------------------------------------------------------------------------
r6901 | massiot | 2004-03-03 12:34:41 +0100 (Wed, 03 Mar 2004) | 13 lines
Changed paths:
   M /trunk/modules/mux/mpeg/pes.c
   M /trunk/modules/mux/mpeg/ts.c

* modules/mux/mpeg/pes.c: Copy the flags of the data buffer to the PES
  buffer.

* modules/mux/mpeg/ts.c:
  - rename the caching= option into shaping= since it more adequately
    describes what it does
  - new use-key-frames option, if enabled then shaping= will be a
    maximum value, if the algorithm find a new GOP it will finish with
    the first picture of the next GOP (helps minimizing the dts delay)
  - fixed a bug where the calculated sending time could be later than
    the real DTS time (meaning the decoder wouldn't get the buffer
    in time)

------------------------------------------------------------------------
r6902 | fenrir | 2004-03-03 12:38:14 +0100 (Wed, 03 Mar 2004) | 2 lines
Changed paths:
   M /trunk/modules/demux/util/id3.c
   M /trunk/modules/demux/util/id3tag.c

 * id3*: Search p_input (to make it working with demux2).

------------------------------------------------------------------------
r6903 | massiot | 2004-03-03 12:39:06 +0100 (Wed, 03 Mar 2004) | 2 lines
Changed paths:
   M /trunk/modules/stream_out/transrate/frame.c

* modules/stream_out/transrate/frame.c: Fixed warnings (thanks fenrir)

------------------------------------------------------------------------
r6904 | fenrir | 2004-03-03 12:40:19 +0100 (Wed, 03 Mar 2004) | 3 lines
Changed paths:
   M /trunk/modules/demux/a52.c
   M /trunk/modules/demux/aac.c
   M /trunk/modules/demux/au.c
   M /trunk/modules/demux/dts.c
   M /trunk/modules/demux/flac.c
   M /trunk/modules/demux/wav.c

 * a52.c aac.c au.c dts.c flac.c wav.c: Converted all audio only demuxers
 to demux2.

------------------------------------------------------------------------
r6905 | fenrir | 2004-03-03 12:41:04 +0100 (Wed, 03 Mar 2004) | 2 lines
Changed paths:
   M /trunk/modules/demux/mpeg/mpga.c

 * mpga: demux -> demux2.

------------------------------------------------------------------------
r6906 | fenrir | 2004-03-03 12:59:41 +0100 (Wed, 03 Mar 2004) | 2 lines
Changed paths:
   M /trunk/src/input/input.c

 * input.c: add Duration to input infos.

------------------------------------------------------------------------
r6907 | fenrir | 2004-03-03 13:01:17 +0100 (Wed, 03 Mar 2004) | 3 lines
Changed paths:
   M /trunk/include/ninput.h
   M /trunk/include/vlc_meta.h

 ninput.h: added prototype of demux2_vaControlHelper.
 include/vlc_meta.h: added of cast for malloc because of [CENSURED] c++.

------------------------------------------------------------------------
r6908 | fenrir | 2004-03-03 13:01:38 +0100 (Wed, 03 Mar 2004) | 2 lines
Changed paths:
   M /trunk/src/input/demux.c

 demux: implementation of demux2_vaControlHelper.

------------------------------------------------------------------------
r6909 | titer | 2004-03-03 13:01:57 +0100 (Wed, 03 Mar 2004) | 6 lines
Changed paths:
   M /trunk/modules/gui/macosx/macosx.m
   M /trunk/modules/gui/macosx/vout.m

 macsox/* : added --macosx-fill
  In fullscreen, crops the picture if necessary in order to fill
  the screen without black borders (e.g. you lose top and bottom parts
  of the picture when watching a 4:3 video on a 16:9 display).
  (Only implemented in OpenGL mode)

------------------------------------------------------------------------
r6910 | fenrir | 2004-03-03 13:03:15 +0100 (Wed, 03 Mar 2004) | 2 lines
Changed paths:
   M /trunk/modules/demux/mkv.cpp

  * mkv: added Control and use vlc_meta.h.

------------------------------------------------------------------------
r6911 | fenrir | 2004-03-03 13:21:36 +0100 (Wed, 03 Mar 2004) | 2 lines
Changed paths:
   M /trunk/modules/misc/dummy/vout.c

 * vout.c: fixed a warning.

------------------------------------------------------------------------
r6912 | sam | 2004-03-03 13:21:57 +0100 (Wed, 03 Mar 2004) | 3 lines
Changed paths:
   M /trunk/configure.ac

  * configure.ac:
    + When using a local ffmpeg tree, add a path to the avformat headers.

------------------------------------------------------------------------
r6913 | fenrir | 2004-03-03 14:23:47 +0100 (Wed, 03 Mar 2004) | 4 lines
Changed paths:
   D /trunk/include/httpd.h
   A /trunk/include/vlc_httpd.h
   D /trunk/modules/misc/httpd.c
   A /trunk/src/misc/httpd.c

 * include/httpd.h, modules/misc/httpd.c: remove old http daemon.
 * include/vlc_httpd.h src/misc/httpd.c: added new http daemon,
 it will allow http 1.1, redirection, RTSP, ...

------------------------------------------------------------------------
r6914 | fenrir | 2004-03-03 14:24:31 +0100 (Wed, 03 Mar 2004) | 2 lines
Changed paths:
   M /trunk/Makefile.am
   M /trunk/configure.ac
   M /trunk/modules/misc/Modules.am

 * all: httpd compilation.

------------------------------------------------------------------------
r6915 | fenrir | 2004-03-03 14:25:00 +0100 (Wed, 03 Mar 2004) | 2 lines
Changed paths:
   M /trunk/include/vlc_common.h

 * vlc_common.h: httpd typedefs.

------------------------------------------------------------------------
r6916 | fenrir | 2004-03-03 14:25:24 +0100 (Wed, 03 Mar 2004) | 2 lines
Changed paths:
   M /trunk/src/misc/objects.c

 * objects: include vlc_http.h

------------------------------------------------------------------------
r6917 | fenrir | 2004-03-03 14:25:53 +0100 (Wed, 03 Mar 2004) | 2 lines
Changed paths:
   M /trunk/modules/access_output/http.c

 * http: ported to new httpd.

------------------------------------------------------------------------
r6918 | fenrir | 2004-03-03 14:26:50 +0100 (Wed, 03 Mar 2004) | 2 lines
Changed paths:
   M /trunk/modules/control/http.c

 * http: ported to new httpd. A few features are still missings.

------------------------------------------------------------------------
r6919 | fenrir | 2004-03-03 14:27:25 +0100 (Wed, 03 Mar 2004) | 2 lines
Changed paths:
   M /trunk/modules/stream_out/rtp.c

 * rtp: ported to new httpd.

------------------------------------------------------------------------
r6920 | fenrir | 2004-03-03 15:22:47 +0100 (Wed, 03 Mar 2004) | 3 lines
Changed paths:
   M /trunk/configure.ac
   M /trunk/doc/intf-http.txt
   M /trunk/modules/control/http.c
   M /trunk/share/http/index.html

 * configure.ac: -> 0.7.2-cvs
 * modules/control/http.c: added a playlist.uri field.

------------------------------------------------------------------------
r6921 | sigmunau | 2004-03-03 16:47:08 +0100 (Wed, 03 Mar 2004) | 3 lines
Changed paths:
   M /trunk/src/misc/modules.c

src/misc/modules.c:
 * include vlc_httpd.h, fixes compilation

------------------------------------------------------------------------
r6922 | sigmunau | 2004-03-03 18:18:38 +0100 (Wed, 03 Mar 2004) | 4 lines
Changed paths:
   M /trunk/Makefile.am
   M /trunk/share/Makefile.am

Makefile.am: added vlc.exe.manifest to the distribution (should perhaps be
             moved to share/ after the svn switch)
share/Makefile.am: added some wince-related resource files to the distribution

------------------------------------------------------------------------
r6923 | gbazin | 2004-03-03 21:39:53 +0100 (Wed, 03 Mar 2004) | 5 lines
Changed paths:
   M /trunk/include/modules.h
   M /trunk/modules/access/dvd/demux.c
   M /trunk/modules/access/dvdplay/demux.c
   M /trunk/modules/access/dvdread/input.c
   M /trunk/modules/access/vcdx/demux.c
   M /trunk/modules/access_output/udp.c
   M /trunk/modules/audio_filter/resampler/coreaudio.c
   M /trunk/modules/demux/a52.c
   M /trunk/modules/demux/aac.c
   M /trunk/modules/demux/demuxstream.c
   M /trunk/modules/demux/dts.c
   M /trunk/modules/demux/flac.c
   M /trunk/modules/demux/mpeg/m4v.c
   M /trunk/modules/demux/mpeg/mpga.c
   M /trunk/modules/demux/mpeg/mpgv.c
   M /trunk/modules/demux/mpeg/ps.c
   M /trunk/modules/demux/mpeg/ts.c
   M /trunk/modules/demux/util/sub.h
   M /trunk/modules/gui/gtk/gnome.c
   M /trunk/modules/gui/gtk/gtk.c
   M /trunk/modules/gui/gtk2/gnome2.c
   M /trunk/modules/gui/gtk2/gtk2.c
   M /trunk/modules/gui/pda/pda.c
   M /trunk/modules/gui/skins/src/dialogs.cpp
   M /trunk/modules/gui/skins2/src/dialogs.cpp
   M /trunk/modules/misc/sap.c
   M /trunk/modules/stream_out/announce.c
   M /trunk/modules/stream_out/transcode.c
   M /trunk/modules/video_output/qte/qte.cpp
   M /trunk/src/audio_output/filters.c
   M /trunk/src/audio_output/input.c
   M /trunk/src/audio_output/mixer.c
   M /trunk/src/audio_output/output.c
   M /trunk/src/input/demux.c
   M /trunk/src/input/input.c
   M /trunk/src/input/input_dec.c
   M /trunk/src/interface/interface.c
   M /trunk/src/libvlc.c
   M /trunk/src/misc/modules.c
   M /trunk/src/misc/net.c
   M /trunk/src/playlist/loadsave.c
   M /trunk/src/stream_output/stream_output.c
   M /trunk/src/video_output/video_output.c


* ALL: changed the prototype of module_Need() to accept a "strict" boolean argument.
If "strict" is true and a module name is provided then module_Need() will only look for the specified module
If "strict" is false, then module_Need() will first look for the specified module and if it wasn't found, will continue with the other modules with the same "capability".

------------------------------------------------------------------------
r6924 | gbazin | 2004-03-03 21:42:52 +0100 (Wed, 03 Mar 2004) | 3 lines
Changed paths:
   M /trunk/extras/MacOSX/Resources/English.lproj/InfoPlist.strings
   M /trunk/extras/MacOSX/vlc.pbproj/project.pbxproj


* extras/MacOSX/*: bumped revision number to 0.7.2-cvs.

------------------------------------------------------------------------
r6925 | asmax | 2004-03-03 23:57:15 +0100 (Wed, 03 Mar 2004) | 3 lines
Changed paths:
   M /trunk/modules/gui/skins2/theme/skin.dtd
   M /trunk/modules/gui/skins2/utils/bezier.cpp

* utils/bezier.cpp: use lrint() to avoid rounding issues
* theme/skin.dtd: "" instead of "\0" for default values

------------------------------------------------------------------------
r6926 | sigmunau | 2004-03-04 23:47:42 +0100 (Thu, 04 Mar 2004) | 3 lines
Changed paths:
   M /trunk/modules/video_filter/deinterlace/deinterlace.c

modules/video_filter/deinterlace/deinterlace.c:
 * Fixed a sse2 crash related to a non-16byte aligned pointer

------------------------------------------------------------------------
r6927 | bigben | 2004-03-04 23:52:43 +0100 (Thu, 04 Mar 2004) | 2 lines
Changed paths:
   M /trunk/modules/gui/macosx/vout.m

Set intf-change to TRUE when toggling fullscreen with opengl vout, so that the sate of the fullscreen button gets updated. (Hope I've done it in the right place).

------------------------------------------------------------------------
r6928 | fenrir | 2004-03-05 00:59:16 +0100 (Fri, 05 Mar 2004) | 3 lines
Changed paths:
   M /trunk/src/misc/modules.c

 * modules.c: fixed module_Need. (but I'm not sure of what to do with
 shortcuts,any and 0 scored modules).

------------------------------------------------------------------------
r6929 | fenrir | 2004-03-05 01:14:19 +0100 (Fri, 05 Mar 2004) | 6 lines
Changed paths:
   M /trunk/modules/access_output/udp.c

 * udp: added a 'late' option in milli-second.
 Too late packets according to this value are trashed. By default it is
0 ie don't trash any packets. (I think it's safer, else we may have too
much people complaining about broken picture or CSA not working anymore ;)
The drawback is potential floods of clients...

------------------------------------------------------------------------
r6930 | garf | 2004-03-05 15:03:20 +0100 (Fri, 05 Mar 2004) | 19 lines
Changed paths:
   M /trunk/configure.ac
   A /trunk/modules/control/telnet
   A /trunk/modules/control/telnet/Modules.am
   A /trunk/modules/control/telnet/telnet.c
   A /trunk/modules/control/telnet/vlm.c
   A /trunk/modules/control/telnet/vlm.h

 * telnet interface and VLM ( VideoLAN (media) manager):
    VLM is a little media manager. It is designed to launch several souts
    with a unique VLC. It is a kind of "server playlist". For now, it is
    only usable with the little telnet interface I wrote. The features are:
     - complete and barely coherent command line set for media setup and
       control
     - multiple input list by media (like a playlist)
     - loop by media
     - load/save config file (human readable)
     - script implementation (for scheduling, for example)
    If you want to test it, launch VLC with -I telnet, and type "help".
    Beware of the type of the media: vod or broadcast. vod will be used
    later.
     TODO:
      - rewrite the telnet interface (beurk)
      - change error message system and create a http interface for VLM
      - implement RTSP clients administration (with vod medias)
      - write a complete documentation...

------------------------------------------------------------------------
r6958 | sam | 2004-03-05 17:07:35 +0100 (Fri, 05 Mar 2004) | 7 lines
Changed paths:
   M /trunk/mozilla/npvlc_rc.rc
   M /trunk/mozilla/vlcplugin.h

  * mozilla/vlcplugin.h:
    + Added the 'video/x-ms-asf' MIME type to the plugin (Closes Debian
      bug #232690).

   This commit is also a blatant test of the SVN->CVS mirroring scripts. If
 it does not work, we're screwed :-)

------------------------------------------------------------------------
r6959 | sam | 2004-03-05 17:45:32 +0100 (Fri, 05 Mar 2004) | 3 lines
Changed paths:
   M /trunk/toolbox

  * toolbox:
    + Do not remove svn directories in autotools/ when using --distclean.

------------------------------------------------------------------------
r6960 | sigmunau | 2004-03-05 18:18:42 +0100 (Fri, 05 Mar 2004) | 3 lines
Changed paths:
   M /trunk/modules/gui/wxwindows/iteminfo.cpp

modules/gui/wxwindows/iteminfo.cpp:
 * select the right value in the group-combobox in the iteminfo dialog

------------------------------------------------------------------------
r6961 | sam | 2004-03-05 18:34:23 +0100 (Fri, 05 Mar 2004) | 3 lines
Changed paths:
   M /trunk
   D /trunk/.cvsignore
   M /trunk/AUTHORS
   M /trunk/HACKING
   M /trunk/INSTALL
   M /trunk/INSTALL.win32
   M /trunk/MAINTAINERS
   M /trunk/NEWS
   M /trunk/README
   M /trunk/README.MacOSX.rtf
   M /trunk/THANKS
   M /trunk/autotools
   D /trunk/autotools/.cvsignore
   M /trunk/bootstrap
   M /trunk/configure.ac
   M /trunk/debian
   D /trunk/debian/.cvsignore
   M /trunk/debian/README.Debian
   M /trunk/debian/rules
   M /trunk/doc
   D /trunk/doc/.cvsignore
   M /trunk/doc/ChangeLog-2001
   M /trunk/doc/developer
   D /trunk/doc/developer/.cvsignore
   M /trunk/doc/developer/configure.ac
   M /trunk/doc/developer/manual.xml
   M /trunk/doc/developer/manual.xml.in
   M /trunk/doc/intf-cdda.txt
   M /trunk/doc/intf-vcd.txt
   M /trunk/doc/subtitles/cvd-subtitles.txt
   M /trunk/doc/subtitles/svcd-ogt-subtitles.txt
   M /trunk/doc/translations.txt
   M /trunk/doc/web-streaming.html
   M /trunk/evc
   D /trunk/evc/.cvsignore
   M /trunk/evc/vlc.c
   M /trunk/extras/MacOSX
   D /trunk/extras/MacOSX/.cvsignore
   M /trunk/extras/MacOSX/Resources/English.lproj
   D /trunk/extras/MacOSX/Resources/English.lproj/.cvsignore
   M /trunk/extras/MacOSX/vlc.pbproj
   D /trunk/extras/MacOSX/vlc.pbproj/.cvsignore
   M /trunk/extras/contrib
   D /trunk/extras/contrib/.cvsignore
   M /trunk/extras/contrib/Makefile
   M /trunk/extras/contrib/bootstrap
   M /trunk/extras/contrib/change_prefix.sh
   M /trunk/extras/contrib/src
   D /trunk/extras/contrib/src/.cvsignore
   M /trunk/extras/contrib/src/Makefile
   M /trunk/extras/contrib/src/packages.mak
   M /trunk/include
   D /trunk/include/.cvsignore
   M /trunk/include/aout_internal.h
   M /trunk/include/audio_output.h
   M /trunk/include/beos_specific.h
   M /trunk/include/charset.h
   M /trunk/include/codecs.h
   M /trunk/include/configuration.h
   M /trunk/include/darwin_specific.h
   M /trunk/include/input_ext-dec.h
   M /trunk/include/input_ext-intf.h
   M /trunk/include/input_ext-plugins.h
   M /trunk/include/intf_eject.h
   M /trunk/include/iso_lang.h
   M /trunk/include/main.h
   M /trunk/include/modules.h
   M /trunk/include/modules_inner.h
   M /trunk/include/mtime.h
   M /trunk/include/network.h
   M /trunk/include/ninput.h
   M /trunk/include/os_specific.h
   M /trunk/include/osd.h
   M /trunk/include/stream_control.h
   M /trunk/include/stream_output.h
   M /trunk/include/variables.h
   M /trunk/include/video_output.h
   M /trunk/include/vlc/aout.h
   M /trunk/include/vlc/decoder.h
   M /trunk/include/vlc/input.h
   M /trunk/include/vlc/intf.h
   M /trunk/include/vlc/sout.h
   M /trunk/include/vlc/vlc.h
   M /trunk/include/vlc/vout.h
   M /trunk/include/vlc_bits.h
   M /trunk/include/vlc_block.h
   M /trunk/include/vlc_block_helper.h
   M /trunk/include/vlc_codec.h
   M /trunk/include/vlc_common.h
   M /trunk/include/vlc_cpu.h
   M /trunk/include/vlc_error.h
   M /trunk/include/vlc_es.h
   M /trunk/include/vlc_help.h
   M /trunk/include/vlc_httpd.h
   M /trunk/include/vlc_interface.h
   M /trunk/include/vlc_keys.h
   M /trunk/include/vlc_messages.h
   M /trunk/include/vlc_meta.h
   M /trunk/include/vlc_objects.h
   M /trunk/include/vlc_playlist.h
   M /trunk/include/vlc_threads.h
   M /trunk/include/vlc_threads_funcs.h
   M /trunk/include/vlc_video.h
   M /trunk/include/vout_synchro.h
   M /trunk/include/win32_specific.h
   M /trunk/ipkg
   D /trunk/ipkg/.cvsignore
   M /trunk/lib
   D /trunk/lib/.cvsignore
   M /trunk/m4
   D /trunk/m4/.cvsignore
   M /trunk/m4/vlc.m4
   M /trunk/modules
   D /trunk/modules/.cvsignore
   M /trunk/modules/LIST
   M /trunk/modules/access
   D /trunk/modules/access/.cvsignore
   M /trunk/modules/access/cdda
   D /trunk/modules/access/cdda/.cvsignore
   M /trunk/modules/access/cdda/access.c
   M /trunk/modules/access/cdda/cdda.c
   M /trunk/modules/access/cdda/cdda.h
   M /trunk/modules/access/cdda.c
   M /trunk/modules/access/directory.c
   M /trunk/modules/access/dshow
   D /trunk/modules/access/dshow/.cvsignore
   M /trunk/modules/access/dshow/dshow.cpp
   M /trunk/modules/access/dshow/filter.cpp
   M /trunk/modules/access/dshow/filter.h
   M /trunk/modules/access/dvb
   D /trunk/modules/access/dvb/.cvsignore
   M /trunk/modules/access/dvd
   D /trunk/modules/access/dvd/.cvsignore
   M /trunk/modules/access/dvd/access.c
   M /trunk/modules/access/dvd/demux.c
   M /trunk/modules/access/dvd/dvd.c
   M /trunk/modules/access/dvd/dvd.h
   M /trunk/modules/access/dvd/dvdcss.h
   M /trunk/modules/access/dvd/es.c
   M /trunk/modules/access/dvd/es.h
   M /trunk/modules/access/dvd/ifo.c
   M /trunk/modules/access/dvd/ifo.h
   M /trunk/modules/access/dvd/seek.c
   M /trunk/modules/access/dvd/seek.h
   M /trunk/modules/access/dvd/summary.c
   M /trunk/modules/access/dvd/summary.h
   M /trunk/modules/access/dvd/udf.c
   M /trunk/modules/access/dvd/udf.h
   M /trunk/modules/access/dvdplay
   D /trunk/modules/access/dvdplay/.cvsignore
   M /trunk/modules/access/dvdplay/access.c
   M /trunk/modules/access/dvdplay/access.h
   M /trunk/modules/access/dvdplay/demux.c
   M /trunk/modules/access/dvdplay/demux.h
   M /trunk/modules/access/dvdplay/dvd.c
